commit c1c567c49b3bc9d86a5796b7fd9b17816700f75c (HEAD, tag: 1.0.32, origin/release/1.0.32, refs/pipelines/256007409)
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-14 20:00:00 +0900

    NEWS: Document changes for 1.0.32 release

commit eda0a770bf52c4ae446779d8ad8af005a8a974f9
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-14 16:24:24 +0900

    po: Re-sync *.po files to pick up latest source code changes

    Lines number have changes due to the FSF address change.

commit edcfdbc0d801547d3c1e0ab8bd62dad74295c54e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-13 20:21:45 +0900

    saned: Add new -p, --port option to the manual page

    This complements !549.

commit 3408eef8ed04bbffd2cf601850ccee16e596e4b1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-13 20:20:14 +0900

    escl.desc: Add entries for models newly supported since 1.0.31

    These were mentioned in the commit logs and merge requests but missing
    from the descriptions file.

commit e0b5a7e40748490bccfe10fbc2cd2d5a469cfd90
Merge: 102288c22 9c46d6bca
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-14 09:31:59 +0000

    Merge branch 'disable-canoscan-4400f' into 'release/1.0.32'

    genesys: Disable support for the CanoScan 4400F

    See merge request sane-project/backends!592

commit 102288c22eb33e2becb38ff866fdb3260f58cefb
Merge: ef8e40357 e3962ad18
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-14 07:18:00 +0000

    Merge branch 'add-files-to-source-tarball' into 'release/1.0.32'

    Add extra documentation and utility file to the source tarball

    See merge request sane-project/backends!593

commit e3962ad1843432bdf11c7ac31338491407a41960
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-14 16:01:01 +0900

    Add extra documentation and utility file to the source tarball

    These might be useful for someone starting from one of our release or
    snapshot source tarballs.

commit 9c46d6bcaccf38df870f22b5bc78ca8cc2eba692
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-14 10:46:36 +0900

    genesys: Disable support for the CanoScan 4400F.  Re #436

commit ef8e403572d91cb8bac4ef63ba9cae21fc46f5dc
Merge: 1532520fa 85f4ef106
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2021-02-13 20:20:01 +0000

    Merge branch '433-issues-in-sane-man-pages' into 'release/1.0.32'

    Resolve "Issues in SANE man pages"

    See merge request sane-project/backends!581

commit 85f4ef10657735b0322c9f545b426b857a28b502 (origin/433-issues-in-sane-man-pages)
Author: Ralph Little <skelband@gmail.com>
Date:   2021-02-13 12:02:54 -0800

    doc: final pass through the man pages.

    Mostly just tidy up, catching pages that I missed the first time round.
    A small number of pages were given a bit more reformat. A bit beyond
    the remit of this merge request but not too much has been changed.

commit 0eaae38d1e546ddd67b811ef81791194cf5c4687
Author: Ralph Little <skelband@gmail.com>
Date:   2021-02-12 18:01:30 -0800

    doc: remaining man pages done.

    I will quickly review them all and check in corrections.
    I know that there are a few things that I did wrong in the first pass
    and I will fix them up.

commit 1532520fa14b43972c708282efbb19b436dd4ce8
Merge: 9ec6ec40a 4c8ac5e0a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-12 09:52:08 +0000

    Merge branch '320-incorrect-fsf-address-in-license-and-copying' into 'release/1.0.32'

    Resolve "Incorrect FSF address in LICENSE and COPYING"

    See merge request sane-project/backends!591

commit 4c8ac5e0a6bd565a59099426aa7212eb780175d5
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-12 18:23:53 +0900

    COPYING: Sync with current plain text version on the FSF site

    This updates the Free Software Foundation's postal address.

    It replaces references to the Library General Public License (LGPL-2)
    with references to the GNU Lesser Public License (LGPL-2.1) as well.
    These licenses differ slightly, the latter adds section 6b, but the
    references are *outside* the TERMS AND CONDITIONS section.  Moreover,
    the first reference is in connection with clarifying the licensing of
    Free Software Foundation software and the second reference is merely a
    suggestion to use the LGPL in case you want to allow linking your code
    with proprietary software.

    In view of that, these changes in COPYING do *not* have an effect on
    the licensing status of the SANE Backends.

    Re #320.

commit e79adde8b2d713448f3022632f410d4a9de0fb91
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-12 17:41:38 +0900

    Use URL to refer users to copies of the GPL and LGPL

    With the exception of use in three quotes as well as our inlcuded copy
    of the GPL, all use of the Free Software Foundation's postal address
    has been removed.

    Re #320.

commit 9ec6ec40a926cc78cdba7e02168c54c68a5944f9
Merge: a21f4713d 51a7abd1f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-09 09:14:43 +0000

    Merge branch 'update_uk3' into 'release/1.0.32'

    Update Ukrainian translation

    See merge request sane-project/backends!589

commit 51a7abd1fb940c299cbad31c6da57217e5b8ef57
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2021-02-08 15:33:42 +0200

    Update Ukrainian translation

commit a21f4713da86f355941307c91d03cc64c211d045
Merge: 5db03a059 ae2c40684
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-08 13:15:43 +0000

    Merge branch 'sync-po-files-with-source' into 'release/1.0.32'

    I18N: Sync po/*.po files with sources slated for next release

    See merge request sane-project/backends!588

commit ae2c4068428a9345670b0b9902555a00bc868555
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-08 21:58:34 +0900

    I18N: Sync po/*.po files with sources slated for next release

commit 5db03a05935f06fe31035a08ff6cc81007d83efe
Merge: 335edb9ed a83126fc2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 12:25:51 +0000

    Merge branch '124-configure-disable-shared-errors-out-linking-scanimage' into 'release/1.0.32'

    Resolve "./configure --disable-shared errors out linking scanimage"

    See merge request sane-project/backends!586

commit a83126fc2373e838cae4a7cc41b5ad572fcc877d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 21:06:38 +0900

    Work around missing C++ symbols for static linking scenarios

commit fe7b1a8f2d9e1d63ccd685263fb7a7bcf4dd642d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 19:33:11 +0900

    Add missing backend dependencies for static linking.  Re #124

commit 4cb49c1f0819c0dffb38e63c28f6cd3dbc12adee
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 19:32:24 +0900

    Disambiguate symbols for static linking scenarios.  Re #124

commit 335edb9ed87f4367f5aed91cb8c95830b3af752d
Merge: 68312608d fea0ccca1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 07:42:06 +0000

    Merge branch '354-genesys-testsuite-built-even-when-backend-isnt' into 'release/1.0.32'

    Build genesys testsuite only when backend is build

    See merge request sane-project/backends!585

commit fea0ccca1ea879ccdedcfc8feb1de82905a37d98
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 16:25:30 +0900

    Build genesys testsuite only when backend is build.  Re #354

commit 68312608d13adcabea808f2239f52c4183dd493e
Merge: 5ff049699 e86771c21
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 06:23:25 +0000

    Merge branch '248-generated-source-tar-balls-cant-be-built' into 'release/1.0.32'

    Resolve "Generated source tar balls can't be built"

    See merge request sane-project/backends!584

commit e86771c21bb29cc7a082c96f935e2c77c45ad22d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 15:02:38 +0900

    Fix ignore pattern when comparing sane-desc outputs in testsuite

    The old versions used plain `git describe` output leading to versions
    like 1.0.32-265-g5ff049.  The `git-version-gen` scripts replaces the
    first dash, `-`, with a period, `.`, for the benefit of other version
    comparison tools and strips the `g` to save a byte.  So that leads to
    versions like 1.0.32.265-5ff049.

commit bb463d642a464e11610abcfc1aa9f68b34ecf178
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 14:49:52 +0900

    Make it easy to update the git-version-gen script

commit c28c9843ed12f0fe2697d66c3dad724f68d0e576
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 14:46:47 +0900

    Use git-version-gen to inject a version

    This fixes builds from tarballs without a .git directory.

    Fixes #248

commit 3ca641c0185124d471e4186b77c1411d6aba280c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-02-07 14:44:50 +0900

    autogen.sh: Fix out-of-tree invocation

commit 30eaec1f00f6d5edfec8f7ce79baa6fb5c0541bc
Author: Ralph Little <skelband@gmail.com>
Date:   2021-02-02 12:58:54 -0800

    doc: additional format tweaks to man pages hpljm1005-kodakaio

commit 460898b18ff0657550a06d1bdfba1a4f393441f8
Author: Ralph Little <skelband@gmail.com>
Date:   2021-01-31 23:19:48 -0800

    doc: hp manpages tweaked.

commit 6a51099e9fe313a29a92cc60bd7189e7b67a59cf
Author: Ralph Little <skelband@gmail.com>
Date:   2021-01-31 22:06:39 -0800

    doc: some more consistency changes to format.

commit 79b866619b6292da00d385fdd3c7d182a0634d0f
Author: Ralph Little <skelband@gmail.com>
Date:   2021-01-31 19:44:13 -0800

    doc: corrections for trailing space and a batch of man pages

commit cfa36aa47a7d768d7db694ed5702c70bf8448565
Author: Ralph Little <skelband@gmail.com>
Date:   2021-01-31 17:44:58 -0800

    doc: implemented some reformatting and wording suggestions

    Partly through suggestions from translators but also from canonical
    man page references for consistency and conformity.

    I have also removed some unnecessary wordiness from some of the backend
    supporting lists which contained verbose repetition.

commit 5ff049699846dc59424aaacb76b7eafee0bddf5d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-31 19:44:18 +0900

    pixma: Downcase USB product ID

commit 5ae713180a335306398e2e0db0be2d26dd10778b
Merge: 1229b5a3d 7acfdead7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-31 08:20:48 +0000

    Merge branch '122-autogen-sh-script-complains-about-obsolete-macros' into 'release/1.0.32'

    Resolve "autogen.sh script complains about obsolete macro"

    See merge request sane-project/backends!582

commit 7acfdead7038ee8f1482f11676dac1e15f1935bb
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-31 16:51:01 +0900

    Collect patches in one place and distribute them

commit 129b53bbca254914b6b7d716bd63b30d0f3e2f70
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-31 16:44:49 +0900

    Suppress obsolete macro warnings.  Fixes #122

commit 742989b65807e27bb9d6a1343e949094ddca1649
Author: Ralph Little <skelband@gmail.com>
Date:   2021-01-30 12:25:09 -0800

    man: grammar and formatting for gamma4scanimage.man and sane.man

commit ab945b1a89cb193a28ea2aa50c084c28d1be0ca0
Merge: b90ecabf8 a7a8cb44d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-25 11:09:24 +0000

    Merge branch 'ci-bump-alpine-fedora-versions' into 'master'

    CI: Bump alpine fedora versions

    See merge request sane-project/backends!579

commit 1229b5a3d1d5daf626b61da94010505f158db167
Merge: b90ecabf8 7946a14cf
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2021-01-24 18:36:03 +0000

    Merge branch 'ukGB_translation' into 'release/1.0.32'

    Added en_GB translations.

    See merge request sane-project/backends!578

commit 7946a14cfbae0303562663f5acd756eef7d0c2fb
Author: Ralph Little <skelband@gmail.com>
Date:   2021-01-24 10:04:47 -0800

    po: Added en_GB translations.

    Note: also fixed a minor grammar point in the pixma backend.

commit a7a8cb44d4f1e2f31fc09825fed846ba31a2b195
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-24 21:22:34 +0900

    CI: Bump Fedora from 32 to 33

commit 8462b2d75ae83a6930eccfe014fded249572a774
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-24 21:22:07 +0900

    CI: Bump Alpine from 3.12 to 3.13

commit b90ecabf8c62e92bec8284559dee2bf0dd11158b
Merge: 63d938de6 a05708280
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-24 11:42:36 +0000

    Merge branch 'update_uk1' into 'master'

    Update Ukrainian translation

    See merge request sane-project/backends!576

commit 63d938de61c3be99dbc9474f48740ccbb143ea80
Merge: 420e09214 1042a61c3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-24 08:24:47 +0000

    Merge branch 'fix-udev-rules' into 'master'

    Trigger udev rules parsing on all kernel events except of "remove".

    See merge request sane-project/backends!541

commit 420e09214a5833f0040881d3e2036ff03cea1f5b
Merge: c3a29fb98 6f9044264
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-24 07:17:36 +0000

    Merge branch 'escl-fix-sleep-mode' into 'master'

    Fix sleep mode

    See merge request sane-project/backends!577

commit 6f9044264179dc8f2503cd4e73a1f7eff82543c8
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-24 07:17:36 +0000

    Fix sleep mode

commit c3a29fb9843ccbf479b8127fff4ce8a1c568cf20
Merge: fc74de7c5 7ddbefd10
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-24 06:24:53 +0000

    Merge branch 'readme1' into 'master'

    Add Ubuntu pre-built section to README

    See merge request sane-project/backends!518

commit a0570828010e061fda2bae0fab4a569ead47fee3
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2021-01-18 13:36:37 +0200

    Update Ukrainian translation

commit fc74de7c5ec6043542b028e6a0f39ec8c01358e3
Merge: ece6d7d5e 9dd8319a0
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-17 16:52:58 +0000

    Merge branch 'escl-complete-hack-scanjob-request' into 'master'

    Use MakeAndModel to apply the hack to the device

    See merge request sane-project/backends!575

commit 9dd8319a01923feabfbbe0cb97965fce19f2b75f
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2021-01-17 17:23:56 +0100

    Utilise MakeAndModel pour le device au hack.

commit ece6d7d5e7212e8d8d59175be9c1e49a5f324c3c
Merge: 7b602c1d6 af445c2e9
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-16 22:27:14 +0000

    Merge branch 'escl-hack-scanjob-request' into 'master'

    Escl hack scanjob request

    See merge request sane-project/backends!574

commit af445c2e9c78adbfe33551f5262b4ddcd24981c2
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-16 22:11:36 +0000

    Fix syntax in escl.conf.in

commit 4b6418476e1aa675af0e55fa25a2127a1f5d8aa7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2021-01-16 23:01:31 +0100

    Allows to activate the hack from the configuration file, only the first form supports it.

commit cb8b6d2ace5316ad6379018358e788590f3fef4f
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2021-01-16 09:06:01 +0100

    Fixed variable initialization.

commit b24907c8a9f8bdfecaeb33175653a49f7a0f650a
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2021-01-16 09:03:14 +0100

    Fix scanjob for LaserJet FlowMFP M578 and LaserJet MFP M630.

commit 7b602c1d6b12ab48ce0dea5095f2359fa051c0f2
Merge: c26e9acd7 957a4fcb8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-16 06:30:56 +0000

    Merge branch 'sync-utsushi-desc-with-upstream' into 'master'

    utsushi.desc: Sync with upstream

    See merge request sane-project/backends!573

commit 957a4fcb8f1a374c54c8061f2fe5b74807328431
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-16 15:14:22 +0900

    utsushi.desc: Sync with upstream

commit c26e9acd79ee7072c9803ced5107eb5e3424e6cc
Merge: d46fbd9d7 891ccac3b
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-15 15:16:45 +0000

    Merge branch 'escl-fix-alloc' into 'master'

    escl: fix char_to_array memory allocation calculations

    Closes #425

    See merge request sane-project/backends!571

commit 891ccac3b62b2677623696b8dbdf03a27611bf1b
Author: Timo Teräs <timo.teras@iki.fi>
Date:   2021-01-15 16:45:12 +0200

    escl: fix char_to_array memory allocation calculations

    Too little memory allocated due to incorrect calculation.

    Fixes #425

commit d46fbd9d794cd7acefba2f491582319a6c4750cd
Merge: b0655dc03 0293e662c
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-14 12:46:22 +0000

    Merge branch 'escl-check-poppler-glib' into 'master'

    Fix check poppler-glib, (see issue #422).

    See merge request sane-project/backends!570

commit 0293e662cff93fcd6da8c0ce41f77a47a4f4a0f1
Author: thierry1970 <thierry@ordissimo.com>
Date:   2021-01-14 13:20:17 +0100

    Fix check poppler-glib, (see issue #422).

commit b0655dc03e67de902bf98850b4460b188503c186
Author: Gerhard Jaeger <gerhard@gjaeger.de>
Date:   2021-01-07 12:34:34 +0100

    Fix issue with '--enable-locking': Do not require sub-directory for locking.

commit f0f7e43d7fb06ee4e1587ec3b84852bd4dcce957
Merge: adbfcd169 fefc6f181
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-04 19:07:25 +0000

    Merge branch 'escl-fix-orders' into 'master'

    The order of the parameters does not change the result.

    See merge request sane-project/backends!568

commit fefc6f1818a286a23217420a74c29ad2da825496
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2021-01-04 19:47:08 +0100

    The order of the parameters does not change the result.

commit adbfcd16960ca535c6426005f632076d2feddcdb
Merge: 2e41482e0 17023afb9
Author: Ordissimo <thierry@ordissimo.com>
Date:   2021-01-04 18:40:43 +0000

    Merge branch 'escl-devices-list-properties' into 'master'

    Adds to the list of detected devices the different supported trays

    See merge request sane-project/backends!564

commit 2e41482e0142b63ce998ab9401f2ce826eab5d3c
Merge: 0c2fa6bea 445b5bd7e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-01 07:19:07 +0000

    Merge branch '409-autoconf-2.70-causes-resulting-configure-file-to-fail' into 'master'

    Drop use of obsoleted autoconf AC_HEADER_STDC macro.  Fixes #409

    Closes #409

    See merge request sane-project/backends!566

commit 445b5bd7e19245c08de6a0e669dd9211d2597bfa
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2021-01-01 15:53:11 +0900

    Drop use of obsoleted autoconf AC_HEADER_STDC macro.  Fixes #409

    Use of the STDC_HEADER pre-processor macro that the autoconf macro
    used to define has been removed.  Conditionalized code is now used
    unconditionally.  This should be fine as the macro checks for ANSI
    C, i.e. C89 (ISO C90), compliant headers.  We already require C99.

commit 17023afb99fbbcbff73b7e534c1ee3ea147331f0
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-12-29 11:33:55 +0100

    Get device informations with avahi.

commit 0c2fa6bea6ef07c5e2909b5c404db37361b15e4a
Merge: 422425d74 b4be10c5a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-12-26 22:19:45 +0000

    Merge branch 'fix_crash' into 'master'

    Fix crash in scanimage when must_buffer is true

    Closes #408

    See merge request sane-project/backends!563

commit b4be10c5a2d8fe4105ee476b40cf636a24d79444
Author: James Ring <sjr@jdns.org>
Date:   2020-12-26 13:55:54 -0800

    Fix crash in scanimage when must_buffer is true

    Fixes https://gitlab.com/sane-project/backends/-/issues/408.

commit 422425d740ea1abfc3cec7a8bb1c53c7623ddc62
Merge: 5af7850ba ea50fb683
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-12-26 17:26:42 +0000

    Merge branch 'port' into 'master'

    allow saned to listen on specified port, or an ephemeral port

    See merge request sane-project/backends!549

commit ea50fb683c1b8bbf904d51cad6766b1dfae84ae9
Author: James Ring <sjr@jdns.org>
Date:   2020-12-05 09:16:18 -0800

    allow saned to listen on specified port, or an ephemeral port

commit 5af7850ba6b6970a8330c15ecface09e8ba81190
Merge: ee7f91397 e9d2cdf67
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-12-26 14:16:19 +0000

    Merge branch 'sanei-usb-configure-record-open-clear' into 'master'

    sanei_usb: Allow backends to specify when USB recording is cleared

    See merge request sane-project/backends!392

commit e9d2cdf67bb4dd8b7cd6b5df06d6e724d708d0a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 00:47:41 +0300

    sanei_usb: Allow backends to modify when USB recording is cleared

commit ee7f913974efb0e08fc1456f0096ff49e3b155b4
Merge: 9c00d111e ffc2bbb1f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-12-26 13:56:49 +0000

    Merge branch 'pixma-add-models' into 'master'

    Add models

    See merge request sane-project/backends!553

commit 9c00d111e678da3eba892264605174f59614a68d
Merge: e0be6fc89 aa228faa1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-12-26 13:41:52 +0000

    Merge branch 'fix_leak' into 'master'

    fix small memory leak in scanimage option processing

    See merge request sane-project/backends!551

commit ffc2bbb1ffd617f2f50e6f5d4eba805c289d24a3
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-12-15 07:21:21 +0100

    pixma: Add models

commit e0be6fc892013b849ed69e42c3ac7daaa72e15ef
Merge: 1ae3197f0 4d347512e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-12-26 05:17:54 +0000

    Merge branch '395-add-epson-et-2600-support' into 'master'

    Resolve "Epson ET-2600 works with libusb configuration"

    Closes #395

    See merge request sane-project/backends!562

commit 4d347512ebdca44f986753ee6331e0ded9e08647
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-12-26 13:44:42 +0900

    epson2.desc: Fix formatting error

commit be8b84105771de6f43b7eae04e4faf89ec3695d8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-12-26 12:04:11 +0900

    utsushi.desc: Sync with upstream

commit 77a3173e9094a79fe743f1dff3b7397531b09c2d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-12-26 12:03:15 +0900

    epson2: Add ET-2600 as supported

    See https://gitlab.com/sane-project/backends/-/issues/395

commit 1ae3197f004f7cb4d3d095452f25892455fe219f
Merge: 87d9a8674 1dbc31632
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-12-22 15:58:19 +0000

    Merge branch 'escl-fix-messages-and-variable' into 'master'

    Fix messages and variable.

    See merge request sane-project/backends!561

commit 1dbc316327093508a357ed72388732a7e816118e
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-12-22 16:14:44 +0100

    Fix messages and variable.

commit 87d9a86742ff0efc6c7c43a8290dcd4d64980bbf
Merge: ae06e017f 4aa767327
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-12-21 20:54:27 +0000

    Merge branch 'escl-fix-documentformat' into 'master'

    Choose the format according to availability and options.

    See merge request sane-project/backends!560

commit 4aa767327d72d3df92f968346b47dfeb46a9e157
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-12-21 20:17:03 +0000

    Choose the format according to availability and options.

commit ae06e017f4423b02fd7e85e22660e2c7447c847e
Merge: c8e1c9595 c0dae7e8f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-12-21 19:42:45 +0000

    Merge branch 'remotes/origin/escl-fix-adv-options' into 'master'

    refactoring options code

    See merge request sane-project/backends!559

commit c0dae7e8f5a8466855dcdf9d6d25bc7a8edac776
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-12-21 18:16:31 +0100

    refactoring options code

commit c8e1c9595ee5489766d7e411ee1fe6b13c528634
Merge: 6652aa42a e111c4856
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-12-20 03:35:57 +0000

    Merge branch '402-hp-scanjet-5370c-produces-double-height-image-and-cannot-preview' into 'master'

    Resolve "HP Scanjet 5370C produces double height image and cannot preview"

    Closes #402

    See merge request sane-project/backends!558

commit e111c485627b540ec14609f48cf3123ff7290543
Author: Ralph Little <skelband@gmail.com>
Date:   2020-12-19 17:28:36 -0800

    avision: added increment of the line variable in non-interpolated case

commit 15e200a981bf2605e445ec642a070dbd5a7289de
Author: Ralph Little <skelband@gmail.com>
Date:   2020-12-19 17:27:23 -0800

    avision: added some brackets to silence warnings about precedence ambiguity

commit 6652aa42a8bd3ca676d638433099c0e5da6a335e
Merge: a03e0106a a5181be71
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-12-19 21:22:20 +0000

    Merge branch 'escl-fix-segfault' into 'master'

    Fix a crash when asking for the list of options: scanimage -A

    See merge request sane-project/backends!557

commit a5181be71bee8b0433f7b9916a2801d5eee0f227
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-12-19 22:04:30 +0100

    Fix a crash when asking for the list of options: scanimage -A

commit a03e0106a119008410786b75174ad8e6e907fd00
Merge: fc1c5667d 3ad2f011c
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-12-18 08:16:26 +0000

    Merge branch 'update-external-model-scangearmp2' into 'master'

    Add model version scangearmp2 4.0 and 4.10.

    See merge request sane-project/backends!556

commit 3ad2f011ca9c8162c4c7742d2fbefca17c92ceb5
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-12-18 08:48:27 +0100

    Add model version scangearmp2 4.0 and 4.10.

commit fc1c5667da48cbc8024f2613a3b343c3335bcc34
Merge: bb84652c3 6ad635234
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-12-17 10:57:02 +0000

    Merge branch 'escl-device-crash-without-flatbed' into 'master'

    Escl device crash without flatbed

    See merge request sane-project/backends!554

commit 6ad6352342812305e575fba632f8b83c0cb9c7d1
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-12-16 13:50:24 +0100

    Add model HP Deskjet 3760.

commit 841680f6108abaa1ebb032137fa5a4850011a8a3
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-12-16 13:41:31 +0100

    Fix : Fixes the crash of devices that do not have a tray, discovered on the HP Deskjet 3760 device.

commit aa228faa137072ebd69913efbe1dfc3e7706e7fe
Author: James Ring <sjr@jdns.org>
Date:   2020-12-07 14:55:32 -0800

    fix small memory leak in scanimage option processing

commit bb84652c3c345bd8bbd724e1b057392688281b9b
Merge: f1154375f a388c3abc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-12-07 13:21:30 +0000

    Merge branch 'origin/pixma_bug_fixes' into 'master'

    General pixma backend fixes

    See merge request sane-project/backends!548

commit f1154375f59c12b4a0286e6b847289082255b722
Merge: 7f7a4778b cbf9627fd
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-11-30 11:07:40 +0000

    Merge branch 'master' into 'master'

    drop CVS keywords

    See merge request sane-project/backends!547

commit 7f7a4778bee37c88510d8f6b6af4297a54aceeb2
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-11-28 18:48:50 -0500

    canon_dr backend v60

    - add new gray and color interlacing options for DR-C120
    - initial support for DR-C120 and C130
    - enable fine calibration for P-208 (per @sashacmc in !546)

commit cbf9627fd8d20b7b35ee8376ad8cd36f8aa8bb51
Author: Mikolaj Kucharski <mikolaj@kucharski.name>
Date:   2020-11-29 09:19:26 +0000

    final Revision CVS keyword removal

commit 4196d204f108be532ab9ad10d1624f8aaf3d46d6
Author: Mikolaj Kucharski <mikolaj@kucharski.name>
Date:   2020-11-29 09:17:33 +0000

    drop more tricky Revision CVS keyword

commit 7de7c051fa5afbf6765bac91b8df2a5fd2f0aec3
Author: Mikolaj Kucharski <mikolaj@kucharski.name>
Date:   2020-11-29 09:06:48 +0000

    more CVS keywords removed, Log and Revision

commit a388c3abc1584ca80eed435a3063839c4c3b4752
Author: Ralph Little <skelband@gmail.com>
Date:   2020-11-28 19:34:52 -0800

    pixma: avoid structure copy on every read by using cinfo address.

commit 410f954f3b962368d218ac8ad154c97049089797
Author: Ralph Little <skelband@gmail.com>
Date:   2020-11-28 19:29:06 -0800

    pixma: assignment must be inside the loop to be effective.

commit 08eaf1a22e6441ecc446d0a5b34f21c08709a770
Author: Ralph Little <skelband@gmail.com>
Date:   2020-11-28 19:19:26 -0800

    pixma: MX490 series returns JPEG from ADF scans.

commit 65f11315414d44417ae453e940387cd3b869deb0
Author: Mikolaj Kucharski <mikolaj@kucharski.name>
Date:   2020-11-28 10:01:56 +0000

    drop CVS keywords

commit e5bd31c88284881f156bbca3d42384711e89a34d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-11-25 20:05:28 +0900

    utsushi.desc: Sync with upstream

commit 8a8595808de7b43aabe86a4b1d5c514ad8853ef7
Merge: a7f42db90 862ca098a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-11-23 01:39:29 +0000

    Merge branch 'master' into 'master'

    Fixed Artec AstraSlim SE configuration.

    See merge request sane-project/backends!545

commit 862ca098ae38c31f4a1489203eadc66424bbdb22
Author: RICCIARDI-Adrien <adrien.ricciardi@hotmail.fr>
Date:   2020-11-21 11:58:17 +0100

    Fixed Artec AstraSlim SE configuration.

commit a7f42db900a02955ac030408e460d7b7b79909c0
Merge: eae1e9068 c7dd86c7e
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-11-08 19:31:12 +0000

    Merge branch 'add-new-modele' into 'master'

    Add model Canon TS-5351

    See merge request sane-project/backends!544

commit c7dd86c7e75853bbd7d3bd6622747795e01d1651
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-11-08 20:16:05 +0100

    Add model Canon TS-5351

commit eae1e9068af08f3db20bf56ff38ea53d191c7a6d
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-11-08 20:11:50 +0100

    Revert "Add model Canon wqTS-5351."

    This reverts commit 9ec62a4780dd5db444a573c055d2558739e63881.

commit 9ec62a4780dd5db444a573c055d2558739e63881
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-11-08 20:02:55 +0100

    Add model Canon wqTS-5351.

commit 7699e1a09873df90185ca65f162812f987a87395
Merge: e4ef0548b d0695c147
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-11-02 22:07:21 +0000

    Merge branch 'pixma-calibrate' into 'master'

    pixma: Add --calibrate option

    See merge request sane-project/backends!542

commit d0695c14706575d765c770cfbea63372ff85bd45
Author: Iskren Chernev <me@iskren.info>
Date:   2020-11-02 21:44:08 +0200

    pixma: Add --calibrate option

    Feature was discussed in https://gitlab.com/sane-project/backends/-/issues/321

commit 1042a61c30e5ed3131f134290dea3820a70a3185
Author: Marcin Kocur <marcin2006@gmail.com>
Date:   2020-10-28 18:09:33 +0000

    Trigger udev rules parsing on all kernel events except of "remove" - fix tests - udev.ref

commit 968114e7e408cf5d261ec7004e1e8a75142f193c
Author: Marcin Kocur <marcin2006@gmail.com>
Date:   2020-10-28 17:52:59 +0000

    Trigger udev rules parsing on all kernel events except of "remove" - fix test udev+hwdb

commit b5bbcb2ef7c2928b60371c559fda18dd908df458
Author: Marcin Kocur <marcin2006@gmail.com>
Date:   2020-10-28 17:29:19 +0000

    Trigger udev rules parsing on all kernel events except of "remove" - fix tests.

commit a9c181a211870ca8c129370156be813be84cf556
Author: Marcin Kocur <marcin2006@gmail.com>
Date:   2020-10-26 21:15:29 +0000

    Trigger udev rules parsing on all kernel events except of "remove".

commit e4ef0548bf86a0690c2b373d3ece5aae52300036
Merge: 016271ebd 6fe222ed2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-10-20 09:01:15 +0000

    Merge branch 'leak_fix' into 'master'

    Fix memory leaks in dll and test backends

    See merge request sane-project/backends!537

commit 6fe222ed29240e039ccaf462eeaa20a919ae9da9
Author: Fletcher Woodruff <fletcherw@chromium.org>
Date:   2020-10-12 11:20:49 -0600

    test: do not leak initial values of string options

    The default values for string options are set using static (i.e.
    non-malloced) strings. Later, if new values are loaded from the config
    file, those SANE_Strings will then point to dynamically allocated memory
    which is eventually leaked.

    Change the initial values for the string options to NULL, and initialize
    them to the proper values within sane_init() using strdup(). This way,
    whenever the value for the string is changed, we can safely free() the
    previous value.

    This eliminates the other main source of memory leaks in the test backend.

    This patch also updates sane_init for the test backend to properly cleanup
    memory if it fails.

commit f71ac6126f7834c400fc9ced96325d1a61fc94d9
Author: Fletcher Woodruff <fletcherw@chromium.org>
Date:   2020-10-12 09:14:35 -0600

    test: free memory used for string options

    Inside Test_Device, track whether we've already called init_options().
    If we have, don't call it again when calling sane_open() again.

    Add a function cleanup_options() which frees the memory used for these
    options, and call it in sane_exit() if we previously called
    init_options().

    Change Test_Devices to be initialized with calloc instead of malloc,
    so that we can assume that uninitialized fields are NULL, and can safely
    call free() on them unconditionally.

    This eliminates some larger memory leaks within the test backend.

commit 016271ebdcf52351051ddd41fe71841aa03203b2
Merge: 519c300ff bc64c8f54
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-10-18 17:36:24 +0000

    Merge branch '362-lexmark-mc3200-mc3224adwe-network-scanner-crash-due-to-null-constraints' into 'master'

    Resolve "Lexmark MC3200 / MC3224adwe Network scanner crash due to NULL constraints"

    Closes #362

    See merge request sane-project/backends!534

commit bc64c8f5492bd9ada7800a89a8fdaaf5777ed7e3
Author: Ralph Little <skelband@gmail.com>
Date:   2020-10-18 09:51:35 -0700

    scanimage: check also for negative word_list length which is nonsensical.

commit 519c300ff0644f49d1a0a520aa4272aa9a36b685
Merge: 730982bd6 b1b412d5f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-10-18 01:47:29 +0000

    Merge branch 'brightness_on_12000xl' into 'master'

    epson2: fix lower brightness limit for DS-G20000/12000XL

    See merge request sane-project/backends!529

commit 730982bd6b00176c52a88a467543775dce6b1b6d
Merge: 7f38f0f71 014c307e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-10-15 21:20:20 +0000

    Merge branch '364-pixma-mx320-cannot-do-1200dpi-in-adf' into 'master'

    Resolve "Pixma MX320 cannot do 1200dpi in ADF"

    Closes #364

    See merge request sane-project/backends!538

commit 014c307e024ce85fe1a5509109ed97f88fbac176
Author: Ralph Little <skelband@gmail.com>
Date:   2020-10-13 09:03:45 -0700

    pixma: MX320 machine will not perform 1200 dpi scan from the ADF

    600 dpi maximum from ADF.

commit de903b84c49f80a973f48ea47e46e5e47a186b7e
Author: Fletcher Woodruff <fletcherw@chromium.org>
Date:   2020-10-12 16:22:40 -0600

    dll: fix memory leak in load

    In the case where we are unable to get a path for loading libs, and
    instead just use LIBDIR, we set 'src = strdup(LIBDIR)'. However, we
    never update orig_src to point to src before tokenizing the path with
    strsep(), so the memory is never freed.

    Update load to always set orig_src to src so that we don't leak memory.

commit 7f38f0f71c7779281bc26dde40bab0456e60f43d
Merge: 7e6231fe5 6af85ec66
Author: Gerhard Jäger <gerhard@gjaeger.de>
Date:   2020-10-12 09:14:04 +0000

    Merge branch 'canoscan_n650u_plustek_usb_workaround' into 'master'

    [plustek] Add 1ms delay before writing to register 0x59 during reseting registers

    Closes #137

    See merge request sane-project/backends!535

commit 7e6231fe571429d0b23654f24eac2333349381be
Merge: b75e39af8 42520aeaa
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-10-10 19:22:41 +0000

    Merge branch '358-gt68xx-1-0-31-breaks-mustek-1248ub-after-first-scan' into 'master'

    Resolve "gt68xx: 1.0.31 breaks Mustek 1248UB after first scan"

    Closes #358

    See merge request sane-project/backends!533

commit 42520aeaa9ea9f4e55b4025d6f04c7497bfa5852
Author: Ralph Little <skelband@gmail.com>
Date:   2020-10-10 12:01:33 -0700

    gt68xx: added flag to fix stop scan bug

    Some scanners (notably the Mustek 1248UB) doesn't like receiving a
    STOP scan command when it is not scanning. Flag prevents it my making
    sure that START/STOP commands are only ever paired up.

commit b75e39af8cade19d3658e5fbdc5b09bba76af8fd
Merge: 9ac6ee6cd 888531271
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-10-10 16:51:52 +0000

    Merge branch 'escl-avahi-resolve' into 'master'

    Fixes device discovery

    See merge request sane-project/backends!536

commit 8885312711ec7a228c5e60fde9b6447bc2569ba6
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-10-10 18:01:55 +0200

    Fixes device discovery

commit 6af85ec669f7a201360f3dcc48f6b47a06812914
Author: Zdenek Dohnal <zdohnal@redhat.com>
Date:   2020-10-09 08:55:41 +0200

    plustek-usbhw.c: Add 1ms sleep before writing to register 0x59

    Works around discovery problem for CanoScan N650U, fixes #137.

commit 9ac6ee6cd6252e7c4e63a21715497295c5684a55
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-10-07 15:06:07 +0200

    desc and news lide 600

commit 968add6706b88218e2cb91a9a26ef6928868b793
Author: Ralph Little <skelband@gmail.com>
Date:   2020-10-06 20:16:13 -0700

    scanimage: added checks for null constraints.

    We have seen this from buggy backends that present NULL for constraint
    string_lists. This is probably illegal behaviour from backends but we
    don't want to crash.

commit 6886cf6e8015e5e7c452add4907d7a486ee8ccb1
Author: Ralph Little <skelband@gmail.com>
Date:   2020-10-03 10:38:50 -0700

    gt68xx: Added temporary fix to avoid stop scan during cancel.

    Calling this function upsets some scanners in this family.
    This temporary sticking plaster permits the Mustek 1248UB scanner to
    scan after cancelling. We need to look into this much more when a
    scanner becomes available for investigation.

commit 81227d1d408af53105cd26cecefd3963729b92d9
Merge: efd4767d1 5ef217b19
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-29 09:38:15 +0000

    Merge branch 'avision_add_av186plus_av188_support' into 'master'

    add ID information for Avision AV186+ and AV188 sheetfed USB scanners

    See merge request sane-project/backends!532

commit 5ef217b19dcad89c3eb4587a0480e89008ca8961
Author: Nikolai Kostrigin <nickel@altlinux.org>
Date:   2020-06-25 18:13:41 +0300

    add ID information for Avision AV186+ and AV188 sheetfed USB scanners

    backend/avision.c: add AV186+ as 'good',
                           AV188 as 'untested'
    doc/descriptions/avision.desc: add AV186+ as 'good',
                                       AV188 as 'untested'

commit efd4767d13a8c49634187180662c3e0cacf5d5de
Merge: 9e9dc5104 7139d6dec
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-28 09:16:31 +0000

    Merge branch 'epson2/rework_focus' into 'master'

    Epson2/rework focus

    See merge request sane-project/backends!531

commit 9e9dc5104ea206e79d04c64a2b9eaca49cb1a172
Merge: 429cc0efc 94506b178
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-27 08:01:36 +0000

    Merge branch 'esci_set_focus_retval' into 'master'

    epson2: check for return value of e2_esc_cmd

    See merge request sane-project/backends!526

commit 7139d6decf0860b868314d6bdae4bf4e493cf066
Author: Wolfram Sang <wsa@kernel.org>
Date:   2020-09-26 13:22:57 +0200

    epson2: add autofocus

    Enable autofocus support on my Epson 12000XL. The middle of the scan
    area will be used as the focus point. An arbitrary X,Y is possible but
    not implemented yet

    Signed-off-by: Wolfram Sang <wsa@kernel.org>

commit 5d706c2c3573f21438c39020782cbdfa4923076d
Author: Wolfram Sang <wsa@kernel.org>
Date:   2020-09-19 11:24:37 +0200

    epson2: implement full range manual focus settings

    Allow the whole range of manual focus settings as an expert option. This
    is also now independent of a TPU being installed or not. The old default
    values are applied if the user changes the source type (either FLATBED
    or TPU). Adding a focus group here because autofocus options will come
    with later patches.

    Signed-off-by: Wolfram Sang <wsa@kernel.org>

commit f9f75ca068f66e3d9f8c442789b7582595b947b4
Author: Wolfram Sang <wsa@kernel.org>
Date:   2020-09-19 10:13:43 +0200

    saneopts: add entries for focus/autofocus

    coolscan2 has focus entries already reused in coolscan3. Because I want
    to add the same options to epson2, it makes sense to make them available
    globally. Add i18n while here.

    Signed-off-by: Wolfram Sang <wsa@kernel.org>

commit a0e68f7de9679a0fe5f6ae61f9487d5fd9c8a86b
Author: Wolfram Sang <wsa@kernel.org>
Date:   2020-09-26 11:32:49 +0200

    epson2: enable focus for all scanner types

    Even with USB based scanners, we need to send the esci command to set
    the focus. There is no byte in the extended scanning parameters for it.
    So, move the code to a place where it is called for all cases.

    Signed-off-by: Wolfram Sang <wsa@kernel.org>

commit 1653b0f80c296477387101774ee3d0ea2c696cb8
Merge: 429cc0efc 94506b178
Author: Wolfram Sang <wsa@kernel.org>
Date:   2020-09-26 11:47:57 +0200

    Merge branch 'zdohnal/esci_set_focus_retval' into focus_on_12000XL

commit 429cc0efc0055a8f231199260e0b52e18169be5f
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-09-25 16:40:07 +0200

    pixma: backend version 0.28.6

commit 9db8fc305e7b5547fe508096895fe94245373813
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-09-25 16:38:38 +0200

    pixma: add comment for last merge

commit e80612275eaa5ea61434e81b2dcb0e23330c8804
Merge: 72fd68cb5 4a76bbd16
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-09-25 14:35:40 +0000

    Merge branch 'patch-1' into 'master'

    Added support for Canon Pixma MX340 buttons and ADF status

    See merge request sane-project/backends!513

commit 72fd68cb56eeaf29dea6ea8af6656a9514fb25f0
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-09-25 16:20:58 +0200

    introduce Povilas Kanapickas as pixma maintainer

commit e46adab4f28b0f65df9fb8e4c0181512d0d0c710
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-08-11 19:28:11 -0400

    canon_dr v59: fine calibration updates

    - restructure fine calibration code
    - initial support for uploading fine calibration payloads
    - improve DR-C225 support

    Most canon scanners require that the driver apply fine (per-cell)
    calibration information. But a few require that the info be loaded
    into the scanner. Here, we add initial support for that, though the
    needed values are hardcoded instead of calculated.

commit 588f01526e7cc9459739d88fdf57961b021ffec7
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-09-23 21:03:45 -0400

    fujitsu v137b: brightness/contrast improvements

    - change window_gamma init (fixes bright/contrast for iX1500)
    - only call send_lut after set_window (remove late_lut)

commit 5b92a367c386d2a576c5aa4f4b95106252ce62a1
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-09-23 20:57:26 -0400

    fujitsu v137a: fix JPEG duplex memory corruption

commit 94506b17874dfdbea0f02c6ecd0b58dcb6a71b84
Author: Zdenek Dohnal <zdohnal@redhat.com>
Date:   2020-09-22 11:34:56 +0200

    epson2: check for return value of e2_esc_cmd

commit b1b412d5f82e682119517c52addc37a36de7cf0a
Author: Wolfram Sang <wsa@kernel.org>
Date:   2020-09-18 20:37:40 +0200

    epson2: fix lower brightness limit for DS-G20000/12000XL

    I get -EINVAL with -4 (ROM Version 1.02). -3 works.

    Signed-off-by: Wolfram Sang <wsa@kernel.org>

commit 6d7fbc83200e4c0ae4fb5bdad89714e1f84604e6
Merge: b155955b0 cd768b369
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-09-18 14:03:22 +0000

    Merge branch 'escl-check-scan-options' into 'master'

    Check options scan and fix xml.

    See merge request sane-project/backends!528

commit cd768b3692e1fa18e97bb5565299ba2a2c83a354
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-18 15:47:45 +0200

    Check options scan and fix xml.

commit b155955b0e24ab5ff40f3ca9cdcad4b676f1ac4d
Merge: ddcfa6a12 e281dfb0c
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-09-17 20:29:28 +0000

    Merge branch 'escl-add-scan-options' into 'master'

    Added options: Brightness, Threshold, Sharpen and Contrast.

    See merge request sane-project/backends!527

commit e281dfb0cd5fb15acc1ee80766d22c26ac0e6e53
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-17 18:55:03 +0200

    Fix style.

commit fcbeeccbf08b302e2944b5e912daaaf99bbbdc1a
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-17 18:50:33 +0200

    Added options: Brightness, Threshold, Sharpen and Contrast.

commit ddcfa6a12fce64f41ba0f40746a6487207fdfb95
Merge: b89b9b135 924dcf073
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-17 11:41:31 +0000

    Merge branch 'master' into 'master'

    Do not use fixed python executable name and use AM_PROG_PYTHON

    See merge request sane-project/backends!525

commit 924dcf073176bc130750056f5e2b2943d287d382
Author: Your Name <you@example.com>
Date:   2020-09-14 15:44:36 +0100

    Lower minimum python version required to 2.7

commit 0f7ce3fe7a22c2bf89caa7e7297d2af27e69f772
Author: Your Name <you@example.com>
Date:   2020-09-13 20:17:43 +0100

    Do not use fixed python executable name and use AM_PROG_PYTHON

    On many systems now python executable it is python3.
    On my system it the case and by this muild failed with:

    make[2]: Leaving directory '/home/tkloczko/rpmbuild/BUILD/backends-1.0.31/backend'
    make[2]: Entering directory '/home/tkloczko/rpmbuild/BUILD/backends-1.0.31/backend'
    Generating pixma/pixma_sane_options.h from pixma/pixma.c
    /bin/sh: python: command not found
    make[2]: *** [Makefile:7317: pixma/pixma_sane_options.h] Error 127
    make[2]: Leaving directory '/home/tkloczko/rpmbuild/BUILD/backends-1.0.31/backend'
    make[2]: *** Waiting for unfinished jobs....

    Using AM_PROG_PYTHON() nmacro cllows avoide tha by hecks current version of the
    python and allw to use custom python executable by execute configure by:

    $ PYTHON=</some/python> ./configure <params>

    AM_PROG_PYTHON aclocal macro propagates to automake files $(PYTHON) variable
    which could be used on geberate instaleable scripts on duting build process like
    it is now in backend/Makefile.am.

    Currently minum version of required vesion of the python is python >= 3.

commit b89b9b1350035a579757b2b11b34db112bc920ad
Merge: 2c5f3e181 a380fb089
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 10:38:24 +0000

    Merge branch '345-fix-pixma-libxml-build-dependency' into 'master'

    pixma: Restore old behaviour in case XML support is missing

    Closes #345

    See merge request sane-project/backends!524

commit a380fb089499f6b5192c07ae2feaa3376997382f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 18:47:32 +0900

    pixma: Restore old behaviour in case XML support is missing

    Fixes #345.

commit 2c5f3e181449451daa4999e8eb5bc60cb2d134d5
Merge: 3ac8ca4e8 4846d36ad
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 09:12:58 +0000

    Merge branch '344-generate-sane-backends-pot-inputs' into 'master'

    po: Make sure all sane-backends.pot input are available

    Closes #344

    See merge request sane-project/backends!523

commit 4846d36ad1e9ca709cb3a2eaa839c8c79effe34b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 17:56:40 +0900

    po: Make sure all sane-backends.pot input are available

commit 3ac8ca4e87aabcc432fe629d905bcfdee4c0a199
Merge: e69284695 1666e3916
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 08:44:21 +0000

    Merge branch 'epson_perfection_1640' into 'master'

    Add SCSI ids for Epson Perfection 1640SU

    See merge request sane-project/backends!509

commit e69284695a75b124533b411fdffd6f8dd8727b24
Merge: 2539a13df 0077988e8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 08:38:26 +0000

    Merge branch '350-remove-automake-maintainer-mode' into 'master'

    Resolve "1.0.31: build fails"

    Closes #350

    See merge request sane-project/backends!522

commit 0077988e83f1ba3704e5d8fc296e030563b2dd91
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 16:24:46 +0900

    po/README: Make the documentation use consistent notation

commit e22b393e38afb4db00adb73466ad87eda1631fb1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 16:24:17 +0900

    po/README: Update documentation that refers to maintainer mode

commit 262e32ce591feb79ba5be9b21396b9dd71f1f067
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 16:21:03 +0900

    configure.ac: Remove maintainer mode

    Now that we no longer include generated files in our git repository
    builds should always have maintainer mode enabled so checkouts pick
    up on changes in Makefile.am, configure.ac, etc. between builds.

    See #350.

commit 30b7e31eacd14675c373a5d44833f606c46ca894
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 15:56:04 +0900

    configure.ac: Remove stale release versioning comment

commit 2539a13dfbdc71c6c8becd7973c22c5da26b6354
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 16:31:41 +0900

    Fix spelling differences in testsuite reference data

    Fix up of ffff088641e3dcd5d3a3b92d533c2eb0a02a6219.

commit 404e1500c2851055f0544fef5b5ac2cd52961d45
Merge: 5d3ce7806 b5cf71318
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 06:07:39 +0000

    Merge branch 'usb_udev_attrs' into 'master'

    Speedup ATTR match for USB devices

    Closes #341

    See merge request sane-project/backends!510

commit b5cf71318b7c34635df41178a7f1666ffb035df9
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 14:50:15 +0900

    sane-desc: Update test reference files

    This follows ad66f79c43c1c1cd809ad6f77fb16ba94c71bea9.

commit 124c16fe6f7731f6e4cf35d870f3aafe8bf15094
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-13 14:34:21 +0900

    sane-desc: Fail build if testsuite fails

commit 5d3ce78068580e5e9fe0e2142caddb883312fecc
Merge: 17ab6caa3 2a238f83e
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-09-11 08:17:35 +0000

    Merge branch 'escl-add-models' into 'master'

    Added HP "DeskJet 2710" and "DesJet 2723" models as supported.

    See merge request sane-project/backends!519

commit 2a238f83e0d1bf6b7d6a7d70ee025689fc20163a
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-11 09:58:09 +0200

    Added HP "DeskJet 2710" and "DesJet 2723" models as supported.

commit 17ab6caa383ceec41930ae95956b34197d183c5a
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-09-07 15:15:21 +0200

    canon_lide70 simplified going back

commit 7ddbefd103dfd9d724065d5b7aa951a80a554c65
Author: Gábor Lipták <gliptak@gmail.com>
Date:   2020-09-07 09:07:30 -0400

    Add Ubuntu pre-built section to README

    Signed-off-by: Gábor Lipták <gliptak@gmail.com>

commit cea2a83ea2c006a6347e8926b6b9163d20e77874
Merge: f59ba7003 33d1aecc7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-07 09:24:15 +0000

    Merge branch 'master-spelling' into 'master'

    spelling fixes

    See merge request sane-project/backends!516

commit f59ba7003d4f5cdaddaba722aff01ddae23d6bbf
Merge: 7884311d4 e946d14e6
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-09-07 08:40:34 +0000

    Merge branch 'escl-add-models' into 'master'

    Addition of two models

    See merge request sane-project/backends!517

commit e946d14e6cd9dcc678610b7c7d81a92ca6d10174
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-07 10:15:03 +0200

    Addition of two models

commit 7884311d4a207c20feca30d2a229459c83a1e5e4
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-07 10:10:40 +0200

    Revert "Addition of two models"

    This reverts commit 059296b287774f68e3379bb9c63e6c706a7770a0.

commit 059296b287774f68e3379bb9c63e6c706a7770a0
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-09-07 10:07:06 +0200

    Addition of two models

commit 33d1aecc7c5a3e0604c1a24903e9d22d10081eb1
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:34:40 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit 950aded610368dd4e87e96ba5cffd3dd2cb3164e
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:29:49 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit 6e16f45b76d50530c66c1e2e6dfc295b50f9aaa3
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:29:44 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit 76ab18f064eb282a0708039b63ff3ebd9acfb086
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:29:33 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit 408fb55b026ba681ca992d02d20db83694f21af8
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:20:32 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit d78954552157675237ff0f5904830ade388c0a6d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:17:00 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit c0ab7e950e15aae16f05b3003b9d401b9239136e
Author: Peter Marschall <peter@adpm.de>
Date:   2020-09-06 07:16:41 +0000

    Apply 1 suggestion(s) to 1 file(s)

commit c946aa5a84297f33b30cddb0c89fcf375ed65d10
Merge: 8894364c5 0f9b481fe
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-04 11:48:13 +0000

    Merge branch 'dell1600n_net_return_eaccess_if_local_only' into 'master'

    dell1600n_net: return ACCESS_DENIED when local devices are requested

    See merge request sane-project/backends!506

commit 8894364c5bbcbb893ca22d3bfda693c857157c35
Merge: f7ad04168 f089aeac8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-09-03 12:10:51 +0000

    Merge branch 'master' into 'master'

    backend/avision.c adf_reset(): In debug message "adf_reset: read ... failed...

    See merge request sane-project/backends!515

commit 2ad63d4e1ee942a0289b4986fd015ae426868a44
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:47:52 +0200

    spelling fixes for sane core

commit 7cbcc9ceac565e44e2990ba1de78c26b1a85721c
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:46:45 +0200

    spelling fixes for docs, READMEs, ...

commit b4c6cbeb1ff9a12b25ac0c047c17570c5d40babf
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:44:47 +0200

    spelling fixes for tools

commit ffff088641e3dcd5d3a3b92d533c2eb0a02a6219
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:44:33 +0200

    spelling fixes for testsuite

commit cd8c018585c36391e58ebc8409facf033f57c645
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:43:03 +0200

    spelling fixes for xerox_mfp backend

commit 77406ed606607f509cac9fcfb6ece998505cd191
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:43:03 +0200

    spelling fixes for sceptre backend

commit 44755f6fc59a72b871ffc34c36081e097fef1972
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:42:15 +0200

    spelling fixes for dmc backend

commit 5515db02724e08f8fbe4afcfe2619f3d91cfe85a
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:42:15 +0200

    spelling fixes for leo backend

commit 5137304bb62313a5202ba2d68abed54f19fdf498
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:42:15 +0200

    spelling fixes for ma1509 backend

commit f8d08816a83067a63ed816930f512b7ca65f7a98
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:42:15 +0200

    spelling fixes for sp15c backend

commit 25af0a7403f2451b0668c610275ca1332f2efc82
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:42:15 +0200

    spelling fixes for tamarack backend

commit 66443f37e6c14b73b251e2080d7d97ff6a746b5b
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:40:56 +0200

    spelling fixes for ibm backend

commit f6059bd3cbe8fa2c613e884839a4b0e5f037d590
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:40:56 +0200

    spelling fixes for gphoto2 backend

commit a36cf4afda01c2d871aa8a01d7078a5d8bfc4d9c
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:40:56 +0200

    spelling fixes for dell1600n backend

commit 9d368fd7a884103362fa73914795a21ae82e305d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:40:56 +0200

    spelling fixes for dc25 backend

commit 37bee66d055b364530289410bd512b5e88454f6c
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:39:02 +0200

    spelling fixes for s9036 backend

commit 56cbbdad5d6f8fe01708785bbac88485fdbf8c1e
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:39:02 +0200

    spelling fixes for sharp backend

commit 4984bedb6e39ee24fd48d9f95cd0ccf02a282538
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:39:02 +0200

    spelling fixes for ricoh backend

commit 35fe083519e49cfe87ce41d9384fa1e8b5766dbc
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:39:02 +0200

    spelling fixes for qcam backend

commit 95eda03dd12de41972407c4943f2f6e28f289a60
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:39:02 +0200

    spelling fixes for nec backend

commit 340f7e7329a87af240b5de647375c13f84a8c60f
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:37:18 +0200

    spelling fixes for niash backend

commit 56be6cf59af13523ac9696121f119d477269b2f6
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:36:19 +0200

    spelling fixes for lexmark backend

commit fc24607b3165a8df897a3d71455f1e47a19ebd65
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:35:16 +0200

    spelling fixes for agfafocus backend

commit b834e472876f47639c87bda8ae9996b06f409754
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:33:32 +0200

    spelling fixes for kodak backend

commit af9f9d62cd97830aac9b417f7af3c673c2dd0fcb
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:33:13 +0200

    spelling fixes for kodakaio backend

commit 269a7c0413c0b6e9b9a1703a414860587b6dfeab
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:32:00 +0200

    spelling fixes for avision backend

commit f611cab816eec5df32c26b110148b41aad95fdff
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:31:46 +0200

    spelling fixes for v4l backend

commit 9a6ef1ceb046367d5b48ea57bb9af27f9e51f91b
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:31:33 +0200

    spelling fixes for hs2p backend

commit e0bc8e9ba7aeb04e20f507c10b9ef64b2ece124c
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:29:25 +0200

    spelling fixes for net backend

commit 15d95a5b1b40b96e4df92c32b7cd27218ab9512d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:26:33 +0200

    spelling fixes for matsushita backend

commit 452f21c1e2c460aee14d35e819e29f801d60aa43
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:24:51 +0200

    spelling fixes for microtek2 backend

commit 16acc1c2335358883ffae78526237894e5c9db71
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:23:03 +0200

    spelling fixes for artec backend

commit 917c8b2c5fcb5d4a12f35357bf5598dbb9adfb0d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:22:53 +0200

    spelling fixes for artec_eplus48u backend

commit 7e984d479a8aacd7b838e01d9fae951bf84a38c5
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:22:37 +0200

    spelling fixes for apple backend

commit ffb741852ad46017926b81bf24a466a56ef8f4f7
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:20:08 +0200

    spelling fixes for hp backend

commit 7dcb5dc096e5eff45ffbd1f7ac55ed3d5a4c7ebe
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:19:45 +0200

    spelling fixes for hp3500 backend

commit f4fb21e33410c9d246a4028573efd95f26cd8ad3
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:19:31 +0200

    spelling fixes for hp3900 backend

commit 32aa1ef82607ffd130a747dd4325624841981b2d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:19:15 +0200

    spelling fixes for hp5400 backend

commit b9ca020ef60bd2553c9eab092c9277d0683ac269
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:18:26 +0200

    spelling fixes for hpljm1005 backend

commit bbf7d068eda56ef7506f1c7d83903ce7af9cac34
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-29 08:17:09 +0200

    spelling fixes for hpsj5s backend

commit 33f413e790ac203e1550440274915e03e2110c54
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:10:36 +0200

    spelling fixes for epson backend

commit b2ce3110c6ebdcfbc228e32ed187a918ee0b9c99
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:10:25 +0200

    spelling fixes for epson2 backend

commit 3d1a5da4e1363942b6d1a878b43711e964b53954
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:08:59 +0200

    spelling fixes for fujitsu backend

commit 79a1aa27234ebaf7d44f23e02979d1e9eb7bfb06
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:07:54 +0200

    spelling fixes for stv680 backend

commit d2f2d9965e974f1094cbb3c2b2c639dac4e63e41
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:07:33 +0200

    spelling fixes for st400 backend

commit b7676f3ec1b89b73b0f66fd16ff2e0d54478265f
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:05:10 +0200

    spelling fixes for canon backend

commit fbe99c09149450389a6e2d0d282e83ee7dee1caa
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:04:55 +0200

    spelling fixes for canon_dr backend

commit 0e8b1d0e89fb5e0b40bd6651d4e8a7d662e23c15
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:04:45 +0200

    spelling fixes for canon_pp backend

commit ec07e73d04cc98aae22a47fdaabbd2a003d6a473
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:04:25 +0200

    spelling fixes for canon630u backend

commit e1ea09c8344a1a990f54a0d89bf3cbb1a3dc873a
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:01:50 +0200

    spelling fixes for coolscan backend

commit e78667e32d12bb01f98fe1459b090e15a2b57885
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:01:44 +0200

    spelling fixes for coolscan2 backend

commit 27e5078c39cc86bcb7876221fcd9f744da3d5e61
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:01:36 +0200

    spelling fixes for coolscan3 backend

commit dde1ad7a82689e247818672aeae621c8ae87a44e
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 19:00:07 +0200

    spelling fixes for kvs40xx backend

commit 5d606d9b56126b19dd425f73cd80a06cdd787449
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:59:58 +0200

    spelling fixes for kvs20xx backend

commit bf5ddfe38912be356d662364da08344b5b5bf86f
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:59:42 +0200

    spelling fixes for kvs1025 backend

commit 0ff0d7d25bbe66d79126eb8f97cbb0c8ed0bebe2
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:58:19 +0200

    spelling fixes for epjitsu backend

commit f69854bb4843756c630b49e2b7e9b126b340156f
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:57:23 +0200

    spelling fixes for rts8891 backend

commit 78dd1892abe7bef46672ce7260f2b2022af3832e
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:55:39 +0200

    spelling fixes for sm3840 backend

commit a94c17175f2bd3bf541fc62ff1036351c44eefa0
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:55:26 +0200

    spelling fixes for sm3600 backend

commit 3e33c9664aebda7b87db0e77b0e533e6f4039e6c
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:52:53 +0200

    spelling fixes for pixma backend

commit 4f4278ab2dc80dbc893eb8b24daf28939875390e
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:51:48 +0200

    spelling fixes for escl backend

commit 13b56dd1223fa3fc09019f45142faf022ac22884
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:50:36 +0200

    spelling fixes for pie backend

commit 63c686b9295983f3196f0043956eff7da43f42b9
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:50:24 +0200

    spelling fixes for pieusb backend

commit 064d73ed5a653998f518e5d9fecde2c27e104e04
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:48:30 +0200

    spelling fixes for umax backend

commit 0d862ba5753183e14f01f63270857e63c3ad7786
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:48:12 +0200

    spelling fixes for umax1220u backend

commit e8ba89fdccf0d87eac731cdf3d8f283423b0e615
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:46:31 +0200

    spelling fixes for umax_pp backend

commit b8cc6ce3a9ff9fe535d3a888703988536b57d47d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:45:02 +0200

    spelling fixes for cardscan backend

commit 192262a2774df19a70233a3f158b76482ac7257d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:43:42 +0200

    spelling fixes for p5 backend

commit 0b2e89db18bddfca70a1aa00271a2ffaf9104907
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:42:16 +0200

    spelling fixes for snapscan backend

commit cbbfcd1121af9cc8322cd17aed8afe43287e430a
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:39:49 +0200

    spelling fixes for gt68xx backend

commit f4385e21c34d77626569376f56290a04611b5992
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:35:49 +0200

    spelling fixes for teco3 backend

commit 78bf42e04e8761b7a2a3b1ec246c354e188f6868
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:35:41 +0200

    spelling fixes for teco2 backend

commit fe71899cc83747ee8c4e052401eb3197f14fe94f
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:35:33 +0200

    spelling fixes for teco1 backend

commit bd081d3bbe0a512cab1df9a336648a0376449f18
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:32:54 +0200

    spelling fixes for mustek_usb backend

commit 6cb28ca627e556082fc434b377d16a54444a2612
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:32:42 +0200

    spelling fixes for mustek_pp backend

commit a1239c5601b67841c4cf6021486578182a4aa6e9
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:32:10 +0200

    spelling fixes for mustek backend

commit 493ed0a533ca7702b75788aa40514e31aeba0cf4
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:29:16 +0200

    spelling fixes for mustek_usb2 backend

commit 9afda64c421c24e1a42cf6803faff3f759cdbebf
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:23:32 +0200

    spelling fixes for plustek backend

commit e3f20a932c368906f50124db4c434044a05f545a
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:21:06 +0200

    spelling fixes for plustek_pp backend

commit 0cd9de9befaca49ff8717233f4a0a01b338ea56d
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:17:08 +0200

    spelling fixes for genesys backend

commit 94a9ef8250564b916bf2c1bb74c556c1862d1506
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:13:03 +0200

    spelling fixes for ChangeLogs

commit a307ba8ccf3d9ac5fb92ada268169c40234c08c0
Author: Peter Marschall <peter@adpm.de>
Date:   2020-08-28 18:12:00 +0200

    spelling fixes for u12 backend

commit f7ad04168227ae37ddc0497129688ef2d22eaff1
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-28 14:30:48 +0200

    canon_lide70 eliminating old cmd_buffer

commit 0544e420029938fb2f3afb9737b58644c3490310
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-27 15:16:05 +0200

    lide 70 init problem solved

commit e97919d53b63158ae15c70a67db8b6fa6d363190
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-26 15:25:24 +0200

    canon_lide70 small changes

commit ead06704ea4bc5e8963a72c4d02e66d26a70fd80
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-24 17:14:40 +0200

    removed trailing whitespace

commit 5bfbb13b08cfcc69c330d1b6132b1ff82db56e19
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-24 15:23:00 +0200

    renaming startblobs, modernizing gamma procedures

commit f089aeac8c2863def8540eb6452cd86720156888
Author: Adam Richter <adamrichter4@gmail.com>
Date:   2020-08-24 03:56:36 -0700

    backend/avision.c adf_reset(): In debug message "adf_reset: read ... failed ...", fix arithmetic and compiler warning about printf integer format type mismatch.

commit bfab54e3913f3f7fb80f7a3d4532efe1b4dad072
Merge: ed43548de 871813a22
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-24 09:19:44 +0000

    Merge branch 'release/1.0.31' into 'master'

    Release/1.0.31

    See merge request sane-project/backends!514

commit 871813a22db1b03adcbf4f5dc4ea9eb29f12a36d (tag: 1.0.31)
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-23 20:25:14 +0900

    NEWS: Document changes for 1.0.31 release

commit b21f1cfd2748979b4e036575293a18eba28bf685
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-23 15:15:13 +0900

    Revert spurious source code file reference changes in !512

commit ed43548de752d2f02fcd42158f1f5bfac6f39ec8
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-22 11:15:44 +0200

    first support for the lide600. 1200dpi dropped.

commit a2075317e38502dd2eb9058d54015e9faecf8a56
Merge: 8f19b77f4 d65d121e6
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-20 19:55:50 +0000

    Merge branch '38-macos-device-0x03f0-0x1305-at-020-002-is-not-configured' into 'release/1.0.31'

    Resolve "[macOS] device 0x03f0/0x1305 at 020:002 is not configured"

    See merge request sane-project/backends!504

commit d00af49e365e2cbad363b2faf27bbed1410ce570
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-08-20 16:49:17 +0200

    preparing for the lide600

commit 0f9b481fee97c05adaceaeb9291a73380372d6d9
Author: pobrn <pobrn@protonmail.com>
Date:   2020-08-20 15:39:27 +0200

    dell1600n_net: return empty list when local devices are requested

    !502 made the dell1600n_net backend return GOOD status when local
    devices are requested. This is problematic since in that case
    the caller may assume that the passed device list has been populated.
    However, this is not the case for this backend, since the device list
    is not modified in any way in that case. The caller trying to access
    the device list may lead to undesired consequences. Fix that by
    returning an empty list if 'local_only' is true.

commit 8f19b77f45e955345da7cfc2ae48777009203ec7
Merge: 80643db45 48fee0b33
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-20 10:07:25 +0000

    Merge branch 'release/1.0.31' into 'release/1.0.31'

    Italian translation update

    See merge request sane-project/backends!512

commit 4a76bbd162110f6a3944ebc7a6f08259724e4618
Author: Asela Fernando <apn.fernando@gmail.com>
Date:   2020-08-20 00:32:49 +0000

    Added support for Canon Pixma MX340 buttons buf[7] and ADF status buf[8]

commit 48fee0b33f4b9b998be27857d9239da5049820c4
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   2020-08-19 12:07:30 +0200

    Italian translation update

commit ad66f79c43c1c1cd809ad6f77fb16ba94c71bea9
Author: StefanBruens <stefan.bruens@rwth-aachen.de>
Date:   2020-08-18 19:23:09 +0000

    Speedup ATTR match for USB devices

    Fixes #341

commit 1666e3916db23aa1a8f82c32e9156d8ca994d783
Author: StefanBruens <stefan.bruens@rwth-aachen.de>
Date:   2020-08-18 19:13:19 +0000

    Add SCSI ids for Epson Perfection 1640SU

    See:
    https://sane-devel.alioth.debian.narkive.com/fNt0Hkzn/epson-perfection-1640su-with-adf-or-filmadapter

commit 245564dffe96ddf0fd1c703c48973cd35fddd268
Merge: 65db792a1 45f84a569
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-16 09:55:14 +0000

    Merge branch 'respect_local_only' into 'master'

    Respect 'local_only' parameter of sane_get_devices()

    Closes #140 and #130

    See merge request sane-project/backends!502

commit 65db792a14c1db609c4d5ae57b4c9272282ea5ca
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-15 14:33:48 +0200

    pixma: backend version 0.28.5

commit 311bf867f9119ba72c92f321356fdba9a3a2f176
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-15 14:32:58 +0200

    pixma: MP495 is working

    Pixma backend supports only symmetric scan resolutions, here 600dpi.

    See issue sane-project/backends#32

commit 80643db457d1893cd39bd333ff3bb08fb145f3e6
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-15 14:29:18 +0200

    pixma: MP495 is working

    Pixma backend supports only symmetric scan resolutions, here 600dpi.

    See issue sane-project/backends#32

commit 7ac9296a1940b81372e46ac2e94126792fa87985
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 19:58:15 +0200

    pixma: backend version 0.28.5

commit 3113d546c893ad9c8b4a3d7245e083272db8f6db
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 20:27:06 +0200

    Revert "pixma: MP490 Series doesn't need special image formatting @ high dpi"

    This reverts commit 1675697366e0d69edf1e413265c6fc15e6f3ab97.

    See issue sane-project/backends#338

commit d1fea9269d118942bbc52123e9c4378fb9c5ca70
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 20:27:06 +0200

    Revert "pixma: MP490 Series doesn't need special image formatting @ high dpi"

    This reverts commit 1675697366e0d69edf1e413265c6fc15e6f3ab97.

    See issue sane-project/backends#338

commit 5207b12d5d35e9fe76ffbbbab3264dbd7199ac10
Merge: d289b42ad 34c25369e
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 19:58:51 +0200

    Merge branch '333-canon-mf264dw-fails-to-scan'

    See issue sane-project/backends#333

commit 34c25369e5c78a84eec0d6b2ef32200325dc4ae3
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 19:58:15 +0200

    pixma: backend version 0.28.4

commit 584099c9c17b8cbcd2772679becab0ccdc37f8db
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-14 19:47:11 +0200

    pixma: enable PIXMA_CAP_JPEG for Canon i-SENSYS MF260 Series

commit a384de5aeacda7d822ecd80ff3cb668d9d92f352
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2019-11-20 22:42:52 +0100

    pixma: new capability PIXMA_CAP_JPEG

commit 45f84a569c1f15fd76f36199061eed41f5f1587f
Author: pobrn <pobrn@protonmail.com>
Date:   2020-08-12 12:29:36 +0200

    respect 'local_only' parameter of sane_get_devices()

    Certain backends do network scans even if the 'local_only'
    parameter for 'sane_get_devices()' is true. Fix that.

    Changes:

    1. Modify 'sanei_configure_attach()' so that backend specific
       data may be passed to the 'attach()' function.

    2. Use this in certain backends to pass the value of the
       'local_only' parameter so that network related activities
       are only carried out when the value is false.

commit e76b1e4863a23de7d740a46738af762c66935349
Merge: 0d5ea59d4 743290300
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-12 00:36:57 +0000

    Merge branch 'for-upstream/avision_fix_fastfeed' into 'release/1.0.31'

    backend/avision: fix lock-up of scanners not supporting fastfeed

    See merge request sane-project/backends!505

commit 0d5ea59d43780e5fc22238f3929e5ccd968a5587
Merge: 4a4199c33 0082a9af5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 21:09:40 +0000

    Merge branch 'german-translation-revision' into 'release/1.0.31'

    Update German translation

    See merge request sane-project/backends!487

commit 0082a9af569ad8f5a7ae719ac0c4d54c3dbd5469
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:52:45 +0200

    some translations need some rework

commit c1297cddfb54cca6a6cb506a1abbf106fb35f66a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:51:38 +0200

    rework some translations

commit 85fcab62f5a0bf140e2fd9f85cf4af4cd26d597c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:46:30 +0200

    translations start in capital letters

commit 66e3e318afc5452c7c9d3f7b4e4589cb6d8770b8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-10 22:41:33 +0200

    remove outdated translations

commit 743290300a2269398b2c6986eaa603ae73c75526
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2020-08-10 19:26:24 +0200

    backend/avision: fix lock-up of scanners not supporting fastfeed

    de19ebc introduced a regression, where some scanners would lock-up
    completely and require a full power cycle.

    To fix that, do not call release_unit for any scanners not supporting
    fastfeed for now, since that leads to lock-ups on at least one device.
    Currently, it isn't clear what exactly is causing the problems, so it
    maybe be enabled in a correct way again, later.

    Resolves issue !337.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 5e07b8ad0be1df462439ecfea5227913cf5f9865
Merge: 3ab937a3f 4a4199c33
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-08 14:15:23 +0200

    Merge branch 'release/1.0.31' into german-translation-revision

commit 4a4199c33033e786260f88866245b4322266dee1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-08-08 13:51:25 +0200

    pixma: E410 Series is working

    See issue sane-project/backends#334

commit 3f1fea952c46d0a07222a5154c8a5f0d45cb325a
Merge: f23107f43 5447fd3d3
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-08 11:50:35 +0000

    Merge branch '293-epson-perfection-3590-photo' into 'release/1.0.31'

    Resolve "Epson Perfection 3590 Photo"

    See merge request sane-project/backends!503

commit d65d121e6d2ab48832e1b4f9d2172a500cfabbfa
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-08 09:55:47 +0000

    Use SANEI_ALLOW_UNCONFIGURED_DEVICES macro to skip test of unconfigured devices instead of platform test.

commit 5447fd3d375d40b1e589171f2619f347974f7637
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-08-08 09:25:01 +0000

    Added "PHOTO" suffix to some Epson scanners to have unified model names across backends.

commit f23107f43d974c692c2c6750db910e8c6f82b97c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-02 21:46:21 +0900

    I18N: Update metadata (version, date, last translator)

commit e7ab1b620fbdef94268c7d5af8911fde97457874
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-02 21:45:42 +0900

    I18N: Sync message catalogs with current code.

commit ddf30425462a97c7928d4b8608e7e5062e50e1ef
Merge: d289b42ad 823176c0f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-02 12:15:21 +0000

    Merge branch 'undefined' into 'release/1.0.31'

    Update Ukrainian translation

    See merge request sane-project/backends!493

commit d289b42ad736ca68a7f2e89ae23fa5217c293417
Merge: 7a3e090ef 72d09e0bf
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-08-01 12:10:17 +0000

    Merge branch 'p208ii' into 'master'

    canon_dr: update P-208II status, add second mode

    See merge request sane-project/backends!499

commit 7a3e090efcc2682a14d476cec8b198e97cd70b1c
Merge: 7056b4826 d90b9e029
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-01 06:15:30 +0000

    Merge branch 'master' into 'master'

    Mark PLANon DocuPen RC800 as supported by gPhoto2.

    See merge request sane-project/backends!489

commit 7056b4826b28d9b509a60f52f9bfe11d4932d761
Merge: a277ea5ff 9793d4f64
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-01 06:14:15 +0000

    Merge branch 'mingw-fixes' into 'master'

    MinGW build fixes

    See merge request sane-project/backends!483

commit a277ea5ff1f407ff208c413c7e619f3e9b32093e
Merge: e44672cdf 8e21bd580
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-08-01 03:45:15 +0000

    Merge branch '279-issue02-null-pointer-deref-epsonds_net_read' into 'master'

    Resolve "memory corruption bugs in libsane"

    See merge request sane-project/backends!500

commit 8e21bd58063fa3c2807025b6d7c932283788158a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-08 21:02:32 +0900

    epsonds: Read whole payload of welcome message

commit 6c07abf763bcb99d1fa419b999b1e4551990dea6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 19:45:42 +0900

    epsonds: Rewrite network I/O

    This follows the changes made to the epson2 backend and addresses
    GHSL-2020-079, GHSL-2020-080 and GHSL-2020-081.  Re #279.

commit e44672cdf8d4d8c2636ceca6b0f73710dbd22195
Merge: be666bb03 df4512651
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-08-01 01:10:17 +0000

    Merge branch 'canon_dr/fix_get_pixelsize' into 'master'

    canon_dr: Report early error

    See merge request sane-project/backends!333

commit 72d09e0bfa015e2ff899cc5ff53c4da737a90b00
Author: Florian Klink <flokli@flokli.de>
Date:   2020-07-29 15:01:19 +0200

    canon_dr: update P-208II status, add second mode

commit be666bb03762116932e4c66c9af60c1b22ba5e70
Merge: 08790ef7c 5dd9eeb08
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-07-27 14:38:12 +0000

    Merge branch '6-gt68xx-scanimage-batch-segfault' into 'master'

    Resolve "gt68xx scanimage --batch segfault"

    Closes #6

    See merge request sane-project/backends!498

commit 08790ef7cb7f15f2c925b22af8fd14fa5c631bef
Author: pimvantend <pimvantend@yahoo.com>
Date:   2020-07-27 12:45:07 +0200

    lide 600 support promised in man-page

commit 5dd9eeb0837b8fdef3c3f75a5d518616680fdcc4
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 11:19:31 -0700

    gt68xx: Restore cancel "stop_scan" call and fix whitespace issue

    The original issue that I had with this patch was in the cancel function
    where the patch author had commented out the "stop scan" call for cancel.
    This made no sense to me. I have put it back in for testing.
    It might have been accidentally left out.

commit 462419cc68e1469ca5426f6c82dc17d9b1bd2a88
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 11:02:40 -0700

    gt68xx: Initial check-in of proposed patch for crash.

    Ulf and I will review and test this patch on this branch.
    It does seem to fix the issue, but I want to check it out a little more
    before we commit it to master.

commit 1b9e7016053e2b5dbb96ad255b8d16b3f4d5fd5d
Merge: f29bbab5f 1bd4fc283
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-07-26 17:53:48 +0000

    Merge branch 'en_GB-translations-update' into 'master'

    po: Updated en_GB translations.

    See merge request sane-project/backends!497

commit 1bd4fc283a08117bceb51e6613831fa6d4412dfd
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 10:35:04 -0700

    po: Updated en_GB translations.

commit f29bbab5facd85f376b6e60fb20db83444064932
Merge: 21a3bfad7 37bc4598a
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-07-26 17:19:15 +0000

    Merge branch 'hp5400-fix-option-warning-bug' into 'master'

    hp5400: initialize options bit mask to avoid compiler warning and glitchy operation

    See merge request sane-project/backends!496

commit 37bc4598a24993e8aa69aa9e9381c8b5382a34d7
Author: Ralph Little <skelband@gmail.com>
Date:   2020-07-26 10:00:48 -0700

    hp5400: initialize options bit mask to avoid compiler warning and glitchy operation

    This was picked up as a compiler warning in Ubuntu build and was a
    real functional issue.

commit 21a3bfad71eb28f61815d9cc4935d7de38e500db
Merge: 890eb452b 7f8acc853
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-26 12:20:04 +0000

    Merge branch 'for-upstream/backend_avision_i1120' into 'master'

    backend/avision: support for Kodak i1120

    See merge request sane-project/backends!19

commit 7f8acc85341a8228b53991e63fee106e223f8ed1
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 16:05:08 +0100

    backend/avision: i1120: add description entry

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit e8ae2ca16f57cc13af2efe2a2c7c9c84c36a20ac
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 14:48:55 +0100

    backend/avision: fix: use fabs instead of abs for double values

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit fa6dfcc44e770fee8ad3e772ab88fdbea9990ec7
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 11:38:01 +0100

    backend/avision: i1120: finally set correct offsets for duplex

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 7d7184a209007731b41985b91de716f9fd177302
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-28 09:39:08 +0100

    backend/avision: add missing offsets for bry

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 6a6927b198b3b6352e33165bebce808ed8a6900c
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-27 18:43:39 +0200

    backend/avision: implement ADF first-sheet offset compensation

    i1120 has another offset. When scanning in ADF multi-page mode (the
    default), the very first sheet is moved 1.5mm down. That leads to 1.5mm
    being cut off at the bottom.
    This implements the (hopefully last) offset setting for multi-sheet ADF
    scans.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit e96ce8887e64b396789aacba73493ff642f6caa2
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-21 11:35:19 +0200

    backend/avision: add ADF front-only offset compensation

    This adds offset compensation for ADF front-only scans, which may
    have different offsets than ADF duplex scans.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 58a3cdd042a7668ced79f007235a519dbb471c52
Author: Michael Niewöhner <foss@mniewoehner.de>
Date:   2018-10-14 18:54:40 +0200

    backend/avision: Rewrite offset compensation

    This is a complete rewrite of the offset compensation using a
    combination of overscan and line skipping. It replaces the option
    AV_REAR_OFFSET by specifying exact offset values for each scanner.
    This was needed for Kodak i1120 which needs bottom line skipping.
    The old implementation could not skip bottom lines since we could
    not know how many lines we will get in the end from ADF.
    The new implementation redirects the output file descriptor to a
    temporary file. After the current page is completely scanned,
    offsets are applied and the output is passed to the original
    output file descriptor.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit b4716f626435c2eb71ef31bbf977c1040399dff8
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-10-03 14:45:58 +0200

    backend/avision: i1120: Add option AV_MULTI_SHEET_SCAN

    Kodak i1120 has single-sheet and multi-sheet scan modes. This option sets
    bitset3[7] which enables multi-sheet scan by default so there is no pause
    of 1s between two sheets in ADF scan mode. This also fixes some offsets
    when scanning multiple sheets.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit e54c9602e9fdd75611b8f0904d640168cd6414c4
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-10-01 18:10:09 +0200

    backend/avision: i1120: add option AV_GAMMA_UINT16

    Kodak i1120 has a different gamma table format that looks like a
    uint16/double array. Implement it and add an option for it.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit d8bf3924244899ba0eb0af1aeafb949eb9ba67a6
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-30 18:35:31 +0200

    backend/avision: i1120: add option AV_GAMMA_10

    Kodak i1120 needs gamma to be set to 1.0 to give decent scan results.
    Add an option for this.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 886bf85d880d1eac4add0bc43da3768c2af6a217
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-30 18:18:41 +0200

    backend/avision: i1120: add option AV_NO_QCALIB_MODE

    i1120 does not have an explicit "quality-calibration" mode. Add an
    option to disable this mode.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit de19ebc61aff535edfb3e465a4a4d89f9b9e9dc2
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 21:35:55 +0200

    backend/avision: i1120: add option AV_FASTFEED_ON_CANCEL

    Some scanners like i1120 support fast feed-out of the sheet when
    cancelling a running scan. Add a new option for this release type.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 8b467b248ef8307d71b01d55aea868be35ec530c
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 21:58:24 +0200

    backend/avision: i1120: set AV_NO_REAR

    Kodak broke rear-only scan (bitset3[3]) when they modified the Avision
    firmware. It would be possible to add a work-around that drops front data and
    writes rear data only. Because of deinterlacing, offsets etc. this is way too
    complicated. The simpliest solution to scan rear-only is to turn around the
    paper stack and use front scan instead.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 692f87389b5e023d4b427c50762afb74cb6882c8
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-29 21:56:43 +0200

    backend/avision: i1120: add option AV_OVERSCAN_OPTDPI

    i1120 uses optical DPI for overscan calculation. Add an option for it.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 74e94e69016c9b14f9ddde5789679c451d826980
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-21 21:25:11 +0200

    backend/avision: i1120: add option AV_NO_QSCAN_MODE

    i1120 does not have an explicit quality-scan mode. Add an option to disable it.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit aff30cbb21d36bc43bf5a522c2c02dc6a0574c37
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-21 20:49:46 +0200

    backend/avision: ability[3] seems to be a typo since ability[2] is dark cal indicator

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit de1a873cb7020a7faa382e5f6b74cabe2c56dbd0
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-20 20:13:53 +0200

    backend/avision: i1120: use AV_SOFT_SCALE

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit c1c8ee8ea603652fee85c6dba824a82107e7ca7c
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-20 18:03:59 +0200

    backend/avision: i1120: Enable gray filter to match windows driver

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit f393f8f24688b0bdca7d14286728382455c31fb5
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-16 21:32:51 +0200

    backend/avision: i1120: add option AV_FORCE_CALIB

    Add option AV_FORCE_CALIB to force calibration when scanner claims it is
    not needed but it is.

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 196ce0b046e4eb5960c7c108f57cce3562b0e88e
Author: Michael Niewoehner <foss@mniewoehner.de>
Date:   2018-09-20 18:43:31 +0200

    backend/avision: Add basic support for KODAK i1120

    Signed-off-by: Michael Niewöhner <foss@mniewoehner.de>

commit 890eb452b9d3eed5aba317c203d160f8607c3ccd
Merge: f06c18b7a 5683aab66
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-26 09:39:23 +0000

    Merge branch 'Add-gamma-tables-to-test-backend' into 'master'

    Add gamma test options

    See merge request sane-project/backends!301

commit 5683aab66bc704a884c2aa10589840d4ec020a56
Author: Kåre Särs <kare.sars@iki.fi>
Date:   2020-07-26 09:39:23 +0000

    Add gamma test options

commit f06c18b7aebf44de0aaa732a43e2163bd680187b
Merge: e7fc728e2 8bb62701c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-26 09:10:21 +0000

    Merge branch 'french-translation-revision' into 'master'

    Update French translation

    See merge request sane-project/backends!494

commit 8bb62701c1e841836b1ac3b038bacff33368eaec
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-07-24 21:53:26 +0000

    Update fr.po

commit 0ca69fdc2e3e3d2cb864ee8aefb1b2d42d63e583
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-07-24 12:33:25 +0200

    Update French translation

commit 823176c0fe9957cfa0c71915f99937af73379691
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   2020-07-22 12:37:35 +0000

    Update Ukrainian translation

commit e7fc728e2867a25abdafe20ae7c57a17193eca18
Author: m. allan noah <kitno455@gmail.com>
Date:   2020-07-18 21:12:52 -0400

    fujitsu: add USB IDs for fi-7800 and fi-7900

commit 8bdd27d149113a7e8cbea878829bb8adb3c09fab
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 19:36:17 +0200

    pixma: remove auto generated files @ 'make clean'

    See merge request sane-project/backends!491

commit e390b351a019b34c70b752d50bf97ea32c266070
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 18:02:11 +0200

    pixma: backend version 0.28.3

commit f1ebc352ae46730c8b31cfe4a4244217dc7c3f68
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 18:01:22 +0200

    pixma: update man page

commit bc814909961465e044f198f4581937865ece25e3
Merge: 7481254f1 1da5ae889
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 15:57:31 +0000

    Merge branch '302-pixma-status-of-pixma-tr-4500-series' into 'master'

    Resolve "pixma: Status of PIXMA TR 4500 Series"

    Closes #302

    See merge request sane-project/backends!485

commit 1da5ae889a2a389cdfdd0c7f4ecf8f4335d1d777
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 00:28:39 +0200

    pixma: add new button options

    some scanners return more options from push-button:
    document-type, adf-status and adf-orientation

commit b8cf6b4b49ff08111b153790fbd09608b995b219
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-07 19:56:55 +0200

    pixma: TR4500 Series is working

commit ec918e5c74ab4e787ea576135cd1a119513a8a29
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-07 19:43:10 +0200

    pixma: TR4500 Series supports max. 600dpi

commit 0febc8166584d3ecf58c3c39973408aeee67b658
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-23 23:00:36 +0200

    pixma: add button support for TR4500 Series

    this scanner provides additional button information

commit 1943d34d606d1a0aae22661d2517f57406692a3f
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-23 22:49:56 +0200

    pixma: TR4500 Series returns JPEG images from ADF scans

commit 7481254f1bed0311fe25596421771a02f5b7ba59
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-14 17:13:06 +0200

    pixma: auto generate options files with python[23]

    see issue sane-project/backends#327

commit 7525fda505d3d12bc103954f4f4873c5d4d2ee94
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 20:15:43 +0200

    INSTALL.linux: add python to mandatory develop environment list

    See merge request sane-project/backends!491

commit 819cc8cd611f1e2670cfeb1e18bfa9f5cc7c5de8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 20:04:46 +0200

    pixma: add comment how to generate new pixma_sane_options.[ch]

commit 684efcef23283706ee69c80f8b2870d4e84ab382
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 19:51:26 +0200

    pixma: add "do not edit" comment on top of generated files

commit 8ad42d2967f3321a880c38a7e1dfbc9228022f95
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-11 19:46:56 +0200

    pixma: PIXMA TS5100 Series is working

    see issue sane-project/backends#325

commit ff1e8b85c9d21192e9c1f302272d8196109881ec
Merge: 537fbc9bf 4a2cabe3b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-11 08:42:36 +0000

    Merge branch 'pixma-autogen_options' into 'master'

    pixma: auto generate sane options files

    See merge request sane-project/backends!491

commit 4a2cabe3be6593effa1004279e39a44f39f8e13f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-07-11 16:51:23 +0900

    pixma: Fix sane options file generation

    This now generates files in the source tree and includes them in the
    source tarball together with the script used.  Explicit dependencies
    are added to trigger generation.  Rules have been rewritten to use
    implicit variables for brevity.

commit b957674f65d65536458fd2ccb9e65294f4399f86
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-07 22:24:35 +0200

    pixma: auto generate sane options files

    This prevents from fixing stuff in generated files.

    Generated from pixma.c, bottom comment area.

commit 537fbc9bf652d2aad2eee1a70023682f6febe868
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 23:34:07 +0200

    pixma: backend version 0.28.2

commit 0b22eecf867c9d3701d96a19e2a6d8e19167336d
Merge: 37c597d8d 8f93b4cc6
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 21:38:06 +0000

    Merge branch '318-canoscan-lide-400-potentially-supports-48-bit-depth' into 'master'

    Resolve "CanoScan LiDE 400 potentially supports 48-bit depth"

    Closes #318

    See merge request sane-project/backends!486

commit 8f93b4cc622c002b8b1dea63b1a210fc6dbfa210
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 22:36:25 +0200

    pixma_mp800: remove TODO for 16-bit scans

    mp800 scanners need min. 150dpi for 16-bit scans

commit 3a18629f1190d78c48241e061448d8d500a50c41
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 22:31:48 +0200

    pixma: in dpi list set min. scan resolution for 16-bit scans

commit 0f1850fe4fbb019f87aa62e94168b41a8faf459d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 22:30:28 +0200

    pixma: new parameter to set min. xdpi for 16-bit scans

    16-bit scans have different min. scan resolutions: 75 and 150dpi

commit b0efdd89cbb4a6869d03629a2b5fb6cee16f955a
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-07-06 23:04:59 +0200

    pixma_mp150: scan 48bit color and convert

commit c4f0d4505e7d35185f675eadd90f8c8e1680eea8
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-24 16:58:36 +0200

    pixma_mp150: enable 48bit support for LiDE 400

commit d90b9e0292ef8347d7ec3c0d805a20d77fd48fc0
Author: Ondrej Zary <ondrej@zary.sk>
Date:   2020-07-04 13:38:07 +0200

    Mark PLANon DocuPen RC800 as supported by gPhoto2.

    Docupen RC800 support was merged into libgphoto:
    https://github.com/gphoto/libgphoto2/pull/533

commit 3ab937a3f171a40ab117198074d726e7bda9036c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-27 13:42:04 +0200

    fix some translations

commit 463f833aa98da010ddf5b42f79e04f5bcf6599a2
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-27 13:35:08 +0200

    add missing translations

commit 6cc9fbdbbb98ef6780b25dc0f826224b5adc05ce
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-27 12:19:34 +0200

    update German translation from source

commit 37c597d8df18601e4b8f374cc99275b0aad85f99
Merge: 7e2361d42 b0c42c0f5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-26 22:04:27 +0000

    Merge branch 'genesys-lide-90' into 'master'

    genesys: Add support for Canon CanoScan LiDE 90

    See merge request sane-project/backends!488

commit b0c42c0f5f525660dfc5ebe861ae0abb03ed744d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:20 +0300

    genesys: Implement support for LiDE 90

commit ea15fb29b73a3d90b0dc003e307a666caa3c5f3e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:19 +0300

    genesys: Simplify motor table upload on gl842

commit d948f5eb697de719183a445faacc22949a18f0f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:18 +0300

    genesys: Fix cis scanner support on gl842

commit 02782651a36bc43b2dd009dbb440bd2f41eec60e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:17 +0300

    genesys: Add model option to disable fast feeding

commit 86c15ff4a027163fc7955c8ee4cbeb507bb5d1b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:16 +0300

    genesys: Add option to fill dark calibration with constant

commit 6fdc5e6e1fd0b569cda494776b3d3054ee843d5f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:15 +0300

    genesys: Throw an exception when motor speed is too low

commit f6f891bd9387445f8176fffd02c60d1ad5114c77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-06-27 00:47:14 +0300

    genesys: Call update_home_sensor_gpio() for all chip types

commit 7e2361d42e2af44d29b395394abab9ebce0ad835
Merge: 278d2c236 c5c9c6a94
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-26 22:16:32 +0200

    Merge branch 'german-translation-revision'

commit 278d2c236eda1279d824ea458d0f8f58bbeeb0ea
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-26 21:37:21 +0200

    pixma: i-SENSYS MF4700 Series support is complete

    see issue sane-project/backends#262

commit 1a429257c136b066353c56658891790a9a616620
Author: Alex Belkin <abc@telekom.ru>
Date:   2020-06-25 19:07:59 +0300

    xerox_mfp: Mark M288x Series as unsupported

    Device is reported by @dominicjaeger.

    Also, reference sane-airscan as suggested in #317 by @alexpevzner.

commit 621e7dbf29fe18ad5e5bde4d24eb192ca5dec0b3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-06-24 20:34:13 +0900

    utsushi.desc: Sync with upstream

commit 7efeb82f16376a8f796a6ca516884de953595365
Merge: 8c9002772 ce03cd0ad
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-21 19:41:32 +0000

    Merge branch 'escl-add-hp-officejet-pro-8610' into 'master'

    Add HP officeJet Pro 8610

    See merge request sane-project/backends!484

commit ce03cd0ad360f7c6ffd373bb1d82674065fc52bd
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-21 21:19:24 +0200

    Add HP officeJet Pro 8610

commit 9793d4f64eaffff57e02c2247830b4eaf595d7b5
Author: Michael Cronenworth <mike@cchtml.com>
Date:   2020-06-17 17:24:55 -0500

    MinGW build fixes

    - Fix define check on S_IFSOCK, looked like a typo
    - Need a define check around syslog usage
    - libdll_preload already has sanei_usb symbols and linking fails with
      duplicate symbol errors if this is left in

commit 8c9002772caf7012383ea8e7bc7c9ef878b371cf
Merge: fa0d38866 6bb87fdf1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-06-17 10:05:03 +0000

    Merge branch '314-sane-1-0-30-unable-to-compile-without-libusb' into 'master'

    Resolve "sane 1.0.30: unable to compile without libusb"

    Closes #314

    See merge request sane-project/backends!482

commit 6bb87fdf1f3dc190cfc4b7d64b0c8c8c3d10151b
Author: Ralph Little <skelband@gmail.com>
Date:   2020-06-14 08:09:44 -0700

    sanei: added missing include file stdint.h

commit fa0d3886641b5afd05c039156daf0ec801accbc3
Merge: 67a2fe577 5a8ee2bd5
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-08 21:08:46 +0000

    Merge branch 'escl-add-model-hp' into 'master'

    Add 2 models HP.

    See merge request sane-project/backends!481

commit 5a8ee2bd5b1d8ac41ebd6f6436b078b0fa253bf8
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-08 22:30:16 +0200

    Add 2 models HP.

commit 67a2fe57717a896a5d4d01cbc038f94868c4c76d
Merge: af3acaf03 58c755d37
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-07 13:56:32 +0000

    Merge branch 'add-model-working' into 'master'

    escl : Add model working

    See merge request sane-project/backends!480

commit 58c755d37400e6674fff12070fd6e9d63e6d8662
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-07 15:38:11 +0200

    Add model and mfg.

commit 76dfd392e3da6458ebe771c1f6b9467a94a604fa
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-07 13:46:47 +0200

    Fix style.

commit 7bd186acf0dad312991464cb52ae7007c0f8f901
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-06-07 13:39:19 +0200

    Ajout des premiers modèles identifiés et soutenus par l'escl.

commit af3acaf0303adadc27a65faacf327873c33a95a2
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-06 14:42:09 +0200

    pixma: G4000 Series is working

    See issue sane-project/backends#245

commit e859ea108ae4b0f3180c34cfc3043cb774345a98
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-06 13:16:54 +0200

    pixma: backend version 0.28.1

commit e58ccba918d0e9307941b0661f21226ced620abf
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-06 13:16:16 +0200

    pixma: TR8500 Series returns JPEG images from ADF scans

    See issue sane-project/backends#270

commit dc25c9f48dc0bf4d3c3ab6035fcda1cbc5cdab89
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 23:20:41 +0200

    pixma: backend version 0.28.0

commit d2ae0ee6970a9a3d57d8dd7d86fd3d947d7bdcb5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 23:17:51 +0200

    pixma: update coryright

commit 190f2874dbbce6b087fb78b2b57cc8d2e8569e29
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 23:17:24 +0200

    pixma man page: refer to scanimage and gamma4scanimage man pages

commit edace214b25766860dc3f71a4201fca9f052e5c4
Merge: b9b82f25e 4b9dddb76
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 20:58:07 +0000

    Merge branch 'pixma/gamma_table' into 'master'

    Pixma: fix internal generated gamma table

    See merge request sane-project/backends!295

commit 4b9dddb76365165070711e4b4f262a02dd9eefe1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 22:41:32 +0200

    remove debug outputs from send gamma table

commit 0118111c6fa935374800d1cf5cbb5f41d443712c
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-06-05 22:07:19 +0200

    use capability to select gamma table size

commit b9b82f25e1e595260003e272ad0d354ffeeada08
Merge: 1486b81dd f52f4917e
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-06-05 10:03:25 +0000

    Merge branch 'corrupted-data-image-with-scanimage' into 'master'

    Replacement of printf by DBG

    See merge request sane-project/backends!479

commit f52f4917e54941f4dcaf924afaf09e35dbf4ac6d
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-06-05 11:45:21 +0200

    Error syntax

commit 641c736c37ce8033d7084106893c58c2c2e7e122
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-06-05 10:20:21 +0200

    Replacement of printf by DBG.

commit 16ddd3b9722f628ae82d7fb742718b54b2d6daa7
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:21:05 +0200

    get 1024 and 4096 size gamma tables from frontend

    Default gamma table has 1024 entries of 16 bits values. Only generation 1
    scanners need a gamma table with 4096 entries of 8 bits values.

commit 1486b81dd9e187f8b4ac893d0cdf55f344a71b26
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:21:44 +0200

    pixma: fix description of adf-wait

commit 16ff7c0bba68e9c39a90ab4394a1adcebcfa8adf
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:17:15 +0200

    generate gamma table from control option

    we need to generate gamma table only once, after getting gamma from the frontend

commit 057aa02b34567ae51d828fdf9d054eec0aac1c58
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:04:25 +0200

    new capability for scanner generation 1 4096 bytes gamma table

commit 11126468ef880bf7f0ee6520247ac97ecdd59a9f
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 16:02:01 +0200

    calculate 16-bit gamma table

    Generation 1 scanners need a 8-bit gamma table, with 4096 bytes size.
    All other scanners need a 16-bit gamma table, with 1024 bytes size. For
    these scanners values of the generated gamma table are close by the values
    used from the manufacturers proprietary driver.

commit 103c77ddee320d38620dcbfe933fb341dc08a657
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 15:26:20 +0200

    new global variable for gamma

    get gamma value from 'opt_gamma'

commit 24c016f40836dad746174711a7675833c8b9d278
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-05-30 15:12:46 +0200

    pixma_gen_options.py: fix print whitespace

commit 4a5c7d6889c5a7361ea892ec1264a545e249c5a0
Merge: 9165864ee db20a613c
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-30 04:20:44 +0000

    Merge branch 'ci-updates' into 'master'

    CI updates

    See merge request sane-project/backends!478

commit db20a613c37b4f4cd3fe109d93d2d9015eb2d06a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-30 13:04:03 +0900

    CI: Bump Alpine from 3.11 to 3.12

commit 299af98cb2bd21ac3aded75a2ad3ad03b7f94c67
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-30 13:02:14 +0900

    CI: Sync full set of configure options with ci-envs settings

commit 9165864eef83dd86e176c5ab266f06c0cf9ce95c
Merge: e1be18fbe 96f60115d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 23:10:01 +0000

    Merge branch 'genesys-5600f' into 'master'

    genesys: Add support for 5600F

    See merge request sane-project/backends!477

commit 96f60115dfee4b9795b5d3101a3517271dcac2ea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:23 +0300

    genesys: Bump calibration version

commit 970b831ffe94a4b2445aa749c35e49c40f4c35ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:22 +0300

    genesys: Remove a couple of no longer relevant links

commit 069d8a7db06379c185ce0d44931ea91c8f1bc00e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:21 +0300

    genesys: Mark 5600F support as complete

commit 23079e00612bc513a3414c80ad1d0853cfa255f0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:20 +0300

    genesys: Increase timeout in wait_until_has_valid_words()

commit 3cca2593fc5bf1fc8afcf72c078ae14ef9d26eb4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:19 +0300

    genesys: Add support for Canon 5600F

commit b9e4113ef083f6d272a53a3d25055df5b66e0228
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:51:18 +0300

    genesys: Add functions to write to register according to mask

commit e1be18fbef070f0eebd1e4311c5065d06594f189
Merge: 7c378476e 7c74cb7ce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:49:33 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!476

commit 7c74cb7ce9730315bf762a6b9619cc0f662f63a9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:45 +0300

    genesys: Remove no longer used code

commit 8ec6bc2e5d1e2a8c18a293a553887ed288ab8280
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:44 +0300

    genesys: Deduplicate move_to_ta()

commit c4135d63a7d6f35b95b9bfab9f521b900460ea26
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:43 +0300

    genesys: Simplify move_to_ta() on gl843

commit bc973a21c25159e8d4f19a9b916602e645d6bba5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:42 +0300

    genesys: Simplify move_to_ta() on gl842

commit b8a24ee409e42dfce728d9f83de1f564418d8a9a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:41 +0300

    genesys: Remove useless debug statements

commit 57a398888d04f288e3c167e13a6a154c0a66ae80
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:40 +0300

    genesys: Deduplicate init_regs_for_scan()

commit 66ba92cfb6ea70a7cc4ec628365b67cd0c941462
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:32:39 +0300

    genesys: Don't throw exception in non-exceptional circumstances

commit 7c378476e856d739f9797c2b7e70b48ba1f71823
Merge: 64b69331d f3b04b374
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:30:48 +0000

    Merge branch 'genesys-gl847-transparency' into 'master'

    genesys: Implement transparency support on gl847

    See merge request sane-project/backends!475

commit 64b69331d351921f2d40ea662211f74b60b831b8
Merge: 786442d9c 8a6682905
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:29:03 +0000

    Merge branch 'genesys-misc-fixes' into 'master'

    genesys: Miscellaneous fixes

    See merge request sane-project/backends!474

commit 786442d9c7b1ac14b5b2b030cae3664195772335
Merge: 6bf26b388 ba91fc844
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:26:23 +0000

    Merge branch 'genesys-pixel-offsets' into 'master'

    genesys: Pixel offset calculation adjustments

    See merge request sane-project/backends!473

commit 6bf26b3882a9e386a7b6ec095292c00754a084f5
Merge: 5e8583bc3 b569e6cbb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-25 22:25:47 +0000

    Merge branch 'genesys-host-side-calibration' into 'master'

    genesys: Reimplement simplier host-side calibration

    See merge request sane-project/backends!472

commit f3b04b374a7c5f7814fa3822de22cd89c024a7ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:14:43 +0300

    genesys: Implement transparency support on gl847

commit 8a66829057e47cb6dd6ea5e00d7a097c9dd069a0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:13:20 +0300

    genesys: Simplify access to nodes that are newly added to image pipeline

commit c9182dc6067279cf3cb153d97f5a5105d1a35308
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:13:19 +0300

    genesys: Ensure ImagePipelineStack nodes are destroyed in reverse order

commit 3282c5a65410055c7047d5642cc95da07ca50722
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:13:18 +0300

    genesys: Fix TIFF file writing

commit ba91fc844d0c6aa5c2775e3a4add937368ba4a0c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:10:52 +0300

    genesys: Fix start pixel calculation when optical resolution is not max

commit 56db2b988aed604036df855dcb9c201309d56a5e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:10:51 +0300

    genesys: Adjust host side calibration by shading pixel offset

commit 8a10e33a13929345ff32080199d8a4853bd01526
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:10:50 +0300

    genesys: Move all pixel adjustment calculations to a single function

commit b569e6cbb9492c90b9514db162689bd08702a4e1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-26 01:09:23 +0300

    genesys: Reimplement simplier host-side calibration

commit 5e8583bc3151dfab92eb1ae20d23844baf4ee43a
Merge: b7ec6da94 08613aad2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-25 12:05:14 +0000

    Merge branch 'remove-package-version-from-config' into 'master'

    gt68xx: Remove @PACKAGEVERSION@ from configuration filey

    See merge request sane-project/backends!471

commit 08613aad26776ef4bea41e5554a369ef9ed9403e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-25 20:48:35 +0900

    gt68xx: Remove @PACKAGEVERSION@ from configuration filey

commit b7ec6da949b6667199ffb9e164f0f2bea5e70e94
Merge: 3084c4126 92bf0c662
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 17:59:40 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!470

commit 92bf0c6623c765fa5d7b3fe504d3c6b1ecf5b99a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 20:44:26 +0300

    genesys: Remove broken interpolation support

commit 6a495f97253f6771f53ac0e9ff6bbe9e12745d77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 20:44:25 +0300

    genesys: Remove duplicate align_int_up()

commit e7e532200308d73dcc4cd7a3bede945f4944b5fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 20:44:24 +0300

    genesys: Remove dead code

commit 3084c412695c25108536c866ab883f0e4b95d3c6
Merge: 44ee9bf37 33fc7cfb2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 15:52:51 +0000

    Merge branch 'genesys-fix-parameters' into 'master'

    genesys: Retrieve output parameters out of the actual pipeline

    See merge request sane-project/backends!469

commit 33fc7cfb29dd153a71275bb6246405db8fc070e6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 18:18:15 +0300

    genesys: Retrieve output parameters out of the actual pipeline

commit 44ee9bf373b8643bd93dd643e5ad1999d326215a
Merge: 745a5c8b3 a12083c8c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 15:35:41 +0000

    Merge branch 'genesys-remove-lineart' into 'master'

    genesys: Remove support for generating lineart within the backend

    See merge request sane-project/backends!468

commit a12083c8c44b7296fa98ecb83e8932d0f6bdeb05
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 17:48:33 +0300

    genesys: Remove support for generating lineart within the backend

commit 745a5c8b387043eee461e7be683b0a72c0e4fe57
Merge: ddeae7e8b a23d61c26
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 15:19:16 +0000

    Merge branch 'genesys-simplify-pipeline' into 'master'

    genesys: Allow pipeline to be created without mutating device

    See merge request sane-project/backends!467

commit a23d61c26bea07f54f8f442c26f14decfef98203
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 16:42:41 +0300

    genesys: Allow pipeline to be created without mutating device

commit ddeae7e8b0f34e6822f83a4072e88dbfefe88e9b
Merge: d680724f9 28e6ad89b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-24 13:52:19 +0000

    Merge branch 'genesys-simplify-buffers' into 'master'

    genesys: Simplify read buffer management

    See merge request sane-project/backends!466

commit 28e6ad89b8ca150db2f8a159be8c83b2288d466d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:12 +0300

    genesys: Simplify read buffer size calculation

commit ec5af182398c94d01741cd9d8d1ce0109903cfe1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:11 +0300

    genesys: Remove no longer used ImageBufferGenesysUsb

commit d172b9cc4d0f8d07c0075b3a0b29a2e97ebe6975
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:10 +0300

    genesys: Remove read buffer after image processing

commit d680724f9e1cc7b68b8520f8a69fe5bea3e28bfd
Merge: 51725d406 d77001213
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 11:18:34 +0000

    Merge branch 'genesys-debug-tiff' into 'master'

    genesys: Use TIFF files for debugging

    See merge request sane-project/backends!464

commit 51725d406fa6464d3a4c35e80eb10dd9afae4507
Merge: 7fbe79220 aa937c5b4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 11:18:09 +0000

    Merge branch 'genesys-stagger-alignment' into 'master'

    genesys: Align input pixel positions for unstaggering

    See merge request sane-project/backends!465

commit d770012132e9aa80f51b0f4cc3272d242b9df025
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:03:01 +0300

    genesys: Use TIFF files for debugging

commit aa937c5b4c985943018565a39b7052a0caaaa97a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:02:32 +0300

    genesys: Simplify pixel positioning for unstaggering

commit 5a455e741bf7eef66457ac27fa5f13f4b0b2fa96
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:02:31 +0300

    genesys: Fix align_multiple_{floor,ceil} for zero multiple

commit bb05afdbfdab501e3496e887f63a5c9fd6e27157
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 14:02:30 +0300

    genesys: Fix erroneous multiplication by channels on gl646 cis

commit f5af63326381a64aafe6e888fef564ae22b513ee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:09 +0300

    genesys: Simplify data buffering in main image pipeline

commit 9873fdf92270b1e8a6cf688c8366583e350f6e1a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:08 +0300

    genesys: Don't read too much data when segment count is more than one

commit 55691ece2c651468b2f21b371037d2827c359b3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:07 +0300

    genesys: Merge ImagePipelineNodeBuffered{CallableSource and GenesysUsb}

commit 8981e583e20559c7e5dccbbeea7fbae114f826a8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:06 +0300

    genesys: Move math utilities to utilities.h

commit fe323f19cb9de8f02b7f8482cf9d1e6d437ed535
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:05 +0300

    genesys: Add a way to push constructed nodes to pipeline

commit afa798d71a440032dcab309468c7e6dcb0b5b852
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-23 10:39:04 +0300

    genesys: Simplify ImagePipelineNodeArraySource

commit 7fbe79220084dd40dc37062d5cdca4488f90c34f
Merge: 4ee035983 5f0abce90
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 22:40:34 +0000

    Merge branch 'genesys-stagger' into 'master'

    genesys: Improve stagger handling

    See merge request sane-project/backends!463

commit 5f0abce90fb9545e71dee00ec9f23311cf6e00eb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:50 +0300

    genesys: Add support for unstaggering in X direction

commit 95d7196fca0f50c3223f7e4638da10cb5ad4909f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:49 +0300

    genesys: Implement image pipeline node to shift columns

commit 1bae94fd1ee8e8a5e33a23dfec4e010f2eac954e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:48 +0300

    genesys: Support more than 2 columns in ImagePipelineNodePixelShiftLines

commit d980da1ff7141e7b433689489dbc9a1fb02957d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-22 01:23:47 +0300

    genesys: Improve vertical staggering to support more than 2 lines

commit 4ee035983cc8af3ba39b7a7d75ab613e751872fa
Merge: 2e4a3ddd0 4b0f3ed02
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:57:48 +0000

    Merge branch 'genesys-simplify-param-calculation' into 'master'

    genesys: Simplify scan parameter calculation

    See merge request sane-project/backends!462

commit 4b0f3ed02c32a180d3d8305caf1fa9506456e67e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:59 +0300

    genesys: Warn if output and requested widths don't match

commit a6f023fee180cbdfd834b98605f2b8d6e1459814
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:58 +0300

    genesys: Reuse Genesys_Settings::requested_pixels for bytes per line

commit c50bfb8493c94b306132620e9f071c8bd1d7d500
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:57 +0300

    genesys: Simplify calc_parameters() by making data flow explicit

commit 90a2386c01f5632981b0e0accd7329c5f090c74b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:56 +0300

    genesys: Fix const safety of sensor retrieval functions

commit 0957103cc3d5cb9bb1395652fbedf108596a070a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:55 +0300

    genesys: Prefer to have a local `dev` variable for Genesys_Device*

commit b6eb01cd0feb93171503bd3e57549702e4111b49
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 23:40:54 +0300

    genesys: Update session test to include scan params

commit 2e4a3ddd069626a3613de78a51626b864f536cab
Merge: 3cd0914f6 83f7520fe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 18:07:20 +0000

    Merge branch 'genesys-simplify-buffers' into 'master'

    genesys: Simplify buffer handling

    See merge request sane-project/backends!461

commit 83f7520fe783a03929a8dd28a760903459aa1d35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:51:17 +0300

    genesys: Remove obsolete comment

commit 0d97c3d19587388d14f1828957797ef4a938592c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:51:16 +0300

    genesys: Simplify genesys_read_ordered_data()

commit 1eccbf5aefa70ac3e6b2972f74813ca42a17e1da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:51:15 +0300

    genesys: Remove no longer used buffers

commit 3cd0914f678bfd96b7c144a5f0bf9910537698b4
Merge: d7f930252 657de7d72
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 17:38:18 +0000

    Merge branch 'genesys-remove-image-enhancement' into 'master'

    genesys: Remove image enhancement functionality

    See merge request sane-project/backends!460

commit d7f930252b2c333a62d0c0b0c3fec2de4f66449e
Merge: 92552129a b42ed0343
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 17:37:23 +0000

    Merge branch 'genesys-crash-bugs' into 'master'

    genesys: Fix several bugs that can potentially crash the backend

    See merge request sane-project/backends!459

commit b42ed0343af27d50d42724cf20e461960f0b7252
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:21:05 +0300

    genesys: Fix uninitialized variable

commit 78ed723f388b4e049d220e155349a98ad12b873d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:21:04 +0300

    genesys: Fix invalid writes in ImagePipelineNodeInvert for 1-bit data

commit 2986d95ee7464d36f1ef2ff16b72dcba7ed372af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:21:03 +0300

    genesys: Fix potential out of bounds access in line shift pipeline nodes

commit 657de7d72a672c23670b810dd83ec5784779278d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:16:36 +0300

    genesys: Remove image enhancement functionality from the backend

commit 59abadd06558354e9d41c86bd4f0181d94ec9579
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-21 20:16:35 +0300

    genesys: Fix debug statement logging directly to stderr

commit 92552129acfa26ef225a83d9e2c1d5ec8d51d99e
Merge: 757b7cf46 5a727324f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-20 19:35:48 +0000

    Merge branch 'genesys-enums-human-readable' into 'master'

    genesys: Update enum formatters

    See merge request sane-project/backends!458

commit 5a727324f917365b77fde1cc0c77dc3c8867087f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-20 22:00:16 +0300

    genesys: Update enum formatters for OpticFilm 7200

commit 4fea56dfe85ddef814d963ad5b99da4809afc107
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-20 22:00:15 +0300

    genesys: Add function to format SensorId

commit 757b7cf463718de9b4f7b29b0cd61eb9bde10f86
Merge: 0415fb4b7 bfea8a1a8
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-18 12:23:49 +0000

    Merge branch 'release/1.0.30' into 'master'

    Merge changes released with 1.0.30

    Closes #279

    See merge request sane-project/backends!457

commit bfea8a1a82356f73101572d39bb33ca185692ed4
Merge: d5187355f 0415fb4b7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-18 12:08:28 +0000

    Merge branch 'master' into 'release/1.0.30'

    # Conflicts:
    #   NEWS

commit 0415fb4b7df148647692f5c7e1766bd214c12bfe
Merge: 429542518 e62f13052
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:50:52 +0000

    Merge branch 'genesys-sensor-optical-resolution' into 'master'

    genesys: Add real optical resolution to sensor structs

    See merge request sane-project/backends!456

commit e62f13052374d6a6e699d864dd34653fedf1497a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 06:35:20 +0300

    genesys: Replace ccd_size_divisor with explicit optical resolution

commit b5430cc039cda3d942488a80b3d49bc7e5c18f0a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 06:35:19 +0300

    genesys: Rename Genesys_Sensor::{optical_res => full_resolution}

commit 42954251826ba66271ea98ae0b30f2b7e23f9faa
Merge: 42fe911fc c2851ff61
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 01:49:47 +0000

    Merge branch 'genesys-fix-motors-gl841' into 'master'

    genesys: Motor fixes and cleanups on gl841

    See merge request sane-project/backends!455

commit c2851ff61f22c856e774a5168ca45ce6f8dbf80b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:29 +0300

    genesys: Slow fast movements on higher resolutions on LiDE 35,50

commit b35345ae7a15347faa6f1107596df2e939f5f433
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:28 +0300

    genesys: Use quarter step for high-resolution scans on LiDE 35,50

commit cf8f9c75f96472bc2077c1a2f34d8d16389d2154
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:27 +0300

    genesys: Add missing register writes on gl841

commit 96a5f963a3e017c8d2be6026a9e31f4fd03e73c7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:26 +0300

    genesys: Make sure full-step tables are used on gl841

commit e5fa8dd3cc7da002f038392090e4057a814f4c17
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:25 +0300

    genesys: Simplify motor mode selection on gl841

commit 69202b2b566cdb0fbd61bef77ab6c6b2fb591a9f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:24 +0300

    genesys: Add separate sensor definition for LiDE 60

commit 341fdbbee7f3e7f55097a4291147933bcf7c47fa
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:23 +0300

    genesys: Add missing register writes on LiDE 60

commit bb0410199061520e9ffcfdf33396674300c581b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:22 +0300

    genesys: Use scan table for back table on gl841

commit 5820e1e0bd098ea9916c7e69f50d6ef3340df744
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:21 +0300

    genesys: Restore full motor table writes on gl841

commit 51f97b1b9719821f01462abca3822d4606e8f065
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:20 +0300

    genesys: Fix invalid step count when feeding on gl841

commit 8435be213fc4687b3376b9488ba911534699453c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:19 +0300

    genesys: Support non-FULL steps for fast tables on gl841

commit 4f0bab0bfa295f58ac24555680864339e5cff8e1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:18 +0300

    genesys: Don't write zero values to step count tables

commit 1633022fda15bd4be1688494e8e74b4962773b0e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:17 +0300

    genesys: Simplify motor setup on LiDE 80

commit 7932c68d03aa0dd32f208e6546af3b2e97c24ffb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:16 +0300

    genesys: Simplify slope table size calculations

commit 288dd82a6f22262eb823556f1a7744c809170b4b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:15 +0300

    genesys: Pass motor profile directly to exposure calculation utils

commit 049e69aa7953a893039903cc18f5189f7d125f09
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:14 +0300

    genesys: Fix step multiplier handling in motor table manipulation utils

commit b8ced2861a6fd52491ea550067bdfc4fcf5707e3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:13 +0300

    genesys: Always write the same set of tables on gl841

commit 12641bd6ca4b6f486cd035a8894be492f7783e85
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:12 +0300

    genesys: Don't send empty tables unnecessarily on gl841

commit 88b49704b24806effd074bc8db2cbb31d4672f96
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:11 +0300

    genesys: Use create_slope_table() directly on gl841

commit 16fa00c13b3db470ef56d55a75575a43f5158a62
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:10 +0300

    genesys: Extract scanner_send_slope_table()

commit 11c3a67e47354c3d0ada281233c019492337a8a7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:09 +0300

    genesys: Remove redundand argument out of *_send_slope_table()

commit 253bd0ffe42b2961236a767d1abb0fef7d668359
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:08 +0300

    genesys: Regenerate motor table total duration when it is updated

commit 9c4f84f91afcd3ce993db0f527f617f16ea46f53
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:07 +0300

    genesys: Don't generate excessive amount of steps for the motor tables

commit 8e76d4ede9855cf3c7ee37786fc38f1a40876b77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:06 +0300

    genesys: Upload only required part of motor slope table on gl841

commit 412beaeb19f22c18572fc0af0337af4c62a035b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-18 03:53:05 +0300

    genesys: Simplify motor setup on gl646

commit d5187355f6e0de529b562569509a1851dda7ad84 (tag: 1.0.30)
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-17 20:16:28 +0900

    NEWS: Document changes for 1.0.30 release

commit 1fe94e6674d0572d2408361903730f012c60fc6c
Merge: 898ab1834 5104b80fc
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-17 16:26:00 +0900

    Merge branch '279-confidential-issue' into release/1.0.30

commit 42fe911fcd3931aa81225e0e0d9cf1c1358573fc
Merge: 86d2b1e52 800cf3bea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:19:29 +0000

    Merge branch 'genesys-cleanup-disable-calibration' into 'master'

    genesys: Cleanup the way calibration is enabled/disabled

    See merge request sane-project/backends!454

commit 800cf3beaf29e9126f32f9284b0e7f0b4242214a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-17 01:02:28 +0300

    genesys: Use ModelFlag::DISABLE_*_CALIBRATION instead of NO_CALIBRATION

commit 04b91dc4c9308223ee76973b28e3249b11ce6cc5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-17 01:02:27 +0300

    genesys: Implement a way to selectively disable calibration steps

commit 71eeeb0ca6c16a68052fbd5a27929ba17d6a5d76
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-17 01:02:26 +0300

    genesys: Remove dead code

commit 86d2b1e52fd8f7f68845611221b33292f6030a14
Merge: 41facc7dd d6570c86f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 20:59:29 +0000

    Merge branch 'genesys-remove-obsolete-debug' into 'master'

    genesys: Remove debug messages that are no longer useful

    See merge request sane-project/backends!453

commit d6570c86ffb917316d3a64d4f11dea1ae05d973e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:43:10 +0300

    genesys: Remove debug messages that are no longer useful

commit 41facc7dd405478340fe24435efa399ef1480156
Merge: 5d441bdd3 14db69fb7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 20:24:00 +0000

    Merge branch 'genesys-image-logging' into 'master'

    genesys: Make image data logging more convenient

    See merge request sane-project/backends!452

commit 14db69fb76d52f13cdc2d588d2992b861da3f9d6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:08:10 +0300

    doc/genesys: Add documentation of SANE_DEBUG_GENESYS_IMAGE

commit c0b49d0d3e651a6ec5e2ed80f68e48b1ca2dd8f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:07:08 +0300

    doc/genesys: Remove no longer existing debug options

commit 6e398bc7bf0e2314c819a460ad45887c1c9c3fba
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:05:21 +0300

    genesys: Write debug images only if step was enabled

commit 6092e2d682886b44f6cba3a2b8570d34a705c90d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 23:05:20 +0300

    genesys: Enable image data logging as a separate environment variable

commit 5d441bdd3ea33b089ad2a47ca710abd2c7965fbe
Merge: 10b126a65 9f46845f9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:51:50 +0000

    Merge branch 'genesys-print-error-when-config-file-unavailable' into 'master'

    genesys: Print debug message if configuration file can't be accessed

    Closes #101

    See merge request sane-project/backends!451

commit 10b126a65efc5f69d8b085ece268d58e86e2847c
Merge: 909a78a0c ea8beca57
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:39:23 +0000

    Merge branch 'genesys-lide60-abrt' into 'master'

    Fix abort in genesys backend during sending slope table

    See merge request sane-project/backends!346

commit 909a78a0c7dd25ecbeded78ab5de79a1be069166
Merge: 4bd76d35c d3b9178d6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:36:33 +0000

    Merge branch 'genesys-simplify-gpio-gl847' into 'master'

    genesys: Simplify GPIO setup on gl847

    See merge request sane-project/backends!450

commit 9f46845f957d3d1cf85e13e6dbaf60212c32bf4e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:35:17 +0300

    genesys: Print debug message if configuration file can't be accessed

commit 4bd76d35c6f42f7a6326d70713de22a509884cdb
Merge: c9beb6b0b 69a249e00
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 19:21:39 +0000

    Merge branch 'genesys-fix-adc-definition-gl847' into 'master'

    genesys: Fix ADC definitions on gl847

    See merge request sane-project/backends!449

commit d3b9178d6bdabaf11549cdf401c35bc56496bd12
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:21:13 +0300

    genesys: Simplify GPIO setup on gl847

commit 69a249e0007636f4db9ecc18c482876aaca34296
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:04:52 +0300

    genesys: Simplify ADC setup on gl847

commit 0d2a4b5244744c2bb8935db78a9f7f764cb49427
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 22:04:51 +0300

    genesys: Fix incorrect ADC definition on gl847

commit c9beb6b0ba433b2d25eb07537fa7307f15010a1b
Merge: fbb60d4d5 4691b92d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:52:33 +0000

    Merge branch 'genesys-simplify-motor-profile-setup-gl841' into 'master'

    genesys: Simplify motor profile setup on gl841

    See merge request sane-project/backends!448

commit fbb60d4d525572f42cf78c5850756f7f10f2da57
Merge: a3284ab5e 16a9bddf5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:46:21 +0000

    Merge branch 'genesys-simplify-gl646' into 'master'

    genesys: Simplify miscellaneous gl646 code

    See merge request sane-project/backends!447

commit a3284ab5e0bdef4f5d20f3ce428af841b153b150
Merge: 35ffd5758 b1b61b043
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:42:21 +0000

    Merge branch 'genesys-simplify-motor-setup' into 'master'

    genesys: Simplify motor setup

    See merge request sane-project/backends!446

commit 16a9bddf59f2a95a9bff4dd5a11fe6d2cb9ff89a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:28:01 +0300

    genesys: Remove dead code on gl646

commit edb375fbccfa158be2bdc7ec670be6ba38f4fc1b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:28:00 +0300

    genesys: Remove duplicated coarse calibration on gl646

commit 256a90e29d777de3b2865627b3f8030ef7635857
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:27:59 +0300

    genesys: Simplify coarse_gain_calibration() on gl646

commit a4145e2edaebbdd43dc64fa41dc8f07f38e20bb7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-10 22:27:58 +0300

    genesys: Only set requested_pixels when it's not default on gl646

commit 35ffd575861726952b53efad944802e6269c5041
Merge: 4605d379b dcb90dc04
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:29:17 +0000

    Merge branch 'genesys-use-flags-to-setup-scan-gl646' into 'master'

    genesys: Use flags to setup scans on gl646

    See merge request sane-project/backends!445

commit 4605d379bbbbcfd2097599a873727c98e0b92b61
Merge: ccf1cbd3a aee51c9de
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 18:13:05 +0000

    Merge branch 'genesys-fix-led-calibration-crash-on-black-image' into 'master'

    genesys: Fix crash in led_calibration() when image is completely black

    See merge request sane-project/backends!444

commit aee51c9dec9ed4de75eec79bb170372ecf00c333
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-11 23:48:21 +0300

    genesys: Fix crash in led_calibration() when image is completely black

commit ccf1cbd3ab5182b31abe45bcf15d469c151d1b27
Merge: e4d0b7b35 644f4b0c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 20:56:19 +0300

    Merge branch 'genesys-simplify-gl646' into master

commit e4d0b7b357e60612124fb1cd34bdcbd222f127ee
Merge: 076faf8b8 09eaba960
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 15:15:49 +0000

    Merge branch 'genesys-pipeline-invert' into 'master'

    genesys: Add pipeline to invert pixel values

    See merge request sane-project/backends!442

commit 076faf8b84256d624b399e102cc89e98b247b1d3
Merge: a05983ba2 06ad1dd43
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-16 15:09:31 +0000

    Merge branch 'genesys-simplify-gl646' into 'master'

    genesys: Simplify gl646 scan setup code

    See merge request sane-project/backends!441

commit a05983ba28d7db886b42cdd23193dd7d6823f2ae
Merge: cf5c40b8e 0abdfa483
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-15 08:59:36 +0000

    Merge branch 'fix-statis-no-data' into 'master'

    If no data then the status is NO-DOCS.

    See merge request sane-project/backends!440

commit 0abdfa483f54dc5ce876a870fc9335d6dc3e6bfe
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-15 10:21:56 +0200

    If no data then the status is NO-DOCS.

commit cf5c40b8e872d43d2b080fd44ef6b94b289e52bc
Merge: 9e8326a3b 1027e8aae
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-14 14:23:51 +0000

    Merge branch 'fix-status-start-and-stop' into 'master'

    Fix status start and stop

    See merge request sane-project/backends!439

commit 1027e8aae09c8044574841af2f146adc7bc8d3cd
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-14 15:31:10 +0200

    Fix build.

commit bd8cb0e6aa40ed1cbaa7ee4b4a63a2eeb8077c89
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-14 14:03:20 +0200

    Code cleanup.

commit 898ab1834864e3b813f0d0ae234f38ac05813756
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-06 20:56:21 +0900

    Really remove libxml2 linker/loader flags from dependencies.  Re #239

commit 76bf742aba32ec1ed4ae641285f8e6a0b038326d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-02-05 21:30:11 +0900

    Remove libxml2 linker/loader flags from dependencies.  Re #239

commit 287a6bb88a648a3a15b33e450bb3958eb164bb1f
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-14 13:05:08 +0200

    Test status device before scan and after.

commit 5104b80fc8f0d6528b856233a52846a414ae6616
Merge: f38c9f0d6 30b1831a2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-14 09:36:25 +0000

    Merge branch 'mitigate-epsonds-net-security-issue' into '279-confidential-issue'

    epsonds: Mitigate potential network related security issues.  Re #279

    See merge request paddy-hack/backends!9

commit 9e8326a3bcd3842354a7dd0a7687594e7dae275f
Merge: 0615d2171 d9c377cf0
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-13 20:52:56 +0000

    Merge branch 'fix-offset' into 'master'

    Fix offset

    See merge request sane-project/backends!438

commit d9c377cf0926e13c4ac3a963a7a884112c2537a0
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-13 22:24:51 +0200

    Fix style

commit c66efc0fafa3feecd567c4264f55ec25249e0096
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-13 22:20:55 +0200

    Allows the X and Y offset to be set to 0.

commit 0615d21718df1dc0d393082552ddd0d7e05f678d
Merge: 3eb72d748 29866b0b1
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-13 18:49:57 +0000

    Merge branch 'fix-return-status-adf' into 'master'

    Fix status sane_read.

    See merge request sane-project/backends!437

commit 29866b0b1975ca1d81a68d41315bbd42607e1ca7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-13 20:33:01 +0200

    Fix status sane_read.

commit 3eb72d7485fd0fa7eac33acfc6e7fa0e1cd69a6a
Merge: 080ac870e c6a411a29
Author: Louis Lagendijk <louis@fazant.net>
Date:   2020-05-11 16:50:27 +0000

    Merge branch 'pixma_mf4700n_not_buggy' into 'master'

    doc: ADF not now buggy on imageClass MF4770n.

    See merge request sane-project/backends!436

commit c6a411a29fe0faec788eb7c5c54c5e8aaf564363
Author: Ralph Little <skelband@gmail.com>
Date:   2020-05-11 09:16:07 -0700

    doc: ADF not now buggy on imageClass MF4770n.

    Due to recent work on the pixma backend.

commit 080ac870ee9c2382786e3abaf7e0a34d4c03a437
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2020-05-11 17:12:31 +0200

    pixma_bjnp.c: fix incorrect return from SANE_STATUS_INVAL to BJNP_STATUS_INVAL
    as pointed out on F32 compile in CI

commit 5ad7708381e462d0f76bed42e6c0382e6aa264ac
Merge: 767a289fd 36ece1de8
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-11 14:58:38 +0000

    Merge branch 'escl-fix-status-adf' into 'master'

    Refactoring of the adf status.

    See merge request sane-project/backends!434

commit 767a289fd2dc815e0b546dd8a7ca5d19802264fd
Author: Louis Lagendijk <louis.lagendijk@gmail.com>
Date:   2020-05-11 16:42:33 +0200

    pixma_bjnp: fix ADF scanning for laser/mfnp scanners. mfnp devices require a single TCP session
    for ADF scans, while bjnp requires a TCP session per page.

    Squashed commit of the following:

    commit 8ee0a23d6b2920bc344bf76fd39f4b556222190b
    Author: Louis Lagendijk <louis.lagendijk@gmail.com>
    Date:   Sat May 9 16:47:23 2020 +0200

        Make pixma_bjnp work for both bjnp and mfnp

    commit 3df6d0d5903ccf4de0d27301e65025209888d3c7
    Author: Louis Lagendijk <louis.lagendijk@gmail.com>
    Date:   Sat May 2 19:50:23 2020 +0200

        Move opening tcp connection to bjnp_open/close

commit 30b1831a28f24ab2921b9f717c66d37f02bb81cc
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-11 21:07:12 +0900

    epsonds: Mitigate potential network related security issues.  Re #279

    This pre-empts the possibility of triggering GHSL-2020-079, GHSL-2020-080
    and GHSL-2020-081.

commit 36ece1de84e5507bb456dee4fa1f0d1946a904dc
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-11 10:25:27 +0200

    Fix status for all vendors

commit dc2b9aeadeaa183ee7a3f16b05230d622dc55970
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-10 22:20:30 +0200

    JobState, if it exists, decides whether to proceed to the next page.

commit 70daed513298e600db6a52334925d1ce96972558
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-10 15:11:30 +0200

    Fix error name variable.

commit 64c1c8a86559f76d4222305b76ff7f71ebe77a13
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-10 01:28:49 +0200

    Logic correction.

commit c1d302f3d71c8fcf1ce230d87de413fb4e90d2f7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 23:48:48 +0200

    Adjuste status adf.

commit 296e73ae6bc7fde984cb5b110fdd5332e18c970b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 15:42:33 +0200

    escl get sane_cancel output

commit 09eaba9606e9f8894acb87879cf644747af59274
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 13:29:53 +0300

    genesys: Add model flag for inverted output

commit ab1d86d74a230add6ca328d3f3a769ef29e31634
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 13:29:52 +0300

    genesys: Rename {INVERTED->SWAP}_16_BIT_DATA model flag

commit 52cd02d78ca89e26277a2a908874cf6a4ab5a418
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 13:29:51 +0300

    genesys: Add image pipeline to invert pixel values

commit f2337927027a8f529c948ba8f5be146a11077194
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 10:03:39 +0200

    Update Adf status.

commit c4d8cc424e8d9a21fefe5e00647ce2d9828f9e6a
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-09 09:50:15 +0200

    Update Adf status.

commit 4691b92d80478c97701ed04b9817f92a268d2235
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:38:42 +0300

    genesys: Simplify motor profile selection on gl841

commit ae8cb155efc65000d4454d2499e9408b0d372097
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:38:41 +0300

    genesys: Simplify register setup on gl841

commit b1b61b043b90c5fd933db4bad3a4fd51576973f1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:34:41 +0300

    genesys: Pass whole motor struct to create_slope_table()

commit fe3677b68f8517bcb04912303e3b3341d4b7bd4d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 10:34:40 +0300

    genesys; Rename create_slope_table{=>_speed}()

commit dcb90dc042ac577106659f072f91893ad8ec4fb8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:17 +0300

    genesys: Simplify handling of output line count on gl646

commit 46d3ea07d49c6169d6f57537da802f55f70507c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:16 +0300

    genesys: Use DISABLE_GAMMA fla to control GMMENB bit on gl646

commit 35544b0c363ba203059b0e6909737118908a9489
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:15 +0300

    genesys: Simplify init_regs_for_shading() on gl646

commit 3dff3a97b34d9385064c03079a3c5b4f8a9b5479
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:14 +0300

    genesys: Fix invalid movement in simple_move() on gl646

commit 84d4d0b15c94b4f232c8338928eea14b86ac7651
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:13 +0300

    genesys: Use AUTO_GO_HOME flag to control AGOHOME bit on gl646

commit 4b5b2b2f0bdd11c79c44137f78977498efb33566
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:12 +0300

    genesys: Simplify init_regs_for_warmup() on gl646

commit 0bc0f893b2188ca2be5263b0bfb606ce1cc05f47
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-09 04:10:11 +0300

    genesys: Simplify invocation of simple_scan() on gl646

commit 10408cfa99e3f9965ea7b350a554a6ccf715b385
Merge: 6689104f0 73bf5533f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-08 07:01:30 +0000

    Merge branch 'escl-clean' into 'master'

    escl - release memory and close descriptor.

    See merge request sane-project/backends!435

commit 73bf5533f97846d94034df809cfe6c6a5ff7d295
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-08 08:35:50 +0200

    release memory and close descriptor.

commit a931e0df574ae4b7047c19852c7add8f25e760df
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-07 19:19:55 +0200

    Refactoring of the adf status.

commit f38c9f0d64a52697562abdfbf9c9044cb1b7e897
Merge: 3d005c257 b9b017340
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-07 09:42:42 +0000

    Merge branch 'issue09-esci2-img-buffer-size-check' into '279-confidential-issue'

    epsonds: Prevent possible buffer overflow when reading image data

    See merge request paddy-hack/backends!8

commit 6689104f01d9db0cf0da763b216c0c4b5ab990bf
Merge: e8e9577c1 878197a00
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 18:29:07 +0000

    Merge branch 'fix-status-returned-by-sane-start' into 'master'

    escl: Add support for SANE_STATUS_NO_DOCS and SANE_STATUS_DEVICE_BUSY to sane_start

    Closes #283

    See merge request sane-project/backends!433

commit e8e9577c1200dee3a8c10e4e97250875b055ae84
Merge: 20f702637 adbbdc8a6
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 18:10:33 +0000

    Merge branch 'add-more-logs' into 'master'

    Make curl error message more informative, to help debug issues

    See merge request sane-project/backends!431

commit 878197a00e5f72a5bb2486c20e8c98b8bdc70387
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-05-06 18:25:44 +0200

    escl: Add support for SANE_STATUS_NO_DOCS and SANE_STATUS_DEVICE_BUSY to sane_start

    Fixes: #283

commit 20f7026371e7db5badf42be8429f5ff743a3c699
Merge: 050e73d07 fc14edf69
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 14:44:24 +0000

    Merge branch 'escl-reduces-number-entries-offer' into 'master'

    Escl reduces number entries offer

    See merge request sane-project/backends!432

commit fc14edf69ee0993fdb1f5c5c8faeb3ff5afdbc3c
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 16:22:11 +0200

    Fix build.

commit 646ee990d39e04984354dc394153fb74d8d94200
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 16:08:53 +0200

    Reduces the number of entries on offer.

commit adbbdc8a69f40d384576f055b8cb3cde6da92623
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-05-06 16:01:01 +0200

    Make curl error message more informative, to help debug issues

commit 050e73d07ec8f53ac2ddc4c38469a72cde4c7713
Merge: 833c25c3a c9fdb6206
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-06 09:21:28 +0000

    Merge branch 'escl-fix-feeder-not-duplex' into 'master'

    Escl fix feeder not duplex

    See merge request sane-project/backends!429

commit c9fdb62060cecb3fbc44cfe0f31facfbf9b5a668
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 10:44:31 +0200

    The duplex tag is only sent to the device if the device supports AdfDuplex.

commit 9b3d7dc8b69590508d4eb9bd23dbaf3d83eb86a8
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-06 10:12:52 +0200

    Fix  name of sources.

commit 833c25c3ae681820f7e1d41f2a0bac9a18fd3e80
Merge: b5013094f e18242108
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 05:58:02 +0000

    Merge branch 'inspiration-from-freebsd-patches' into 'master'

    Inspiration from freebsd patches

    Closes #291, #290, #289, and #286

    See merge request sane-project/backends!425

commit 3d005c2570a71fe93a63192d9c47ee54cb39049b
Merge: 226d9c928 27ea994d2
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:06:49 +0000

    Merge branch 'issue05-out-of-bounds-read-decode_binary' into '279-confidential-issue'

    epsonds: Do not read beyond the end of the token

    See merge request paddy-hack/backends!5

commit 226d9c92899facf4b22b98c73be6ad2cd0effc4a
Merge: 02b5d33b7 db9480b09
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:05:59 +0000

    Merge branch 'issue07-out-of-bounds-read-in-esci2_check_header' into '279-confidential-issue'

    epsonds: Read only up to seven hexdigits to determine payload size

    See merge request paddy-hack/backends!6

commit 02b5d33b7a7c0b72137f5b968c46a1d52a75aa63
Merge: 4c9e4efd4 8682023fa
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:04:18 +0000

    Merge branch 'issue08-integer-overflow-sanei_tcp_read' into '279-confidential-issue'

    sanei: Integer overflow sanei tcp read

    See merge request paddy-hack/backends!7

commit 4c9e4efd4a82214719eeb1377a900e3a85c1c369
Merge: 2b4aa45ba fff83e7ea
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-06 04:03:19 +0000

    Merge branch 'issue01-null-pointer-deref-sanei_epson_net_read' into '279-confidential-issue'

    epson2: Rewrite network I/O

    See merge request paddy-hack/backends!3

commit b5013094f8bc0f58bc401589eeee93ef6cb2357a
Merge: 7f1741d54 0efee9ddd
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-05 22:31:58 +0000

    Merge branch 'add-vendor' into 'master'

    Escl - Add vendor

    See merge request sane-project/backends!428

commit 06ad1dd43f5b23aa764be1d4eb4e61294b41e3b4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:10 +0300

    genesys: Inline setup_for_scan() into gl646_repark_head()

commit 1b5c31bb01459e6e7980707e4d373b7dec86699a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:09 +0300

    genesys: Inline setup_for_scan() into init_regs_for_warmup() on gl646

commit d7bf809a6cfc15975ed51ed6ec6efdc22aa28730
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:08 +0300

    genesys: Inline setup_for_scan() into init_regs_for_shading() on gl646

commit 7ba20e43a31ab9c4d7c4076e1e30f5289c494b5c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:07 +0300

    genesys: Simplify simple_scan() on gl646

commit f1d6c2c0cddc919ad005663c9bc5995620e9a8fc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:29:06 +0300

    genesys: Inline setup_for_scan into simple_scan on gl646

commit 0efee9ddd6ab331ef7848cd852f6418b1d074cd2
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-06 00:14:12 +0200

    Fix model name cropping.

commit cd18ba69dec1922501ff6f34b5ecbfb1b4bcf2e5
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-06 00:13:37 +0200

    Add vendor

commit 644f4b0c946184bd97009ef77fd36d8a681557a4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:45 +0300

    genesys: Simplify session setup in ad_fe_offset_calibration() on gl646

commit 4183f37b4610bb907c802d50a3b699119d08e18d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:44 +0300

    genesys: Simplify session setup in offset_calibration() on gl646

commit e32ca11346697db8cb0bb60c367d9a7de1187089
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:43 +0300

    genesys: simplify session setup in ad_fe_coarse_gain_calibration()

commit 1f78a2e64c7d93c37368400f31dfb3ea791acbd0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:42 +0300

    genesys: Simplify session setup in coarse_gain_calibration() on gl646

commit e876379f3181d37e12a10fdcc1db3fef78dab1fb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:41 +0300

    genesys: Simplify session in simple_move() on gl646

commit 5a2e81b633811c6d5f4de4e168f8cd11ccae1eee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:40 +0300

    genesys: Simplify session setup in led_calibration on gl646

commit 09eb07561fc0fdc38ee240308954f2a818fee09e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:39 +0300

    genesys: Split simple_scan() into version that accepts ScanSession

commit 4f1dad8ca91a6ea3db6df64dfc120b8d38c4253e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:38 +0300

    genesys: Simplify session setup on gl646

commit 99a59d9871ecbfd7668759aca3d4050d86fa7811
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-05-06 01:05:37 +0300

    genesys: Remove out of date comment

commit 7f1741d54d1fbc405a8132fe192599f641faf16e
Merge: bd482b636 8e2d33565
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-05 20:48:02 +0000

    Merge branch 'escl-fix-vendor' into 'master'

    Put the vendor corresponding to the device used.

    See merge request sane-project/backends!426

commit 8e2d3356534003fa6b16516e7a310774284a38bc
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-05 22:29:03 +0200

    Put the vendor corresponding to the device used.

commit e18242108e93c2442306b061b6b781df41e192be
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 16:15:13 +0900

    v4l: Drop kernel interface from v4l.h

    It has been included in libv4l1.h since 0.8.3.

commit 95b43691661bacf47c8985a0ebb0f4ad1eb6d440
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 16:14:11 +0900

    v4l: Prefer C99 standard type over asm __u32.  Re #291

commit 9e1acea49766e69b1782676ff11bfced7f35c4bf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 13:02:35 +0900

    umax_pp: Fix typo.  Fixes #290

commit 1a201b28ab1bb6e7dacb3ed19226fbfb97df0e04
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 12:55:19 +0900

    ricoh2: Use C99 standard headers

    Inspired by a FreeBSD patch.  Fixes #289.

commit 9232792e0fb544eed9e6930cd7c282680cc1e305
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-05 12:31:34 +0900

    epsonds: Add missing header files for socket use.  Fixes #286

commit bd482b6365fe0a6526982674ea0e870540c026f1
Merge: 0f657faf7 2ed753b3f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-04 11:39:19 +0000

    Merge branch 'escl-fixe-descriptor-size' into 'master'

    Fixe descriptor size.

    See merge request sane-project/backends!424

commit 2ed753b3fe47911d2e87a71f6d4e1f32eaf826da
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-05-04 13:19:03 +0200

    Fixe descriptor size.

commit 2b4aa45bad61d5e34996645581a606fd8795a48c
Merge: 37b142494 07e383412
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 08:24:19 +0000

    Merge branch 'issue11-read_of_uninitialized_data' into '279-confidential-issue'

    magicolor: Added security mediation to device discovery

    See merge request paddy-hack/backends!2

commit 37b142494bf659d8147b6f0fcb8629408717d14d
Merge: e52a5bf71 af0442f15
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 05:28:37 +0000

    Merge branch 'issue10-SIGFPE-in-mc_setup_block_mode' into '279-confidential-issue'

    magicolor: Added security remediation for pixels_per_line.

    See merge request paddy-hack/backends!1

commit 8682023faa27c61156a354955c89617a3304d66f
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 11:54:35 +0900

    sanei_tcp: Address possible integer overflow.  Re #279, issue 8

commit fe08bbee6b238ea0be73af67b560ffc2c47562fd
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-04 11:48:46 +0900

    epsonds: Handle error condition.  Re #279, issue 8

commit 0f657faf7cf2038031e163bfa889c5e043f3c023
Merge: a8ce7a99c 855cc408d
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-02 09:23:17 +0000

    Merge branch 'escl-cancel-scan' into 'master'

    Fix the status of the scanner in case of failure.

    See merge request sane-project/backends!422

commit 855cc408d3c16db695374c729b0f35a604ffa600
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-02 11:05:49 +0200

    Fix the status of the scanner in case of failure.

commit a8ce7a99ceb1bcde22bbbb3e42860e76da1d9e67
Merge: bc6e04f47 a0ef09c45
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-02 05:29:17 +0000

    Merge branch 'ci-fedora-32' into 'master'

    CI: Bump Fedora from 31 to 32

    See merge request sane-project/backends!421

commit a0ef09c456d6197cec5a919f117576636fa7ea9e
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-05-02 14:12:33 +0900

    CI: Bump Fedora from 31 to 32

commit bc6e04f477912a70e8d244e47bf170ce95694333
Merge: ea053c1a6 2190739b3
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-01 10:37:17 +0000

    Merge branch 'escl-correction-label-source' into 'master'

    escl : Fixed source argument.

    See merge request sane-project/backends!420

commit 2190739b310885e3c42be6adf27fbd1a4be27f10
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-05-01 11:59:58 +0200

    Fixed source argument.

commit 07e3834127f8bcd9dac02b91c17127dc41fbfb5b
Author: Ralph Little <skelband@gmail.com>
Date:   2020-04-30 23:21:00 -0700

    magicolor: Added security mediation to device discovery

    Extraction of values from the SNMP response were not checked.
    Also fixed a bug that mistakenly matched any SNMP OIDs with the
    first model in the model list, in function mc_get_device_from_identification().

commit ea053c1a6460af108bae8f3a66a4dc35d7f75d8f
Merge: 9aad35503 24ffce93f
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-05-01 05:04:33 +0000

    Merge branch 'capabilities-logs' into 'master'

    Don't use the uninitialized data during getting capabilities and print capabilities

    See merge request sane-project/backends!419

commit 24ffce93fd9557b7396d0588694c76ef43358418
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-04-30 22:36:00 +0200

    Don't use the uninitialized data during getting capabilities and print capabilities

commit fff83e7eacd0f27bb2d71c42488e0fd735c15ac3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 18:24:51 +0900

    epson2: Rewrite network I/O

    This addresses GHSL-2020-075 as well as all other problematic code
    uncovered as a result of investigating that.  This includes:

    - buffer overflows due to use of unchecked lengths
    - integer overflows due to type conversions
    - potential memory leaks
    - checking for memory allocation failures

    Re #279.

commit 27ea994d23ee52fe1ec1249c92ebc1080a358288
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 21:15:45 +0900

    epsonds: Do not read beyond the end of the token

    Addresses GHSL-2020-082, re #279.

commit 9aad355032fd9653cf74d6c1ece890809d08799f
Merge: 812497969 dabd92700
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-30 01:34:12 +0000

    Merge branch 'update-epkowa-documentation' into 'master'

    Sync doc/descriptions-external/epkowa.desc with latest upstream

    See merge request sane-project/backends!408

commit dabd9270099f31cb7238ecfb98617872bb85f30d
Author: Bartosz Kosiorek <gang65@poczta.onet.pl>
Date:   2020-04-15 18:11:54 +0200

    Sync doc/descriptions-external/epkowa.desc with latest upstream

    iscan-data_1.39.1-2.tar.gz archive downloaded from:
    http://support.epson.net/linux/src/scanner/iscan/

commit b9b0173409df73e235da2aa0dae5edd21fb55967
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-27 18:48:29 +0900

    epsonds: Prevent possible buffer overflow when reading image data

    Addresses GHSL-2020-084, re #279.

commit db9480b09ea807e52029f2334769a55d4b95e45b
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-27 18:24:56 +0900

    epsonds: Read only up to seven hexdigits to determine payload size

    Addresses GHSL-2020-083, re #279.

commit af0442f15cc966bbc3d7d9322380005ea0ee8340
Author: Ralph Little <skelband@gmail.com>
Date:   2020-04-26 13:04:41 -0700

    magicolor: Added security remediation for pixels_per_line.

    This implements a security issue reported by GitHub Security Lab.
    The details are disclosed in GitLab issue #279.
    The issue relates to an invalid scan parameter block being sent to
    the backend containing 8 bytes of 0x00 which leads to pixels_per_line
    being set to 0. Later arithmetic involves the division by this value
    which causes a div by zero crash.

commit 812497969ca3a68615b71162b6560d4fb890b3dd
Merge: 867aeb7d0 08b41c052
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-23 18:53:20 +0000

    Merge branch 'genesys-plustek-7200' into 'master'

    genesys: Add support for Plustek OpticFilm 7200

    See merge request sane-project/backends!418

commit 08b41c052e4652c66d0906948eacd8dc3cf4e25b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-23 21:17:03 +0300

    genesys: Add support for Plustek OpticFilm 7200

commit 867aeb7d0908a495b1118ceb012bbbc2143f5baa
Merge: a70beba79 c88ba0dff
Author: Oliver Schwartz <oliver.schwartz@gmx.ch>
Date:   2020-04-23 14:13:27 +0000

    Merge branch 'master' into 'master'

    sanei_usb: allow non-configured devices on macOS for libusb-1.x

    See merge request sane-project/backends!358

commit a70beba79c9a2e7f26e7958db76a19f5e1b8fadd
Merge: 40a451b1a e5c371b24
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-22 20:09:23 +0000

    Merge branch 'genesys-cleanup-motor-dpi' into 'master'

    genesys: Merge motor optical_ydpi to base_ydpi

    See merge request sane-project/backends!417

commit e5c371b24b35f70e2f082078a6f2e0b5aaf30e6f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-22 08:28:20 +0300

    genesys: Merge motor optical_ydpi to base_ydpi

commit 40a451b1ac28f75c69f56f1c62d573b4727ee3b8
Author: Alex Belkin <abc@telekom.ru>
Date:   2020-04-22 16:15:33 +0300

    xerox_mfp: Mark Xerox WorkCentre 3225 as supported

    Reported by Darodaros in issue sane-project/website#26.

commit ea8beca57dd66d44e03f77dd60f1ee25bcbbe278
Author: Zdenek Dohnal <zdohnal@redhat.com>
Date:   2020-03-23 09:47:02 +0100

    Fix assertion error in gl841 asic type by lowering steps for fast/back/slow tables

commit 5cf347d34d7e470d3376e89daef0e9fbd0e78ed5
Merge: 27e3d2135 32083172e
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-21 13:06:27 +0000

    Merge branch 'escl-ADF-only-scans-first-page' into 'master'

    Moves to the next page.

    See merge request sane-project/backends!416

commit 32083172ea58ce44a402ef2372afc1c82f8d19e9
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-21 14:49:40 +0200

    Allows you to move to the next page.

commit 27e3d213512c72bc94fdc1d33c673996a74b0f62
Merge: 5eec2b4a0 111d8d2aa
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-21 11:05:21 +0000

    Merge branch 'escl-invalide-image-with-scanimage' into 'master'

    eSCL : Fix invalide image with scanimage.

    See merge request sane-project/backends!415

commit 111d8d2aabd72db62a3a8bc67475f1045b050d5b
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-21 12:47:07 +0200

    Fix invalide image with scanimage.

commit 5eec2b4a0c444e0a56c1b1a2a383b211574a14a7
Merge: a00b8079e 53162b4ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 23:35:56 +0000

    Merge branch 'genesys-cleanup-gl841' into 'master'

    genesys: Cleanup gl841 code

    See merge request sane-project/backends!414

commit 53162b4cad323316678c340cfca9f13461dab03f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:57 +0300

    genesys: Remove no longer used motor action

commit af28c2d56c612cfdb21e3884fc26e436c8a8e21d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:56 +0300

    genesys: Reuse scanner_move_back_home() on gl841

commit d9b49e567c0ccbe8d11794a39f3b7be9fc3ca8af
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:55 +0300

    genesys: Simplify motor direction setup on gl841

commit 8412861a662b13976ec36808b772d761ae490d6c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:54 +0300

    genesys: Support reverse scan direction on gl841

commit f965c2ef255af3cb84dd8ab79a6f61576ab58017
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:53 +0300

    genesys: Reuse scanner_stop_action() on gl841

commit 98ee100237f50a4cfadea060caf84cb763d50781
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-20 00:35:52 +0300

    genesys: Fix scanner_is_motor_stopped() on gl841

commit a00b8079ee68cc020a4b0ad10a5a775adac2c687
Merge: 1938bcfbe b68fd960e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 20:37:19 +0000

    Merge branch 'genesys-cleanup-gl646' into 'master'

    genesys: Cleanup gl646 code

    See merge request sane-project/backends!413

commit 1938bcfbeb6869b1c324c4ba59315ffd8de5d68f
Merge: ff2ba89b0 ebfa38a73
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 19:04:52 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Miscellaneous cleanup

    See merge request sane-project/backends!412

commit ff2ba89b068cb1e7d545fe5e697ee398292f527f
Merge: 59743d7f2 ad4c8f545
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 18:45:03 +0000

    Merge branch 'genesys-cleanup' into 'master'

    genesys: Reduce duplication in led_calibration

    See merge request sane-project/backends!411

commit 59743d7f296f439752c12ec9fbe334eeb3e7c548
Merge: 3be9ac99a 4aace34ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-19 18:21:13 +0000

    Merge branch 'genesys-cleanup-gl841' into 'master'

    genesys: Cleanup gl841 code

    See merge request sane-project/backends!410

commit 3be9ac99a9f6adae8adee4a72ee022ccf7745536
Merge: 3ba284eee 6fcf2c3f1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-18 04:15:20 +0000

    Merge branch 'document-canon-lide70-addition' into 'master'

    Document the addition of the canon_lide70 backend

    See merge request sane-project/backends!409

commit 6fcf2c3f13428290f5ce540fd7eb2a5061f94f52
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-18 12:59:07 +0900

    Document the addition of the canon_lide70 backend

commit b68fd960e302806dc2c2edd4be477c9f5fb9f1b2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 06:19:22 +0300

    genesys: Simplify sensor setup on gl646

commit a3ad02c8bfbff31eb431aee2da562f21fce4e193
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 06:19:21 +0300

    genesys: Remove sensor setting duplication on gl646

commit ebfa38a732930006ded4601de769ea986d195cee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:47 +0300

    genesys: Map motor flags to scan flags

commit 4c95e94f9b73575da697e7e1b5dfa42414ca002d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:46 +0300

    genesys: Move private functionality out of headers

commit afa96a227df1d44da1bfe6e41e49b997b059f00e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:45 +0300

    genesys: Reduce duplication of sensor setup functionality

commit d0855e513bfcc8f04d951753e61579ef257c9546
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:44 +0300

    genesys: Remove unused #defines

commit edda9bff25930455a039335c218c9738b713d3ef
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:43 +0300

    genesys: Simplify creation of command set

commit c0deb9b2c4e4d492cb7749a13df46e11aa1c7c68
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:38:42 +0300

    genesys: Use consistent model name for Canon CanoScan 5600F

commit ad4c8f5453a3b46cf5697cea517eb5db0098f445
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:23:07 +0300

    genesys: Reduce duplication in led_calibration

commit 4aace34caa99b3199e4a5754a9dc28c57b5d00b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:18:01 +0300

    genesys: Simplify led calibration on gl841

commit f6b606503c1127e0a4fea1ccc7e6c736f099f4d8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:18:00 +0300

    genesys: Remove out of date comments on gl841

commit 6b49c6656c826ceec505de5faccc0edc69e2ff7b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:59 +0300

    genesys: Simplify motor setup on gl841

commit 2a9254c9988426b0df7c3968f6607eb69ce84056
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:58 +0300

    genesys: Verify that all sensors have required registers on gl841

commit 608cd18282317b58341afc297a9fca39800906d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:57 +0300

    genesys: Rewrap custom register lists in sensor definitions on gl841

commit 75f5ec405849ff2689ea20ba00cc90ee8b0de416
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:56 +0300

    genesys: Remove duplicate initialization during scanner setup on gl841

commit f37c3c55e4aeda487c739c2c5fb0f995ba9a7c84
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-17 05:17:55 +0300

    genesys: Simplify sensor setup on gl841

commit 3ba284eeec8faecae4cf45b0d2efc755b08b76e3
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-04-15 21:50:05 +0200

    pixma: backend version 0.27.7

commit 598b836c05c9b5a671eda3a096823aad0b7690e2
Merge: 4d01195d2 e17646a86
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-04-15 19:47:27 +0000

    Merge branch 'k3a-pixma' into 'master'

    pixma: parse XML response sent by the scanner and present tips to the user

    Closes issue sane-project/backends#70

    See merge request sane-project/backends!386

commit 4d01195d22704502d860fe51a0b171c435ac799d
Merge: 549e10314 0638e84d1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-14 21:37:03 +0000

    Merge branch 'genesys-hp-4850' into 'master'

    genesys: Fix shading offsets on HP 4850

    See merge request sane-project/backends!406

commit 549e10314f9e4828b6358e3f91b69ace8cec78e5
Merge: ea7f8a58f 6fc6fb7ea
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-14 21:35:50 +0000

    Merge branch 'genesys-calibration' into 'master'

    genesys: Fix multiple issues in calibration code paths

    See merge request sane-project/backends!407

commit 0638e84d1358f120c049289a3cef8bdc5732b802
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:21:05 +0300

    genesys: Fix shading offsets on HP 4850

commit 6fc6fb7ea2e68da4443dc44fba06757452e3f82b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:16:01 +0300

    genesys: Load calibration data in sane_start() not in sane_init()

commit a595875d8748668f4c21eca0e003db148d2bc4f8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:15:21 +0300

    genesys: Bump calibration version

commit 7304a4bb783c8e37d01cd796915f48d09b55b0ee
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-15 00:15:10 +0300

    genesys: Fix out of bounds access during calibration on gl843

commit ea7f8a58f224ed3eae3563575fc11eb502725531
Merge: 5d08b64bc 617e83b4e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 15:21:23 +0000

    Merge branch 'genesys-descriptions' into 'master'

    doc: Update descriptions of supported genesys scanners

    See merge request sane-project/backends!405

commit 5d08b64bc6f031bbb58e6ccaf54fbb3400bb3395
Merge: 0932b751e eec083f46
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 15:09:55 +0000

    Merge branch 'genesys-4400f-8400f-8600f-bugs' into 'master'

    genesys: Fix various bugs on 4400F, 8400F, 8600F

    See merge request sane-project/backends!404

commit 617e83b4e502d79aa0541141f1d5191dccca2d7a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 18:05:36 +0300

    doc: Update descriptions of supported genesys scanners

commit 0932b751e0ee962650eb1bdea2b5fab79b019dc4
Merge: 1fc00f2b9 922cabc0b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 14:04:43 +0000

    Merge branch 'genesys-output-pixel-offset' into 'master'

    genesys: Allow to specify output pixel offset within model configuration

    See merge request sane-project/backends!403

commit 1fc00f2b962fcda4fbe3f87df9ce43961a360421
Merge: db828453f 3693f4b12
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 13:33:50 +0000

    Merge branch 'genesys-cleanup-pixel-position-handling' into 'master'

    genesys: Cleanup pixel position handling

    See merge request sane-project/backends!401

commit db828453fae7d9d8973caa0d582e61cc4bd05b4a
Merge: 4c254e3c3 901827c8c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 13:31:04 +0000

    Merge branch 'genesys-canoscan-700f' into 'master'

    genesys: Fix support for CanoScan 700F

    See merge request sane-project/backends!402

commit eec083f46a1e7ccc63441642096d2b35c238ede7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:08 +0300

    genesys: Remove startup position hack on 4400F 4800dpi scans

commit 1125cf338a11991b7e6b6284ea90f5fb1bcbdd3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:07 +0300

    genesys: Update pixel start offsets on 4400F

commit 60da130402d8616d18244b32dc13390e05e882e0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:06 +0300

    genesys: Fix Y scan area offset on 4400F

commit ea781b6b07956b0aa26cb190674d9e20fd85ec8d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:05 +0300

    genesys: Improve head positioning during calibration on 8600F TA scans

commit b788f2de8f948aff02d13043d7801ff1d7efa9d9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:04 +0300

    genesys: Remove startup position hack on 8600F 4800dpi scans

commit aec867d1e8edc47c726453b40d349d1eeeb6356b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:03 +0300

    genesys: Support negative output_pixel_offset

commit f03b7ad29f4d6d7d4b15ab3e7d9addf22eb06d80
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:02 +0300

    genesys: Fix alignment of transparency scans of different dpi on 8600F

commit 82b42862abfb8f0b2473198486c416fe2aef9d25
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:01 +0300

    genesys: Fix calibration on 8400F

commit 6fea625ad6030e78218f089ff344a93baec4efaf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:38:00 +0300

    genesys: Support custom shading offset on gl843

commit 4b796205254c0b41370e806b07990117d1ea4444
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:37:59 +0300

    genesys: Fix shading resolution on 8400F 400dpi

commit 664c07c01a4502546ac89211211dcb8261c8877f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:37:58 +0300

    genesys: Add a way to configure shading pixel offset

commit df0fccf899d13269bd24952da30e17543f38dd78
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:37:57 +0300

    genesys: Fix incorrect handling of start position on gl843

commit 922cabc0befe832a965e67c866d3862f172978ba
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:43 +0300

    genesys: Remove no longer used ccd_start_xoffset

commit 87f5637a47f52499a2d87b12b5903db8b401c20d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:42 +0300

    genesys: Cleanup pixel position handling on gl124

commit bae938b4be6d74659201a68d40b0977df45de1d9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:41 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl847

commit eca7a5ab91ef24fb172ffc683be4dcae1eeb5128
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:40 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl845/gl846

commit e5c46aee41083d5f1449dad6c1558560f3503755
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:39 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl843

commit dc00ab867bc80d84c5e2691e2a0f85158b480401
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:38 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl841

commit 648a24830f04ea6f972094828bdb9335b6246ac4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:23:37 +0300

    genesys: Use output_pixel_offset for CCD offsets on gl646

commit 3693f4b12d3dcbc47a6d60ed648c178f8018c4f4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:59 +0300

    genesys: Simplify use of pixel_endx on gl124

commit cdefc1cae501503fed0aee43036ee4bb37386690
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:58 +0300

    genesys: Simplify pixel position handling on gl646

commit e920d1bbcea1dd6c2daf2014c775c3d472df42ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:57 +0300

    genesys: Add a way to specify output pixel offset

commit 94f130cdfa8c56bef77f24cce2a6d587fc426292
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:56 +0300

    genesys: Simplify pixel position calculation on gl841

commit 8b37d4b15e9a51d9d0412331b2ec74ac54195e24
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:55 +0300

    genesys: Remove handling of XCORRECTION on gl646

commit 2bec01cf60a487f0752205d2e44586d18434b83d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:54 +0300

    genesys: Simplify optical pixel calculations on gl646

commit f4b60c48bba4d2c9b83b1d47e9115c2b90177a2f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:53 +0300

    genesys: Remove unnecessary pixel averaging handling code on gl841

commit 1f43e6a7f89e299e72f3b19f4ec42a8a2259ac65
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:52 +0300

    genesys: Remove unused handling of partial resolutions

commit 71f3dd8643667cf05bbc48203a31aefe18643e3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:51 +0300

    genesys: Make definition of optical_resolution more consistent on gl646

commit 6db2f94598a4d03d444bd08f5834f0afa8938648
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:50 +0300

    genesys: Remove unused configuration of ccd_size_divisor

commit 12269c5ad47471706259a0222561df9b90ff05e7
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:49 +0300

    genesys: Prefer not to use ccd_size_divisor on gl841

commit 48c377b5f0a84887338fdfee2c74ead6cc08271f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:48 +0300

    genesys: Improve description of SetupParams::pixels

commit 901827c8c72aef642e025d054546e80bacf15bd5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:29 +0300

    genesys: Disable currently unsupported resolutions on LiDE 700F

commit 35e48da4a89355750449730c62fd1da1a9d129de
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-13 07:19:28 +0300

    genesys: Fix invalid home position reporting on LiDE 700F

commit 4c254e3c3d4b1567066a4ec0f5e84509e936a6f3
Merge: 19d7b02d4 6a0e0eb56
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-12 09:01:51 +0000

    Merge branch 'escl-adf-support' into 'master'

    Escl adf support

    See merge request sane-project/backends!300

commit 6a0e0eb5683f5a0654ab697ec96cdcf60e6c7b60
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-12 10:28:55 +0200

    Fix build

commit 3d02d2f1be192831b48c5abf686e10feaebba8e7
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-12 10:17:33 +0200

    Changes the status when the trays are empty.

commit 19d7b02d4adf02e4fafd51e56f377d216cbb95ba
Merge: 3b1d7d59c 7fbc7dda5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 13:16:48 +0000

    Merge branch 'genesys-fix-test-mode' into 'master'

    genesys: Fix test mode (part 2)

    See merge request sane-project/backends!400

commit 7fbc7dda5457247f966108c2393b3884d80b58c9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 15:50:03 +0300

    genesys: Readd missed comment

commit 3b1d7d59c1460146dd581d9ac659c9b918ab731e
Merge: 13f943ec1 db50c9113
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 12:38:19 +0000

    Merge branch 'genesys-reg-get-address' into 'master'

    genesys: Remove uses of sanei_genesys_get_address()

    See merge request sane-project/backends!399

commit 13f943ec12c0c9b25e3b3fb6bfdb9beae4a87a1a
Merge: db6b862d7 5ffd4039d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 12:37:30 +0000

    Merge branch 'genesys-fix-test-mode' into 'master'

    genesys: Fix test mode

    See merge request sane-project/backends!398

commit 5ffd4039de04b4a47ad0a5b6a7639bab11e14493
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 15:20:30 +0300

    genesys: Fix crash when exact usb device is not specified

commit 55972a3efaa180bafb5852124f6d6ecf05f2dd0b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-11 15:20:29 +0300

    genesys: Fix crash during testing mode

commit db6b862d7071d983d23b80c910bd634eabb3e552
Merge: 11cace00a f48f0bf7d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 22:50:46 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Fix scan area size on OpticFilm 8200i and 7400

    See merge request sane-project/backends!397

commit f48f0bf7d161be018ce0f41eeec58f45f3fc564e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-10 01:14:14 +0300

    genesys: Fix scan area size on OpticFilm 8200i and 7400

commit 11cace00a8acb40b2ee2630c6db198d8cae5ed5a
Merge: 33b605279 ea94970b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:13:27 +0000

    Merge branch 'genesys-warmup' into 'master'

    genesys: Fix and enable lamp warmup before first scan

    See merge request sane-project/backends!396

commit 33b605279048ef72354efb2ef5f065b889c95289
Merge: 5cbb9eaae 15b664fa3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:11:29 +0000

    Merge branch 'genesys-8600f-ta-position' into 'master'

    genesys: Fix position of transparency area on 8600F

    See merge request sane-project/backends!395

commit 5cbb9eaae5d833b1c7d7898d2df2bd8239b9b832
Merge: 14e9fb187 40b4852eb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:09:03 +0000

    Merge branch 'genesys-cleanup-device-init' into 'master'

    genesys: Cleanup device initialization

    See merge request sane-project/backends!394

commit 14e9fb18773ce96603dd9c0f98e9e61aecf7eb75
Merge: f8193494a 0d1542cbe
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 21:06:42 +0000

    Merge branch 'genesys-fix-usb-id-init' into 'master'

    genesys: Fix initialization of USB IDs

    See merge request sane-project/backends!393

commit ea94970b6a2d22cec3af797bbce75120ef065259
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:13 +0300

    genesys: Enable lamp warmup on scanners that need it

commit f22dd4d7b204e1b1e328bc2234b7a022f88ede57
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:12 +0300

    genesys: Move lamp to transparency adapter if needed during lamp warmup

commit 21d9079eb760bceba9e95e9afb957def63ffcecb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:11 +0300

    genesys: Invert meaning of ModelFlag::SKIP_WARMUP

commit 8b653560476b5c74cc793880432de410c40a20ed
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:10 +0300

    genesys: Fix calculation of averages during lamp warmup

commit c2480ac0649aaa5af1540695e38e9b78a2ba18d5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:09 +0300

    genesys: Simplify calculation of warmup success criteria

commit 40cb193cc37d1a348fb621511b86509280d63d2e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:08 +0300

    genesys: Fix debug messages during lamp warmup on 16-bit scans

commit 0ab6e786579441ac0ad87b4b67580a886c4ec151
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:07 +0300

    genesys: Compare all subsequent scans during lamp warmup

commit fa594d965d3903f258728ebd6eaaa7d3c9235332
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:06 +0300

    genesys: Correctly initialize warmup registers in transparency scans

commit 6420e00a38bbd239f33d407ad66e0b96e9178ad8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:05 +0300

    genesys: Don't hardcode depth during warmup

commit 4586ae4e563edba12fed630815360593a72a6ce5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:57:04 +0300

    genesys: Increase consistency of lamp warmup handling

commit 15b664fa3235007130ad396161d9d3892c97e674
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:55:57 +0300

    genesys: Fix position of transparency area on 8600F

commit 40b4852eb710673cd3d26c607a93e0a12f60376b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:53:30 +0300

    genesys: Remove unused argument out of sanei_genesys_asic_init

commit 0992b379c88d3f6cb740460c26dad91fca9d82ad
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:53:29 +0300

    genesys: Remove unnecessary scan out of gl841 initialization code

commit 57b0873a8303a0696a2b6416725a19f78cde2a47
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:53:28 +0300

    genesys: Don't move scanner head forward on startup on gl843

commit 0d1542cbe6f3c85693e3495f032f1887cbda6c8e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:48 +0300

    genesys: Fix bcdDevice filtering

commit bb318cf8f31ea84540f80b32ef4558c35a494cf5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:47 +0300

    genesys: Simplify USB id retrieval

commit 13dffa0915fb76ad730fb558e451589fc6c7194f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:46 +0300

    genesys: Defer evaluation of bcdDevice until open()

commit 0e8f9c935eb764b5f7095ff4d9cdc82a8a5811c1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-09 23:50:45 +0300

    genesys: Correctly initialize test USB device

commit db50c91132354e90c9fca3eddd10724da99d5bd8
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-05 06:19:38 +0300

    genesys: Remove uses of sanei_genesys_get_address()

commit e17646a869b7a0b1f3c80f9690f8b834d5788d99
Author: Mario Hros <git@reversity.org>
Date:   2020-04-01 18:01:24 +0200

    pixma: parse XML response sent by the scanner and present tips to the user

commit ba5f99273799e7408e919f627f68523c0ec3be13
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-04 17:11:16 +0200

    Fix all conflicts.

commit 4ed0b0fd59e5fd363967526de84b17fdeab690fc
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-04-04 16:29:41 +0200

    Fix conflicts

commit fa75c94b241743c48c66145c0e426883ad20420f
Merge: 59824f3d8 f8193494a
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-04 14:04:18 +0000

    Merge branch 'master' into 'escl-adf-support'

    # Conflicts:
    #   backend/escl/escl.c
    #   backend/escl/escl.h
    #   backend/escl/escl_capabilities.c
    #   backend/escl/escl_crop.c
    #   backend/escl/escl_newjob.c
    #   backend/escl/escl_scan.c
    #   backend/escl/escl_status.c

commit f8193494ad23dce78a2e2bdfa7825715ec29d2e0
Merge: 9723a83b2 bd6a2551a
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-04 04:35:45 +0000

    Merge branch 'newyearsbranch' into 'master'

    canon_lide70-sequel

    See merge request sane-project/backends!315

commit 59824f3d8343410151eb8d3664d0f3b69935b698
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:37:49 +0200

    Fix style.

commit 8f5f815be107d6dcbf15430b654395e7e6cf20ad
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:33:55 +0200

    Moves to the next page for the ADF.

commit 4f8a6991a97606a30f6187dcff030366e5d738aa
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:23:49 +0200

    Calculates the cropping offset with the ratio.

commit dd9e30c8148afc91573080e1bde08765c6f64544
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-03 09:22:51 +0200

    Adjusts the cropping offset.

commit 9723a83b2c35b1591198ee809518e48c1a5ba076
Merge: 911e40ba4 f39a43953
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-04-02 11:05:58 +0000

    Merge branch 'zeroheure-master-patch-67644' into 'master'

    document JPEG compression level

    See merge request sane-project/backends!389

commit 911e40ba4eda964927f3adacb766ed45e60729be
Merge: 6b318d808 7f10387ab
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-04-02 09:08:24 +0000

    Merge branch 'escl-fix-ratio-crop' into 'master'

    Escl fix ratio crop

    See merge request sane-project/backends!390

commit 7f10387ab089b35e042d51b82afbbef913c9b179
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-02 10:41:59 +0200

    Calculates the cropping offset with the ratio.

commit 6c0c360ce7b53fb195d9462649c734d83d13a42a
Author: thierry1970 <thierry@ordissimo.com>
Date:   2020-04-02 10:40:27 +0200

    Adjusts the cropping offset.

commit f39a43953b5700ac7dd31cc97d04a65c62524e3d
Author: Xavier Brochard <xavier@alternatif.org>
Date:   2020-04-01 20:44:49 +0000

    document JPEG compression level

commit 6b318d80822955cb2aafb443652ee17aa15ebb71
Merge: 101d27e8d 8725559d4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 18:45:49 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Update Plustek model status

    See merge request sane-project/backends!388

commit 8725559d4bc7a37122bbdc2250eb7a5c67e9b1b2
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 21:30:01 +0300

    doc: Update plustek model status

commit 101d27e8db7bd4665ab366079a1b7561ed74ce4d
Merge: 726e3e540 0d5f5b54e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 18:17:03 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Enable support for several Plustek OpticFilm scanner models

    See merge request sane-project/backends!387

commit 0d5f5b54ed35ae21b1da5a14f725dba569ff998f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:57:01 +0300

    genesys: Enable bcdDevice filtering

commit 54f3b8efd17d2be6831f519c22247347a6ddb1ca
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:57:00 +0300

    genesys: Add support for early version of Plustek OpticFilm 7600i

commit bfd0b82d2b4f2770e8cc72af0cbde12d0f3210f4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:59 +0300

    genesys: Add support for Plustek OpticFilm 8100

commit a2a121ab8c53bc3f2e1523f633ddbb1bc6e04815
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:58 +0300

    genesys: Add support for late version of Plustek OpticFilm 7600i

commit ea128674a65213fb9850ca7d2c6a4f594709f525
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:57 +0300

    genesys: Add support for early version of Plustek OpticFilm 7400

commit 4a1667865a50d6f34a70e2891e89830588b1a6ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-04-01 20:56:56 +0300

    genesys: Add support for Plustek OpticFilm 7200 (v2)

commit 726e3e540768279edad11a2b5d7985cb018d3511
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 22:54:02 +0200

    pixma: backend version 0.27.6

commit 05459de5e8e9ad1b25aa84453d2277d7c950b729
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-11 23:55:21 +0100

    pixma: print characters @ pixma_hexdump()

commit e58641a430a7f1b70edb40c2fe495923e02a35bc
Merge: 2fe8e6359 c47e1c0bd
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 20:46:48 +0000

    Merge branch '258-fake-usb-playback-fails-with-pixma-backend' into 'master'

    Resolve "Fake USB Playback fails with pixma backend"

    Closes issue sane-project/backends#258

    See merge request sane-project/backends!353
    Need merge requests sane-project/backends!380 and sane-project/backends!381

commit c47e1c0bd5fdb953a6d0b3ba171f7c236dd95eeb
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 18:45:35 +0200

    sanei_usb: don't read data from timeouted interrupt

commit d2a43afce04943a40a43e8d6b57a069bcf5acb78
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-31 13:26:38 +0200

    pixma: get device id if we replay a xml file

commit fa9d240e7040bf0b4ddb7c00334febf49307ea9d
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-10 16:22:30 +0100

    pixma: call sanei_usb_exit() on sane_exit()

    see: sane-project/backends#108

commit 2fe8e635970e9ef21a26a78f69eb58e5332fad1c
Merge: d6d3c0566 d6fa86681
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-31 17:55:02 +0000

    Merge branch 'sanei-usb-record-replay-descriptor' into 'master'

    sanei_usb: Add support for record/replay of get descriptor calls

    See merge request sane-project/backends!381

commit d6d3c0566fec15197a43ac0daf2a8a19c9650cb2
Merge: 22b548bf2 770b20470
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-31 10:03:01 +0000

    Merge branch 'sanei-usb-record-replay-multiple-open' into 'master'

    sanei_usb: Support recording conversations within multiple open-close calls

    See merge request sane-project/backends!380

commit 22b548bf2247d544493a825999f748af7e3a7f8c
Merge: b291a1793 d5fdbb0c7
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-30 11:42:02 +0000

    Merge branch 'escl-fix-capabilities' into 'master'

    escl - fix capabilities

    See merge request sane-project/backends!384

commit b291a1793488e3eaba7a42938f600869f358058e
Merge: ee54d3935 d06e42b08
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-30 11:40:07 +0000

    Merge branch 'fix-croping' into 'master'

    escl - Fix croping

    See merge request sane-project/backends!385

commit d06e42b08c8a6d4812af08f7ac81def33f3ffe1b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:42:38 +0200

    Correction of the zone cropping.

commit c6a8a541110a5cc946d949d32206710d9a21027b
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:42:10 +0200

    Offset correction

commit d5fdbb0c7dcbaa26e29b114f09844abdb0d52a52
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:37:35 +0200

    Revert "Offset correction"

    This reverts commit d7df235a7e74602c51b002a6962eb72937f623c3.

commit 062fb40cf42220d9ab440b185afbfe023d85a650
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:37:25 +0200

    Revert "Correction of the zone cropping."

    This reverts commit 67c7ef9c4e1463d853db190db22e7f652119d664.

commit 67c7ef9c4e1463d853db190db22e7f652119d664
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:35:28 +0200

    Correction of the zone cropping.

commit d7df235a7e74602c51b002a6962eb72937f623c3
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 21:30:21 +0200

    Offset correction

commit 6c855b7662fd2d8d4c3688176d74843207b56d55
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 16:20:16 +0200

    Fix build.

commit b4b1f2c7489912ec1243c576a6a6af1074565977
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 16:12:19 +0200

    Fix build.

commit 9afdd20776d06ff5cceae9087eae038cc6dfc285
Author: Ordissimo <thierry@ordissimo.com>
Date:   2020-03-29 13:53:42 +0000

    Fix initialisation variable.

commit 3066241e9037b2fb9b1a76c8ff02d97e94e345c5
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-29 15:47:44 +0200

    Sets the capabilities of the device according to the output format.

commit ee54d3935f5c58dfdb36daf5bc7c8e82923bfbb3
Merge: 07f28a1ca 8ecd54e8d
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-29 12:32:33 +0000

    Merge branch 'escl-formatext-pdf' into 'master'

    Add FormatExt for PDF.

    See merge request sane-project/backends!356

commit 07f28a1ca63d384d365a04a67990e72c7843eaa5
Merge: 47689131a ce97560e5
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-29 12:29:56 +0000

    Merge branch 'openbsd-hotplugd' into 'master'

    OpenBSD hotplugd(8)

    See merge request sane-project/backends!375

commit 47689131a4741511221bbddd4d47a35fe58f0985
Merge: 59df3942f 9698bfece
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 21:31:29 +0000

    Merge branch 'genesys-select-by-bcddevice' into 'master'

    genesys: Implement device filtering by bcdDevice value

    See merge request sane-project/backends!383

commit 9698bfece709ae429b17c3da40b91ae906af60cb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 23:15:48 +0200

    genesys: Add support for matching devices by bcdDevice

commit 0bdce7928f55b2706a29418b363c184ff9f8ba2e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 23:15:47 +0200

    genesys: Turn Genesys_USB_Device_Entry into a class

commit b89751605f1f677b86cc903e2ecff6f8d3b5e0be
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 23:15:46 +0200

    genesys: Add support for reading bcdDevice value

commit d6fa8668183e82232d82d1058d96b446e07b4904
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:41 +0200

    sanei_usb: Add support for record/replay of get descriptor calls

commit 59df3942f87a9c95ba85b6355b9f9078c899d78b
Merge: 7508a2174 45dfd889e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 20:42:38 +0000

    Merge branch 'sanei-usb-record-indent-configuration' into 'master'

    sanei_usb: Indent the configuration section in recorded xml

    See merge request sane-project/backends!382

commit 77886e63874a38736ccdf4cb90f4cdf856d4064b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:40 +0200

    sanei_usb: Return correct error code in replay code path

commit 770b204702d00d243d4739ad9b0d68d5800c1469
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:43 +0200

    sanei_usb: Support devices that are being opened multiple times

commit 7d97a1aaf46b8adf5808fdb4204e99af7a095c6a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:42 +0200

    sanei_usb: Reset all testing data on exit

commit 62614a46609d85f03d9b73a826f8c94a3554e2b1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:39 +0200

    sanei_usb: Use internal linkage for private static variables

commit 45dfd889e67f80ef55f1fdd62d66c8c15c41f2d4
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-28 22:08:44 +0200

    sanei_usb: Indent the configuration section in recorded xml

commit 7508a21741023ba08749901bdc656e74dc5a5aee
Merge: 4a960e960 5c1643291
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 22:04:15 +0000

    Merge branch 'lide-210-220-4800dpi' into 'master'

    genesys: Add 4800dpi support for Canon LiDE 210 & 220

    Closes #204

    See merge request sane-project/backends!374

commit 4a960e960aca62860e4346569fc036bf766d58cf
Merge: bed29187f e592a0c6f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:24:08 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Fix x position of scan window on Plustek 7400

    See merge request sane-project/backends!378

commit e592a0c6f2de345c161695d0f1b9b77ec17c9c09
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 23:05:49 +0200

    genesys: Fix x position of scan window on Plustek 7400

commit bed29187f7bf340a04d94c285dd5ba9e7787fcd7
Merge: 1fdb7021d 8068a958b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 20:20:51 +0000

    Merge branch 'genesys-plustek' into 'master'

    genesys: Add support for Plustek OpticFilm 7400 and 8200i

    See merge request sane-project/backends!377

commit 8068a958b221ee8cb6e9b76703175cc502b778fd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:30 +0200

    genesys: Fix setup of motor vref on gl846

commit 982d7d18aac3f24928d662ee9597caebb76eabfb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:29 +0200

    genesys: Fix log message when device is not supported

commit 6cb39e0a29142a832a6fe2ca772ff99be92d6a27
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:28 +0200

    genesys: Add support for Plustek Opticfilm 8200i

commit adaac29d90179e2e639c08ed0760d2125c4f9c19
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:27 +0200

    genesys: Add support for Plustek Opticfilm 7400

commit ef67ab08352604811462d55e766c85873d1f9d4c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:26 +0200

    genesys: Fix support for transparency scanners on gl846

commit 0fc25ed2d4a06465a2dcd9190a282846394b15b5
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:25 +0200

    genesys: Fix motor setup on gl846

commit c3d7a02b0c2bacd54e82daf61dd3442c1c6f0ecf
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:24 +0200

    genesys: Fix bulk data read from USB on gl845

commit 69bfaa725686ede10f67dd1ab784807cf24258eb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:23 +0200

    genesys: Print MotorId as string instead of a numeric id

commit 71c81423fe5a591876cebedc63fcb3c6885ff977
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:22 +0200

    genesys: Print GpioId as string instead of a numeric id

commit 40d0641940c712cb3de488e3c749d04b98a5af1c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:21 +0200

    genesys: Print AdcId as string instead of a numeric id

commit 75da1523b89007ab142629c5f436436407f95146
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-27 21:29:20 +0200

    genesys: Print ScanSession::pixel_count_ratio when serializing to stream

commit ce97560e56b450764dedf52b35344818d2d77f76
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:15:37 +0000

    Remove double quotes, use curly braces where appropriate, and fix
    the $BUSNAME device node path

commit 6fed5be5f359b4f242feeee827c10827bddcf6ae
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:12:53 +0000

    $BUSNAME is a full device path, not just the device node name

commit 2c9a411b12a7272654ac49f0a20b579a91a4a292
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:05:04 +0000

    Remove superfluous double quotes

    Device nodes are always comprised of alphanumeric characters so
    there's no need to quote them. That being said, where appropriate,
    use curly braces if the variable doesn't terminate the string -
    technically, this isn't necessary as the character which follows
    is a dot ('.'), which isn't a legal character in variable names so
    there's no ambiguity but it makes the variable "stand out" at the
    very least.

commit d24a5171c2f22cfc384442872077baae14b303df
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 20:03:41 +0000

    chown -> chmod

commit 1fdb7021dfeefa6a59a0c265ae7a22990404bef1
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-25 20:22:27 +0100

    pixma: Canon PIXMA TS3300 Series is working

    see merge request sane-project/backends!376

commit 6b1b071b771cbf98684336194eb1f9f26a9f020f
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 03:02:56 +0000

    Group commands and add conditionals

commit 0d0c03ab686cacafc739677048d9fde741e7c212
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:48:53 +0000

    Change the owner as well as the group - missed earlier

commit 9687ff8aa0edf2b4f0207682eab395fcbbbefa6f
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:47:54 +0000

    Additionally to user:group, modes also need changing

commit 5a842d8dd6611bc283e78b3d1a4f9f489cc14774
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:44:37 +0000

    Remove useless comments

commit 0b978ea7422cc067f986a428e4e2d0c581bda8bc
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:25:50 +0000

    Simplify - use test(1) and && instead of 'if ... then ... fi"

commit a129b7767de601969e0ada6fdb836701e9662bc6
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 02:07:05 +0000

    Incorporate hotplugd(8) patches from the OpenBSD port

    https://cvsweb.openbsd.org/~checkout~/ports/graphics/sane-backends/patches/patch-tools_openbsd_attach?rev=1.3
    https://cvsweb.openbsd.org/~checkout~/ports/graphics/sane-backends/patches/patch-tools_openbsd_detach?rev=1.2

    While there, use "$()" instead of "``" for running commands in a
    subshell (this is to match `attach` change commited earlier).

    More whitespace fixes.

commit 61881417faf2ce8a67428d177f00a749d00622e3
Author: Raf Czlonka <rczlonka@gmail.com>
Date:   2020-03-25 01:59:59 +0000

    Provide a working hotplugd(8) attach example

    Current example not only doesn't work but also hard-codes `ugen0` device name.

    Fix whitespace while there.

commit 5c1643291a1542c7aaddbfacd18b569436580d17
Author: Matthew Petroff <matthew@mpetroff.net>
Date:   2020-03-24 21:32:11 -0400

    genesys: Add 4800dpi support for Canon LiDE 220.

commit 93f6bb19a9d83785b0447c2775e4e1a31ceaebf4
Author: Matthew Petroff <matthew@mpetroff.net>
Date:   2020-03-24 20:50:50 -0400

    genesys: Simplify GL124 shading data segment iteration.

commit 74f2af604bee59139b2277f916526271ae88977c
Author: Matthew Petroff <matthew@mpetroff.net>
Date:   2020-03-24 19:44:17 -0400

    genesys: Add 4800dpi support for Canon LiDE 210.

    Based on USB logs from Windows driver.

commit dd785110726fe69c999c362bece11c51835b303f
Merge: 03a135caf 48bc45f46
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-24 12:22:38 +0000

    Merge branch 'escl-unix-socket' into 'master'

    Add unix socket support to ESCL

    See merge request sane-project/backends!348

commit 03a135cafd3c16abec90a8a05f7900217a05f370
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-24 13:05:19 +0100

    pixma: backend version 0.27.5

commit 86a8780c0c08479f918a0eef3af31c53a5633314
Merge: a309a2a58 6e52b3f01
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-24 12:03:18 +0000

    Merge branch 'pixma/use-BT.709-luma' into 'master'

    pixma: for grayscale conversion use BT.709 luma

    See merge request sane-project/backends!373

commit 6e52b3f01ab5bbdc7b192895d3fd4819e49a7864
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-24 12:37:24 +0100

    pixma: for grayscale conversion use BT.709 luma

    Before we used linear grayscale conversion. This is not state of the art.

commit a309a2a58d37efa538e770e9b59f2d0d04948aea
Merge: 199b9eeef e5e63f306
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-24 11:30:46 +0000

    Merge branch '111-sane-backends-1-0-28-backend-gt68xx_high-c-100-bad-expression-testpicture' into 'master'

    Resolve "sane-backends-1.0.28/backend/gt68xx_high.c:100: bad expression ?"

    Closes #111

    See merge request sane-project/backends!369

commit 199b9eeef6ecc4ec411b4feaf8deef63d45a1c21
Merge: 2583158a5 56522b6a3
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-23 13:17:23 +0000

    Merge branch '243-really-fix-build-failure-on-ubuntu-16.04' into 'master'

    Resolve "cannot build escl backend for Ubuntu 16.04 LTS"

    Closes #243

    See merge request sane-project/backends!372

commit 56522b6a35853025c46bdf14a2a252f8748d3dc6
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-23 22:00:16 +0900

    Fix references to function check results

commit 00a7fd8f00b7ff671574557b4638451d1141b8b1
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-23 21:59:41 +0900

    Add linker flags for JPEG library when checking for functions

commit e5e63f306af6c2f4d5ff4c458c1e5cae91963d86
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-22 12:40:17 -0700

    test: extra brackets to silence cppcheck warning.

commit 2583158a5b04a48db4391f6df4a8bb95f1b39363
Merge: 487b4a3a3 afdc2a159
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-22 17:10:37 +0000

    Merge branch '111-sane-backends-1-0-28-backend-gt68xx_high-c-100-bad-expression' into 'master'

    Resolve "sane-backends-1.0.28/backend/gt68xx_high.c:100: bad expression ?"

    See merge request sane-project/backends!363

commit 487b4a3a3c410bad61fc824cdc0c3ee87a627439
Merge: c99580b81 28abffad3
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-22 17:09:45 +0000

    Merge branch '116-sane-backends-1-0-28-backend-dmc-c-many-redundant-assignments' into 'master'

    Resolve "sane-backends-1.0.28/backend/dmc.c: many redundant assignments ?"

    Closes #116

    See merge request sane-project/backends!364

commit 81325dc773ef9f0aab8ea40bc81e05036cfbe25a
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-22 16:41:53 +0100

    Fix build.

commit f4e6677fc1f1fa3d4862ac5b45f3428d434dd2a3
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-22 16:29:34 +0100

    Fix build.

commit 79f7463366aaaf8b9736833a63916931884ebf9c
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-22 16:14:23 +0100

    Refactoring the ADF mode.

commit c99580b811959996f79a1f7278afddba20cfc69b
Merge: dab5594a5 ef583d54f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 13:01:07 +0000

    Merge branch 'genesys-simplify-dpiset' into 'master'

    genesys: Simplify DPISET register calculations

    See merge request sane-project/backends!367

commit dab5594a5052faee59a8a25dc68d738bb054b889
Merge: 6ab010939 1e116f122
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 12:42:23 +0000

    Merge branch 'genesys-remove-hwdpi' into 'master'

    genesys: Simplify hwdpi calculation

    See merge request sane-project/backends!366

commit 6ab010939ce15a4cd403e97cf2f90aa251b4ce0b
Merge: 115bbf6a2 7a86b487b
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 12:34:05 +0000

    Merge branch '114-sane-backends-1-0-28-sanei-sanei_pio-c-3-bad-test' into 'master'

    Resolve "sane-backends-1.0.28/sanei/sanei_pio.c: 3 * bad test ?"

    Closes #114

    See merge request sane-project/backends!362

commit 115bbf6a245f0a76ad5cd3aa3f8851128bef8582
Merge: 1ed4c7d8f 94efec957
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-22 12:18:46 +0000

    Merge branch 'genesys-remove-hwdpi-divisor' into 'master'

    genesys: Remove hwdpi divisor

    See merge request sane-project/backends!365

commit 28abffad3cb1c7f934dc3f33b9e12f370d613517
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 20:43:12 -0700

    dmc: corrected tl-x, tl-y, br-x and br-y option ranges, to eliminate compiler warnings

commit afdc2a159e38359f7c71ace91f7aa7960281f702
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 20:27:52 -0700

    gt68xx: corrected | character to || to fix warning.

commit db9e4d4729ec562e1592659cba41baee757274a3
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 19:37:35 -0700

    mustek: added clarifying brackets to expression.

commit bc57c7ce5fc38859cb3c26540e2961b0a051a4c5
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 19:37:00 -0700

    kvs20xx: added clarifying brackets to expression.

commit 7a86b487bda7f568812c6a77abfcd631716eecdc
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-20 19:28:56 -0700

    sanei: corrected fd validity check, which always used to fail.

commit ef583d54f209b89d296b4678c7b880f6c47129cc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:32 +0200

    genesys: Rename dpiset_override to register_dpiset

commit 5bcb5f3e80e16583c447d10fb544d22d42f47ea1
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:31 +0200

    genesys: Simplify shading resolution calculation on gl646

commit c8c9deaf6def7ea921ece64f490037d96bfa72ff
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:30 +0200

    genesys: Simplify dpiset calculation on gl646

commit 989782bd72431118457cb5c0262dc80acd7c73b3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:29 +0200

    genesys: Simplify dpiset calculation on gl847

commit a43d362b7b35b7caa87d6ae70f9a7c577291db77
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:28 +0200

    genesys: Simplify dpiset calculation on gl845/gl846

commit 4a5f65d2d2b488eb2c1792a14dac1a863e6f0e0a
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:27 +0200

    genesys: Verify that dpiset_override is specified

commit 94cfdbfdc699ae99468d0493f659f37328398399
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:26 +0200

    genesys: Simplify dpiset calculation on gl843

commit d9cd672a43faa5ae861e31c42a6d1496de5e0b4e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:25 +0200

    genesys: Simplify shading data upload on gl841

commit 459c62c131b4794d115c38b7a555d2415f7e9870
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:24 +0200

    genesys: Simplify dpiset calculation on gl841

commit cce3cdeaabc137aafdc8cd401242a96c98d8d2b6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:23 +0200

    genesys: Update all sensors with calibrated exposure on gl841

commit 38cf079e99b011e78523c48fd3fbc66a128a6491
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:22 +0200

    genesys: Simplify dpihw register setup on gl841

commit 692178eade0e176fe28d56278140af0cd39e8675
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:21 +0200

    genesys: Simplify dpiset calculation on gl124

commit 79e403bb89b0f108488aab87d0d688528a714a3c
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:20 +0200

    genesys: Simplify register setup on gl841

commit f1368cb34c29c14d0b1cc660f241a71a55c14832
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:19 +0200

    genesys: Add comments with asic types of sensors to the sensor tables

commit 127e56978c9052a0900b4f16af2979f8d01c0bdd
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:18 +0200

    genesys: Remove dead code in gl841 sensor setup impl

commit 8808fe777929650519532abc5fc34e5e4398c3da
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:11:17 +0200

    genesys: Remove no longer used logical_dpihw_override

commit 1e116f12231cb1935140693433b61431899a09e3
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:47 +0200

    genesys: Verify that sensor tables are setup correctly

commit 4cc233cde8071b1ed1b1672a3ee06dc982749ade
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:46 +0200

    genesys: Add missed settings for HP N6310

commit eb5a643c0adf894d4df5b19caa8aedde202038ce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:45 +0200

    genesys: Rename register_dpihw_override to register_dpihw

commit c24886d7d7e97b0d82ead92b12b350bf27790f5d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:44 +0200

    genesys: Remove no longer used hwdpi calculation functions

commit 815d36c9c304d4f35f15fda568bee8f74552efbc
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:43 +0200

    genesys: Simplify shading resolution computation

commit 163776a47910e0199ccda6aaaf4c0d4e5b5a9262
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:42 +0200

    genesys: Simplify dpihw and shading resolution calculation on gl841

commit 88989a1616ee53cb20587d4ce6242cb3a0b1a480
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:41 +0200

    genesys: Pass resolution setting to sanei_genesys_set_dpihw() directly

commit 2547f681f3056c960e37dfe76624b5706a1f9e7e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:40 +0200

    genesys: Remove no longer used ModelFlag::FULL_HWDPI_MODE

commit fd90ddefdc2d123f7316420696cef1266ac3c270
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:39 +0200

    genesys: Simplify motor setup to use only model id for vref on gl843

commit ca3ae12acfe1ef10641538efa3f8d3ae54e629a0
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:38 +0200

    genesys: Simplify sensor setup to use only model id on gl843

commit 2d7758f5f22f64e112adc221f119499928f31e51
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:37 +0200

    genesys: Simplify dpihw calculation on gl843

commit cf4ce94fc48ae6e4fb92d9386c85aac9bffd77ac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:36 +0200

    genesys: Simplify computation of SHDAREA setting on gl843

commit 0fca1185f57e3cc5d1e35aae868d88ea47f581ef
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:35 +0200

    genesys: Simplify shading resolution computation on gl843

commit f06238c97c568fc41f90e5c9187cbc8f557af57e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:34 +0200

    genesys: Simplify shading resolution computation on gl847

commit 3f6dcf84feff96ecb82bcc2f78fc3fda982cd680
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:33 +0200

    genesys: Simplify shading resolution computation on gl846

commit 0c0b4847283c9995c1b05c863163ae697adb30f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:32 +0200

    genesys: Simplify dpihw calculation on gl846

commit dd16101d44680ebe0096f175b7635eeed83f0b86
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:31 +0200

    genesys: Simplify dpihw calculation on gl847

commit a41ffe3c334d133edba624a224a6929b1ae4c975
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:30 +0200

    genesys: Simplify motor setup on gl846

commit fe8ffefe1b3e2c76ccef3f735340ec70b078ff10
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:29 +0200

    genesys: Simplify lamp warmup setup on gl843

commit 3c8b103d821b8e6c5b3f1e8bff7a690061973b1d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:28 +0200

    genesys: Simplify shading resolution computation on gl124

commit c0a94b9288ecd53d81d7ce70c4d178dd19f8b327
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:27 +0200

    genesys: Simplify dpihw calculation on gl124

commit 028c9d398f6b8c88bd72ed5cb5b7d3c012f04eac
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:26 +0200

    genesys: Simplify calculation of shading upload parameters on gl845/846

commit 6e3713c87d4725526cca0e04dbba45f40a0ed029
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:25 +0200

    genesys: Simplify calculation of shading upload parameters on gl847

commit e54f15bcc8eb1abc648f966b8aa95f094dbafc6e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-21 00:03:24 +0200

    genesys: Simplify calculation of shading upload parameters on gl124

commit 94efec957eed2b1e53491d7fd1d24f34d6de8b8d
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:10 +0200

    genesys: No longer specify per-sensor hwdpi divisor

commit 5a106f9e9ca479c37449ba6da007f252c608a0f6
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:09 +0200

    genesys: Remove remaining uses of hwdpi_divisor

commit 31d5382b2b5a906edd0467ec6939255706a67c71
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:08 +0200

    genesys: Don't use hwdpi_divisor for motor vref computation

commit ceb13f77d73dc2fcf0ab6a10eb6fe0e796091315
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:07 +0200

    genesys: Simplify physical pixel count computation on gl843

commit f34176edf28e6cdc173c037083b14ede918e8546
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:06 +0200

    genesys: Simplify physical pixel count computation on gl845

commit 5807e5d2981eb460c3a3822acbf460b41cf36cc9
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:05 +0200

    genesys: Simplify physical pixel count computation on gl846

commit a1f10bf2bce3b0103e58d81dad8e32d40581f89f
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:04 +0200

    genesys: Simplify physical pixel count computation on gl847

commit 576d1fcdbac394c3220a1467c67e8477251ebe35
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:03 +0200

    genesys: Simplify physical pixel count computation on gl124

commit e2fc129b567aad2bb26f4b79479cac1228996d9e
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:02 +0200

    genesys: Make handling of stagger more uniform across chipsets

commit 75d227f9c4dfe7395e49e2bb36b8a155b7891dce
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:01 +0200

    genesys: Represent pixel count ratio as a class

commit b2b569a7436dd9e53362db0c53d80a430b686c73
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:29:00 +0200

    genesys: Add a way to override pixel coordinate divisor

commit 559b2e314fb75ac27fa7a975b1617ff73c78a3bb
Author: Povilas Kanapickas <povilas@radix.lt>
Date:   2020-03-20 23:28:59 +0200

    genesys: Make handling of hwdpi_divisor uniform across chipsets

commit 1ed4c7d8f5585de74a22bc0931a94d40b419e0d5
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-19 16:11:06 +0100

    pixma: backend version 0.27.4

commit b113ef1285ee0ae59071aec6da05685d0c23ed90
Author: Rolf Bensch <rolf@bensch-online.de>
Date:   2020-03-19 16:09:38 +0100

    pixma: for Canon LiDE300 and LiDE400 map target 06 to cancel/end button

    see issue sane-project/backends#259

commit 120d8c0bd3227f25eb31b146f61908b6ed24d254
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-18 20:24:21 +0900

    README: Mention need for C++11 compiler for genesys backend

commit 7caf9287971b1f59c478e38e87ff7e1750f55e46
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-17 23:42:53 +0100

    Correction of the return value of the scanner status

commit 787b89daeab2796845d6d24b9cd91859470b9a5e
Merge: e12b1e26a 4e9cbda3b
Author: Ralph Little <littlesincanada@yahoo.co.uk>
Date:   2020-03-17 15:51:35 +0000

    Merge branch '236-red-and-yellow-overlay-after-3rd-scan-with-simple-scan-epson-perfection-1260' into 'master'

    Resolve "Red and Yellow overlay after 3rd scan with simple-scan Epson Perfection 1260"

    Closes #236

    See merge request sane-project/backends!359

commit e12b1e26aabe1cea265210ec8f999dec4a69220b
Merge: a1888ae3b db4cbd418
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-17 12:16:38 +0000

    Merge branch '243-cannot-build-escl-backend-for-ubuntu-16.04-lts' into 'master'

    Resolve "cannot build escl backend for Ubuntu 16.04 LTS"

    Closes #243

    See merge request sane-project/backends!360

commit db4cbd4185eee2c00bbaefee7896c11e21f99888
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-17 20:46:34 +0900

    Add a build to prove that the previous commit fixes #243

commit f5af34e75f3c946ba2aa935d09036dc99a1ecebf
Author: Olaf Meeuwissen <paddy-hack@member.fsf.org>
Date:   2020-03-17 20:43:16 +0900

    Add checks for newer JPEG API used by the escl backend.  Fixes #243

    The backend is excluded from the build if this API is not available by
    SANE_CHECK_BACKENDS.

commit 136024355ddd87fa462dad840c44da2cfdd4b384
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-17 11:04:18 +0100

    Fix open device.

commit 505a2c220893963f85f11d5385c6ce9faf05f096
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-17 09:51:34 +0100

    Fix typo.

commit 4e9cbda3babc3d008a36d0097090e8ca5a2d6a71
Author: Ralph Little <skelband@gmail.com>
Date:   2020-03-15 20:21:16 -0700

    plustek: fix for gain loop computation to prevent buffer overrun

commit c88ba0dff246b19a817a35c88c2a62bf8524de3f
Author: Brandon Beck <bmbeck@gmail.com>
Date:   2020-03-13 17:54:51 -0500

    Allow unconfigured USB scanners on macOS.

    Based on findings from Oliver Schwartz (https://alioth-lists.debian.net/pipermail/sane-devel/2012-June/029890.html)
    this change allows USB scanners to be unconfigured on macOS.  This fixes
    the issue of scanners being unable to be discovered because they look
    to be not configured but end up getting configured later.

commit 011d0f9bacab126fb2ae09d29abdd6eb88f1333d
Author: Brandon Beck <bmbeck@gmail.com>
Date:   2020-03-13 19:26:54 -0500

    Fix build on macOS.

commit 41541da8ff2990cf6124c61a74ed679a2773ae46
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:37:28 +0100

    Fix few arguments to function 'print_xml_s'

commit 9315ad2ce6843eabfe3afcdaa667ca94d81e40ef
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:29:37 +0100

    Fix build.

commit f62f9be1dd3b5a98300910e1c2ab8c0a8a4d4736
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:21:49 +0100

    Fix variable type.

commit 682d238c08722e2c34c6b31a336cc293d563b444
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:13:42 +0100

    Fix build.

commit 0440234c36a031b9a3f76d72b89d169faa42908e
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-16 00:01:58 +0100

    Fix function proto.

commit 54136b8deb18dcefb8b80029f4f1823c58eed315
Author: Thierry HUCHARD <thierry@ordissimo.com>
Date:   2020-03-15 23:50:40 +0100

    If Adf, acquisition of the next page, if it exists.

